/**
Clas Name       : prizeMoneyReady
Description     : myPrizeMoney Details
Ownership Info  : This software is the confidential and proprietary information of ATP and may not be used, reproduced, modified, distributed,
                    publicly displayed or otherwise disclosed without the express written consent of ATP. 
*/

var prizeMoneyReady = function (params) {
    if(isApp){
        window.ga.trackView('MyPrizeMoney');
    }
	 var playerName = "";
    if(params && params.onBehalfPlayerId){
	    constants.onBehalfPlayerId = params.onBehalfPlayerId;
	    playerName = params.playerName;
	}else{
	    constants.onBehalfPlayerId = "";
	    playerName = "";
	}
	if(params && params.receiveEmailNotifications){
		if(params.receiveEmailNotifications === "true"){
			constants.receiveEmailNotifications = true;
		}else{
			constants.receiveEmailNotifications = false;
		}
	}else{
		constants.receiveEmailNotifications = "";
	}
	
    var eventidarray=[];
    var eventyeararray=[];
    var output;
    var taxesReceiptObj = new TaxesReceiptClass();
    startLoading();

    setTimeout(function () {
        var prizeMoneyObj = new PrizeMoneyBankClass();
        headerMain();
        $("#manage-prizemoney").hide();
        $(".manageplyr-header").hide();
        subHeaderCarousel();
        $('#rightarrow').hide();
        $('#leftarrow').show();
        initializeDatePicker();
        //focusDatePicker();
        prizeMoneyObj.enableToggleButton();
        if (constants.onBehalfPlayerId) {
            $("#player-prizemoney").hide();
            $("#manage-prizemoney").show();
            $("#bankliOther").click();
            bankDetails(playerName);
        }else{
            getAllReceiptsForBank();
        }
        $('.prizemoney-navtab li').click(function (event) {
            $("#player-prizemoney").show();
            $("#manage-prizemoney").hide();
            $("#bank-save-msg").addClass("hide");
            var clickedText = $(event.target).text();
            if (clickedText === "Bank Details") {
            	extendPlayerExpirationTime("bankdetails");
                if (constants.onBehalfPlayerId)
                {
                    $("#player-prizemoney").hide();
                    $("#manage-prizemoney").show();
                }
                else {
                    $("#player-prizemoney").show();
                    $("#manage-prizemoney").hide();
                }
                bankDetails(playerName);
            }
            if(clickedText === "Receipt"){
            	releasePlayerResources();
                if (constants.onBehalfPlayerId) {				
                    taxesReceiptObj.getManageAllReceiptsForBank();
                    $("#player-prizemoney").hide();
                    $("#manage-prizemoney").show();
                }
                else{
                    getAllReceiptsForBank();
                    $("#player-prizemoney").show();
                    $("#manage-prizemoney").hide();
                }
            }
            if(clickedText === "Taxes"){
             /*   releasePlayerResources();
                $("#taxYear").empty();
                var d = new Date();
                var n = d.getFullYear();
                $("#taxYear").append('<option class="optionvalue">'+ n +'</option>'); 
                for(var year=n-1;year>=n-3;year--){
                    $("#taxYear").append('<option class="optionvalue">'+ year +'</option>'); 
                } 
                if (constants.onBehalfPlayerId) {				
                    initiateManageTaxYear();
                    taxesReceiptObj.getManageTaxDetailsFromService();
                    $("#player-prizemoney").hide();
                    $("#manage-prizemoney").show();
                }
                else{
                    var taxdetailsObj = new TaxDetailsClass();
                    //initiateTaxYear();
                    //taxdetailsObj.getTaxDetailsFromService();
                    $("#player-prizemoney").show();
                    $("#manage-prizemoney").hide();
                } */
            }
        });
        if((applicationDataObj.getUserType() !== "Player")){
        	if(applicationDataObj.getSessionResponse()&& applicationDataObj.getSessionResponse().roles && 
        			applicationDataObj.getSessionResponse().roles.length !== 0){
        		var role = applicationDataObj.getSessionResponse().roles[0];
        		if(role){
        			var lowerConvertedRole = role.toLowerCase(); 
        			if (lowerConvertedRole.indexOf("alumni") !== -1 || lowerConvertedRole.indexOf("staff") !== -1){
        				$(".nonplayerclass").parent().hide();
        				$(".alumini-prizemoney").parent().removeClass("hide");
        				$("#rightarrow").hide();
        				$("#leftarrow").hide();
        				$(".second-item").removeClass("active");
        				$(".firstitem").addClass("active");
        			}else{
        				$(".second-item").addClass("active");
        				$(".firstitem").removeClass("active");
        				$("#rightarrow").hide();
        				$("#leftarrow").show();
        			}
        		}

        	}

        }
    },500);
    
    //this method will be called when we click on MyPrizeMoney tab in the header
    var getRequestParametersAllReciepts = function (sessionData) {
        var data = {};
        data.Userid = sessionData.userId;
        data.ServiceProvider = "MyProfileServiceProvider";
        data.ServiceMethod = "GetAllReceiptsForAPlayer";
        data.Language = constants.englishLanguage;
        data.parametersArray = ["BEE85C7A-7EC4-4253-A936-287D02B01BDA"];
        var userSession = {};
        userSession.PlayerId = sessionData.playerId;
        userSession.UserId = sessionData.userId;
        userSession.FirstName = sessionData.firstName;
        userSession.LastName = sessionData.lastName;
        userSession.TOKEN  = applicationDataObj.getToken();
        userSession.Roles = sessionData.roles;
        userSession.EmailId=sessionData.emailId;
        userSession.Address1=sessionData.address1;
        userSession.City=sessionData.city;
        userSession.Country=sessionData.country;
        userSession.UserName=applicationDataObj.getUsername();
        data.SessionData = userSession;
        var inputData = JSON.stringify(data);
        return inputData;
    };
    
    //getAllReceipts method
    var getAllReceiptsForBank = function() {
        try {
            var apiservicecallsObj = new apiservicecalls();
            var url = constants.ajaxUrl;
            var sessionData = applicationDataObj.getSessionResponse();
            var inputData = getRequestParametersAllReciepts(sessionData);
            apiservicecallsObj.postData(url, inputData, OnAllReceiptsSuccess, OnAllReceiptsError);
        } catch (err) {
            loggerObj.logToServer(constants.logSeverityError,"Error : getAllReceiptsForBank " +err);
        }
     
        //on receipt success
        function OnAllReceiptsSuccess(response){
            $('#RecieptDesc').html(response.ReceiptContent.ReceiptDescription);
            output=response;
            if(response !== null && response !== undefined ){
                if(response.AllReceipts!== null){
                    for(var index=0;index<response.AllReceipts.length;index++){
                        eventidarray.push(response.AllReceipts[index].EventId);
                        eventyeararray.push(response.AllReceipts[index].EventYear);
                        var eventDisplayname= response.AllReceipts[index].EventDisplayName;
                        var eventYear=response.AllReceipts[index].EventYear;
                        $("#selection").append('<option class="optionvalue" data-EventId=' + response.AllReceipts[index].EventId + ' data-year=' + response.AllReceipts[index].EventYear + ' value='+index+'>' + eventYear +" "+eventDisplayname+
                        '</option>');
                    }
                }
                initiateDropDownControls();
            }
            //method for GetAReceipt to take the recipt of each player

            endLoading();
        }
         
        //on receipt error
        function OnAllReceiptsError(jqXHR,error) {
            endLoading();
            if(jqXHR.status && jqXHR.status === 401 &&
                    jqXHR.statusText === "Unauthorized" ){
                logout();
            }
        }
    };
};




