/**
Clas Name       : MyProfLandingClass
Description     : MyProfile Landing Page
Ownership Info  : This software is the confidential and proprietary information of ATP and may not be used, reproduced, modified, distributed,
                    publicly displayed or otherwise disclosed without the express written consent of ATP. 
*/

var fullName;
var email;
var requestId;
var Entries;
var Profile;
var Details;
var length_DelegatedUsers;
var commondiv;
var delgatedUserId;
var responseObject;
var idPlayer;
var singlesPoints,
    racePoints,
    doublesPoints,
    teamPoints;

//clicking on profile this method will be called
var MyLanding = function () {
    if(isApp){
        window.ga.trackView('MyProfile Landing');
    }
    var myProfLandingClass = new MyProfLandingClass();
	startLoading();
	setTimeout(function () {
		headerMain();
		subHeaderCarousel();
		$('.validationclass').hide();
		$('.divhide').hide();
		$(".tog").click(function () {
			$('img', this).toggle();
		});
        
		var addSwipeTo = function (selector) {
			$(selector).swipe("destroy");
			$(selector).swipe({
				//Generic swipe handler for all directions
				swipe: function (event, direction, distance, duration, fingerCount) {
					if (direction === "right") {
						if (selector === "#editPopUP_checkbox_0") {
							$('#entry-toggleswitch0').prop('checked', true);
						} else if (selector === "#editPopUP_checkbox_1") {
							$('#entry-toggleswitch1').prop('checked', true);
						} else if (selector === "#editPopUP_checkbox_2") {
							$('#entry-toggleswitch2').prop('checked', true);
						} else if (selector === "#editPopUP_checkbox_3") {
							$('#entry-toggleswitch4').prop('checked', true);
						} else if (selector === "#editPopUP_checkbox_4") {
							$('#entry-toggleswitch5').prop('checked', true);
						} else if (selector === "#editPopUP_checkbox_5") {
							$('#entry-toggleswitch6').prop('checked', true);
						}
					} else if (direction === 'left') {
						if (selector === "#editPopUP_checkbox_0") {
							$('#entry-toggleswitch0').prop('checked', false);
						} else if (selector === "#editPopUP_checkbox_1") {
							$('#entry-toggleswitch1').prop('checked', false);
						} else if (selector === "#editPopUP_checkbox_2") {
							$('#entry-toggleswitch2').prop('checked', false);
						} else if (selector === "#editPopUP_checkbox_3") {
							$('#entry-toggleswitch4').prop('checked', false);
						} else if (selector === "#editPopUP_checkbox_4") {
							$('#entry-toggleswitch5').prop('checked', false);
						} else if (selector === "#editPopUP_checkbox_5") {
							$('#entry-toggleswitch6').prop('checked', false);
						}
					} else {
						if (selector === "#editPopUP_checkbox_0") {
							if ($("#entry-toggleswitch0").is(':checked')) {
								$('#entry-toggleswitch0').prop('checked', false);
							} else {
								$('#entry-toggleswitch0').prop('checked', true);
							}
						} else if (selector === "#editPopUP_checkbox_1") {
							if ($("#entry-toggleswitch1").is(':checked')) {
								$('#entry-toggleswitch1').prop('checked', false);
							} else {
								$('#entry-toggleswitch1').prop('checked', true);
							}
						} else if (selector === "#editPopUP_checkbox_2") {
							if ($("#entry-toggleswitch2").is(':checked')) {
								$('#entry-toggleswitch2').prop('checked', false);
							} else {
								$('#entry-toggleswitch2').prop('checked', true);
							}
						} else if (selector === "#editPopUP_checkbox_3") {
							if ($("#entry-toggleswitch4").is(':checked')) {
								$('#entry-toggleswitch4').prop('checked', false);
							} else {
								$('#entry-toggleswitch4').prop('checked', true);
							}
						} else if (selector === "#editPopUP_checkbox_4") {
							if ($("#entry-toggleswitch5").is(':checked')) {
								$('#entry-toggleswitch5').prop('checked', false);
							} else {
								$('#entry-toggleswitch5').prop('checked', true);
							}
						} else if (selector === "#editPopUP_checkbox_5") {
							if ($("#entry-toggleswitch6").is(':checked')) {
								$('#entry-toggleswitch6').prop('checked', false);
							} else {
								$('#entry-toggleswitch6').prop('checked', true);
							}
						}

					}

				},
				//Default is 75px, set to 0 for demo so any distance triggers swipe
				threshold: 0
			});
		};
		addSwipeTo("#editPopUP_checkbox_0");
		addSwipeTo("#editPopUP_checkbox_1");
		addSwipeTo("#editPopUP_checkbox_2");
		addSwipeTo("#editPopUP_checkbox_3");
		addSwipeTo("#editPopUP_checkbox_4");
		addSwipeTo("#editPopUP_checkbox_5");

		if (applicationDataObj.getUserType() === "Player") {
			myProfLandingClass.bindProfile();
		} else {
            $(".carousel-inner").children().eq(0).children(".itemcontent").eq(2).removeClass("col-xs-4").addClass("col-xs-5");
            $(".carousel-inner").children().eq(0).children(".itemcontent").eq(3).removeClass("col-xs-4").addClass("col-xs-3");
			$("#other-role-profile").removeClass('hide');
			$("#other-role-profile").addClass('show');
			$("#playerprofileDiv").addClass('hide');
			$("#playerprofileDiv").removeClass('show');
			$(".myprofile-main-head").removeClass("opacity-zero");
            //getOtherProfileDetails();
			var otherProfileClassObj = new otherProfileClass();
			otherProfileClassObj.getOtherProfileDetails();
		}
		$("#editsave").click(function () {
			$("#editsave").addClass("savecolor");
		});

	    $("#modaleditsave").on("shown.bs.modal", function () {
			$(".hamburger-pointer ").addClass("pointer-class");
			$("#editsave").removeClass("closecolor");
			$("body").addClass("modalscroll");
            $("#MyApp").css("overflow", "hidden");
		});
		$("#modaleditsave").on("hidden.bs.modal", function () {
			$(".hamburger-pointer ").removeClass("pointer-class");
			$("#editsave").removeClass("savecolor");
			$("#editsave").addClass("closecolor");
			$("body").removeClass("modalscroll");
            $("#MyApp").removeAttr("style");
		});    
		$("#container-div2").on("shown.bs.modal", function () {
			$("#MyApp").css("overflow", "hidden");
			if(deviceOS === 'ios' && isApp){
				$("#iosscroll").removeClass("scrollcontent");
			}
		});
		$("#container-div2").on("hidden.bs.modal", function () {
			$("#MyApp").removeAttr("style");
			if(deviceOS === 'ios' && isApp){
				$("#iosscroll").addClass("scrollcontent");
			}

		}); 
        $("#myModalAddConfirmation").on("shown.bs.modal", function () {
	        $("#MyApp").css("overflow", "hidden");
		});
		$("#myModalAddConfirmation").on("hidden.bs.modal", function () {
            $("#MyApp").removeAttr("style");
		});
        
		$("#addteamSave").click(function () {
			$("#addteamSave").addClass("savecolor");
		});
		$("#container-div1").on("hidden.bs.modal", function () {
			$(".hamburger-pointer ").removeClass("pointer-class");
			$("#addteamSave").removeClass("savecolor");
			$("#addteamSave").addClass("closecolor");
            $("#MyApp").removeAttr("style");
		});
		$("#container-div1").on("shown.bs.modal", function () {
			$(".hamburger-pointer ").addClass("pointer-class");
            $("#MyApp").css("overflow", "hidden");
		});
        
        $("#myModalEditConfirmation").on("hidden.bs.modal", function () {
		    $("#MyApp").removeAttr("style");
		});
		$("#myModalEditConfirmation").on("shown.bs.modal", function () {
            $("#MyApp").css("overflow", "hidden");
		});
        
        $("#myModalRemove").on("hidden.bs.modal", function () {
		    $("#MyApp").removeAttr("style");
		});
		$("#myModalRemove").on("shown.bs.modal", function () {
            $("#MyApp").css("overflow", "hidden");
		});
		$(".modal-backdrop.fade").css("opacity", "0");
	}, 700);
};//landing method ends here


var MyProfLandingClass = function () {
    this.bindProfile = function () {
        var apiservicecallsObj = new Apiservicecalls(),
            url = constants.ajaxUrl,
            sessionData = applicationDataObj.getSessionResponse(),
            inputData = this.getProfileDetails(sessionData),
            userType = applicationDataObj.getUserType();
        apiservicecallsObj.postData(url, inputData, OnProfileSuccess, OnProfileError);
    };
    
    this.getProfileDetails = function (sessionData) {
        var data = {},
            userSession = {};
        data.Userid = sessionData.userId;
        data.ServiceProvider = "MyProfileServiceProvider";
        data.ServiceMethod = "GetProfileDetails";
        data.Language = constants.englishLanguage;
        data.parametersArray = ["50903FD2-B119-4A36-9333-DACA9A70CBE1"];
        userSession.PlayerId = sessionData.playerId;
        userSession.UserId = sessionData.userId;
        userSession.FirstName = sessionData.firstName;
        userSession.LastName = sessionData.lastName;
        userSession.TOKEN  = applicationDataObj.getToken();
        userSession.Roles = sessionData.roles;
        userSession.EmailId = sessionData.emailId;
        userSession.Address1 = sessionData.address1;
        userSession.City = sessionData.city;
        userSession.Country = sessionData.country;
        userSession.UserName = applicationDataObj.getUsername();
        data.SessionData = userSession;
        data = JSON.stringify(data);
        return data;
    };
    
    this.showPlayerDiv = function () {
        $(".myprofile-main-head").removeClass("opacity-zero");
        $("#other-role-profile").removeClass('show');
        $("#other-role-profile").addClass('hide');
        $("#playerprofileDiv").addClass('show');
        $("#playerprofileDiv").removeClass('hide');
    };
    
    this.myTeamFill = function (response) {
    	try{
    		$('#myTeam').empty();
    		$('#myTeam').text(response.ProfileDetails.MyTeam);
    		if (response !== null && response !== undefined) {
    			for (index = 0; index < response.DelegatedUsers.length; index++) {
    				if (index <= 3) {
    					var teamMemberRow = "";
    					teamMemberRow = '<div class="clearfix"></div>';
    					teamMemberRow = teamMemberRow + '<div class="mlnd-innercntnr3 commondivclass" id=' + "delgatedUser" + index + '>';
    					if (response.DelegatedUsers[index].IsApproved === false) {
    						teamMemberRow = teamMemberRow + '<div class="mylnd-atp-aprvl atp_approval"> <img class="img_team_manages padR5" src="images/mandatory-asterisk.svg" >';
    						teamMemberRow = teamMemberRow + '<span >' + response.ProfileDetails.PendingATPApproval + '</span>';
    						teamMemberRow = teamMemberRow + '</div>';
    					}
    					teamMemberRow = teamMemberRow + '<div class="col-xs-4 padding0 aligncenter">';
    					teamMemberRow = teamMemberRow + '<div class="plyrimg_profile">';
    					teamMemberRow = teamMemberRow + '<img class="img_team_player_round border-image-grey" id="memberHeadshotImage' + index + '" >';
    					teamMemberRow = teamMemberRow + '</div>';
    					teamMemberRow = teamMemberRow + '<div class="clearfix"></div>';
    					teamMemberRow = teamMemberRow + '<div class="teamprofile_detail margin-top-10">';
    					teamMemberRow = teamMemberRow + '<div id="relationShipFullName' + index + '" class="playername" onclick="editTeamMember(' + index + ')">' + response.DelegatedUsers[index].FullName + '</div>';
    					teamMemberRow = teamMemberRow + '<div id="relationShipName' + index + '" class="player_profile">' + response.DelegatedUsers[index].RelationShipName + '</div>';
    					teamMemberRow = teamMemberRow + '<div id="relationShipEmail' + index + '" style="display: none;">' + response.DelegatedUsers[index].Email + '</div>';
    					teamMemberRow = teamMemberRow + '<div id="relationShipId' + index + '" style="display: none;">' + response.DelegatedUsers[index].RelationshipId + '</div>';
    					teamMemberRow = teamMemberRow + '</div>';
    					teamMemberRow = teamMemberRow + '</div>';
    					teamMemberRow = teamMemberRow + '<div class="col-xs-8 padding0">';
    					$.each(response.PermissionTypes, function (key, value) {
    						teamMemberRow = teamMemberRow + '<div class="mylndng-mngentrs" id=div' + value.PermissionId + '_' + index + ' >';
    						teamMemberRow = teamMemberRow + '<span class="myteamentries" id=' + value.PermissionId + '>';
    						teamMemberRow = teamMemberRow + '<img id="permission_' + index + '_' + key + '" class="img_team_manages  padR5" src="images/tick_fill_gray.svg" />';
    						teamMemberRow = teamMemberRow + '<span class="entries-astrick" id="' + value.PermissionId + '">' + value.PermissionName + '</span>';
    						teamMemberRow = teamMemberRow + '</span>';
    						teamMemberRow = teamMemberRow + '</div>';
    					});
    					teamMemberRow = teamMemberRow + '<div class="clearfix"></div>';
    					teamMemberRow = teamMemberRow + '<div class="float-right margin-top-5">';
    					teamMemberRow = teamMemberRow + '<span class="text-right  floatright padding-left10">';
    					teamMemberRow = teamMemberRow + '<span class="membership-anchor-font" onclick="removeTeamMember(' + index + ')">REMOVE</span>';
    					teamMemberRow = teamMemberRow + '</span>';
    					teamMemberRow = teamMemberRow + '<span class="text-right  floatright">';
    					teamMemberRow = teamMemberRow + '<span class="membership-anchor-font" onclick="editTeamMember(' + index + ')" >EDIT</span>';
    					teamMemberRow = teamMemberRow + '</span>';
    					teamMemberRow = teamMemberRow + '<span id="requestId' + index + '" class="userIdRemoveMember" hidden="">' + response.DelegatedUsers[index].RequestId + '</span>';
    					teamMemberRow = teamMemberRow + '</div>';
    					$('#myTeam').append(teamMemberRow);
    					if (response.DelegatedUsers[index].HeadshotImage === "" || response.DelegatedUsers[index].HeadshotImage === null) {
    						$("#memberHeadshotImage" + index).attr("src", "images/Photo_Grey.png");
    					} else {
    						$("#memberHeadshotImage" + index).attr("src", response.DelegatedUsers[index].HeadshotImage);
    					}

    					$.each(response.PermissionTypes, function (key, value) {
    						$("#permission_" + index + "_" + key).attr("src", "images/tick_fill_gray.svg");
    						$.each(response.DelegatedUsers[index].MyPermissions, function (key1, value1) {
    							if (value.PermissionId === value1.PermissionId) {
    								if (value1.IsApproved === false) {
    									$("#permission_" + index + "_" + key).attr("src", "images/tick_fill_orange.svg");
    									var parentImg = $("#permission_" + index + "_" + key).parent().find("img");
    									if(parentImg && $(parentImg).last() && $(parentImg).last().attr("src") && 
    											$(parentImg).last().attr("src").indexOf("asterisk") === -1){
    										$("#permission_" + index + "_" + key).parent().append('<img class="manage-img img_team_manages padR5" src="images/mandatory-asterisk.svg" >');
    									}
    								} else {
    									$("#permission_" + index + "_" + key).attr("src", "images/tick_fill_green.svg");
    								}
    							}
    						});
    					});
    				}
    			}
    			$.each(response.PermissionTypes, function (key, value) {
    				$("#permission_" + index + "_" + key).attr("src", "images/tick_fill_gray.svg");
    				//Adding Permission text to Edit Modal Popup
    				$('#editPopUP_mngprfl_' + key).html(value.PermissionName);
    				$('#addModalPermission_' + key).html(value.PermissionName);
    				$('.hiddenId_' + key).attr('id', value.PermissionId);
    			});
    		}
    	} catch (err){
    		loggerObj.logToServer(constants.logSeverityError, " Error : myTeamFill " + err);
    	}
    };
    
    this.bindPlayerProfile = function (response) {
    	try {
    		createRankingUrl();
    		$('#profile_name').empty();
    		$('#profile_name').append(response.ProfileModel.PlayerFirstName + " " + response.ProfileModel.PlayerLastName);
    		if (response.ProfileDetails.ProfilePictureSrc !== null && response.ProfileDetails.ProfilePictureSrc !== "") {
    			$('#profile_image').attr('src', response.ProfileDetails.ProfilePictureSrc);
    		} else {
    			$('#profile_image').attr('src', 'images/Photo_Grey.png');
    		}
    		$('#flag_image').empty();
    		$('#flag_image').append('<img class="landing-flag" src=' + response.ProfileDetails.CountryFlag.Src + '/>');
    		$('#profilePostion').text(response.ProfileDetails.Position);
    		$('#profilePoints').text(response.ProfileDetails.Points);
    		$('#singlesLabel').text(response.ProfileDetails.Singles);
    		$("#singles_position").empty();
    		if (response.ProfileModel.SglRank === null) {
    			$("#singles_position").append('<div class="myprofile-status-table-column-number-font text-right">' + '--' + '</div>');
    		} else {
    			$("#singles_position").append('<div class="myprofile-status-table-column-number-font text-right">' + response.ProfileModel.SglRank + '</div>');
    		}
    		$("#singles_points").empty();
    		if (response.ProfileModel.SglPoints === null) {
    			$("#singles_points").append('<a href="javascript:void(0);"><div class="myprofile-status-table-column-anchor-font text-right">' + '0' + '</div></a>');
    		} else {
    			$("#singles_points").append('<a href="#/rankings/singles-breakdown"><div class="myprofile-status-table-column-anchor-font text-right">' + response.ProfileModel.SglPoints + '</div></a>');
    		}

    		$('#profileRace').text(response.ProfileDetails.Race);
    		$('#race_position').empty();
    		if (response.ProfileModel.SglRankRace === null) {
    			$('#race_position').append('<div class="myprofile-status-table-column-number-font text-right">' + '--' + '</div>');
    		} else {
    			$('#race_position').append('<div class="myprofile-status-table-column-number-font text-right">' + response.ProfileModel.SglRankRace + '</div>');
    		}
    		$('#race_points').empty();
    		if (response.ProfileModel.SglPointsRace === null) {
    			$('#race_points').append('<a href="javascript:void(0);"><div class="myprofile-status-table-column-anchor-font text-right">' + '0' + '</div></a>');
    		} else {
    			$('#race_points').append('<a href="#/rankings/singles-race-breakdown"><div class="myprofile-status-table-column-anchor-font text-right">' + response.ProfileModel.SglPointsRace + '</div></a>');
    		}

    		$('#profileDbls').text(response.ProfileDetails.Doubles);
    		$('#doubles_position').empty();
    		if (response.ProfileModel.DblRank === null) {
    			$('#doubles_position').append('<div class="myprofile-status-table-column-number-font text-right">' + '--' + '</div>');
    		} else {
    			$('#doubles_position').append('<div class="myprofile-status-table-column-number-font text-right">' + response.ProfileModel.DblRank + '</div>');
    		}
    		$('#doubles_points').empty();
    		if (response.ProfileModel.DblPoints === null) {
    			$('#doubles_points').append('<a href="javascript:void(0);"><div class="myprofile-status-table-column-anchor-font text-right">' + '0' + '</div></a>');
    		} else {
    			$('#doubles_points').append('<a href="#/rankings/doubles-breakdown"><div class="myprofile-status-table-column-anchor-font text-right">' + response.ProfileModel.DblPoints + '</div></a>');
    		}

    		$('#profileTeamDbls').text(response.ProfileDetails.TeamDbls);
    		$('#team_position').empty();
    		if (response.ProfileModel.TeamRankRace === null) {
    			$('#team_position').append('<div class="myprofile-status-table-column-number-font text-right">' + '--' + '</div>');
    		} else {
    			$('#team_position').append('<div class="myprofile-status-table-column-number-font text-right">' + response.ProfileModel.TeamRankRace + '</div>');
    		}
    		$('#team_points').empty();
    		if (response.ProfileModel.TeamPointsRace === null) {
    			$('#team_points').append('<a href="javascript:void(0);"><div class="myprofile-status-table-column-anchor-font text-right">' + '0' + '</div></a>');
    		} else {
    			$('#team_points').append('<a href="#/rankings/team-breakdown"><div class="myprofile-status-table-column-anchor-font text-right">' + response.ProfileModel.TeamPointsRace + '</div></a>');
			}
			
			$('#profileItfSingles').text(response.ProfileDetails.ITFSinglesLabel);
			$('#itf_singles_position').empty();
    		if (response.ProfileModel.SglItfPoints === null) {
    			$('#itf_singles_position').append('<div class="myprofile-status-table-column-number-font text-right">' + '0' + '</div>');
    		} else {
    			$('#itf_singles_position').append('<div class="myprofile-status-table-column-number-font text-right">' + response.ProfileModel.SglItfPoints + '</div>');
			}
			$('#itf_singles_points').empty();
    		if (response.ProfileModel.SglItfRank === null) {
    			$('#itf_singles_points').append('<div class="myprofile-status-table-column-number-font text-right">' + '--' + '</div></a>');
    		} else {
    			$('#itf_singles_points').append('<div class="myprofile-status-table-column-number-font text-right">' + response.ProfileModel.SglItfRank + '</div>');
			}

			$('#profileItfDoubles').text(response.ProfileDetails.ITFDoublesLabel);
			$('#itf_doubles_position').empty();
    		if (response.ProfileModel.DblItfPoints === null) {
    			$('#itf_doubles_position').append('<div class="myprofile-status-table-column-number-font text-right">' + '0' + '</div>');
    		} else {
    			$('#itf_doubles_position').append('<div class="myprofile-status-table-column-number-font text-right">' + response.ProfileModel.DblItfPoints + '</div>');
			}
			$('#itf_doubles_points').empty();
    		if (response.ProfileModel.DblItfRank === null) {
    			$('#itf_doubles_points').append('<div class="myprofile-status-table-column-number-font text-right">' + '--' + '</div>');
    		} else {
    			$('#itf_doubles_points').append('<div class="myprofile-status-table-column-number-font text-right">' + response.ProfileModel.DblItfRank + '</div>');
			}

    		$('#profileStatus').text(response.ProfileDetails.Status);
    		$('#profileprizeMoney').text(response.ProfileDetails.Money);
    		$('#prize_money').empty();
    		$('#prize_money').append('$' + ' ' + Number(response.ProfileModel.SglYtdPrize  + response.ProfileModel.DblYtdPrize).toString().replace(/.(?=(?:.{3})+$)/g, '$&,'));

    		var division,
    		upgradeEligibility = "";
    		if (response.ProfileModel.Division === "I") {
    			division = "Division I Player";
    		} else if (response.ProfileModel.Division === "II") {
    			division = "Division II Player";
    		} else if (response.ProfileModel.Division === "R") {
    			division = "Registered Player";
    		} else if (response.ProfileModel.Division === "A") {
    			division = "Alumni";
    		} else if (response.ProfileModel.Division === "C") {
    			division = "Coach";
    		} else if (response.ProfileModel.Division === "X") {
    			division = "Inactive";
    		}
    		$('#player_status').text(division);


    		if (response.ProfileModel.Division !== "I") {
    			if ((response.ProfileModel.SglRank !== null) && (response.ProfileModel.DblRank !== null)) {
    				if (response.ProfileModel.SglRank < 200 || response.ProfileModel.DblRank < 100) {
    					upgradeEligibility = "Eligible to upgrade to Div 1";
    				} else if (((response.ProfileModel.SglRank <= 500 && response.ProfileModel.SglRank > 200) || (response.ProfileModel.DblRank <= 250 && response.ProfileModel.DblRank > 101)) && response.ProfileModel.Division !== "II") {
    					upgradeEligibility = "Eligible to upgrade to Div 2";
    				}
    			} else if (response.ProfileModel.SglRank === null) {
    				if (response.ProfileModel.DblRank < 100) {
    					upgradeEligibility = "Eligible to upgrade to Div 1";
    				} else if ((response.ProfileModel.DblRank <= 250 && response.ProfileModel.DblRank > 101) && response.ProfileModel.Division !== "II") {
    					upgradeEligibility = "Eligible to upgrade to Div 2";
    				}
    			} else if (response.ProfileModel.DblRank === null) {
    				if (response.ProfileModel.SglRank < 200) {
    					upgradeEligibility = "Eligible to upgrade to Div 1";
    				} else if ((response.ProfileModel.SglRank <= 500 && response.ProfileModel.SglRank > 200) && response.ProfileModel.Division !== "II") {
    					upgradeEligibility = "Eligible to upgrade to Div 2";
    				}
    			}
    		}

    		if (upgradeEligibility !== "") {
    			$('#profileUpgrade').text(upgradeEligibility);
    		}

    		$('#membershipInfo').text(response.ProfileDetails.MembershipInfo);
    		$('#myTeam').text(response.ProfileDetails.MyTeam);
    		$("#pending_approval_save").html(response.ProfileDetails.AddTeamMemberSuccessText);
    		$("#pending_approval_edit").html(response.ProfileDetails.EditTeamMemberSuccessText);
    		$("#alert_description").html(response.ProfileDetails.AlertDescription);

    		if (response.DelegatedUsers.length < 4) {
    			$("#memberlimit").html(response.ProfileDetails.Description);
    			$(".add-team-btn").removeAttr('disabled');
    			$(".memberscount").text(response.DelegatedUsers.length);
    			$(".add-team-btn").removeClass('addbutton-disabled');
    		} else {
    			$("#memberlimit").html(response.ProfileDetails.MembersFullText);
    			$(".add-team-btn").attr('disabled', 'disabled');
    			$(".add-team-btn").addClass('addbutton-disabled');
    		}
    		$("#memberlimit span").attr("style", "");
    		$("#memberlimit span").attr("style", "color:#777777");


    		this.myTeamFill(response);

    		//Adding Dropdown in Edit Modal Window
    		$('#relationship_value').empty();
    		$('#select_dropdown').empty();
    		$.each(response.Relationship, function (key, value) {
    			$('#relationship_value').append('<option value="' + value.title + '" id="' + value.id + '" >' + value.title + '</option>');
    			$('#select_dropdown').append('<option value="' + value.title + '" id="' + value.id + '" >' + value.title + '</option>');
    			if (value.title === 'Team Member') {
    				$('#select_dropdown option[id=' + value.id + ']').attr('selected', 'selected');
    			}
    		});
    		//Adding label text for Modal Window
    		$('#fullnameLabel').text(response.ProfileDetails.FullNameText);
    		$('#emaillabel').text(response.ProfileDetails.EmailText);
    		$('#roleLabel').text(response.ProfileDetails.RelationshipText);
    		this.showPlayerDiv();
    		endLoading();
    	} catch (err){
    		loggerObj.logToServer(constants.logSeverityError, " Error : bindPlayerProfile " + err);
    	}
    };
};

//this method will we click on the save button of edit dialog box
var editTeamMember = function (delUserId) {
    delgatedUserId = delUserId;
    $('#myprofileteam').html($('#relationShipFullName' + delgatedUserId).html());
    $("#myprofileteam").append("<img src='images/close_black.svg' class='mplndg-popup-close' data-dismiss='modal'>");
    $('#bioplyr-bplc').val($('#relationShipEmail' + delgatedUserId).html());


    $("#relationship_value option").each(function () {
        $('#relationship_value option[id=' + this.id + ']').removeAttr('selected');
        if (this.value === $('#relationShipName' + delgatedUserId).html()) {
            $('#relationship_value option[id=' + this.id + ']').attr('selected', 'selected');
        }
    });

    for (i = 0; i < 3; i++) {
        $('#entry-toggleswitch' + i).prop('checked', false);
        if (($("#permission_" + delgatedUserId + "_" + i).attr('src') === "images/tick_fill_orange.svg") || ($("#permission_" + delgatedUserId + "_" + i).attr('src') === "images/tick_fill_green.svg")) {
            $('#entry-toggleswitch' + i).prop('checked', true);
        }
    }

    $('#modaleditsave').modal("show");
    $(".mylndng-popup-cncl").click(function () {
        $('.emailvalidation').hide();
        $('.formatvalidation').hide();
    });
    $(".mplndg-popup-close").click(function () {
        $('.emailvalidation').hide();
        $('.formatvalidation').hide();
    });
    $("#bioplyr-bplc").keyup(function () {
        if ($("#bioplyr-bplc").val().length === 0) {
            $('.emailvalidation').show();
            $('.formatvalidation').hide();
        }
    });
};

//this method will be called when clicked on save button of add team member dialog box
var onclickAddteam = function () {
	$('#myModalAdd').show();
	$('#myModalAddConfirmation').hide();
	$('#full-name').val("");
	$('#email-text').val("");
	$(".myprofile-textfield").removeClass("pro-error-border");
	$('#entry-toggleswitch4').prop('checked', '');
	$('#entry-toggleswitch5').prop('checked', '');
	$('#entry-toggleswitch6').prop('checked', '');
	$(".validationclass").hide();
	$(".mylndng-popup-save").prop('background-color', 'white');
	$(".mylndng-popup-cncl").prop('background-color', 'white');
	$(".mplndg-popup-close").click(function () {
		$(".add-team-btn").css("background-color", "#e1e1e1 !important");
		$(".button1").css("background-color", "#e1e1e1 !important");
		$(".button1").css("color", "#00adf9 !important");
	});
	$("#add-cancel").click(function () {
		$("#select_dropdown").prop("selectedIndex", 2);
	});
};

//this method will be called when clicked on the full name
var landingfullname = function () {
	$('.confirmnamevalidation').hide();
	$('.namevalidation').hide();
	var regex = /^[a-zA-Z '-]*$/;
	if (!regex.test($('#full-name').val())) {
		$('.namevalidation').show();
	}
};

var emailvalidation = function (type) {
    var email;
	$('.emailvalidation').hide();
	$('.formatvalidation').hide();
	if (type === 0) {
		email = $('#email-text').val();
	} else {
		email = $('#bioplyr-bplc').val();
	}
};

var emailFormatValidation = function (type) {
    var email;
	if (type === 0) {
		email = $('#email-text').val();
	} else {
		email = $('#bioplyr-bplc').val();
	}
	if (email) {
		var expr = /^([\w-\.]+)@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.)|(([\w-]+\.)+))([a-zA-Z]{2,4}|[0-9]{1,3})(\]?)$/;
		if (!expr.test(email)) {
			$('.formatvalidation').show();
		}
	}
};

//clicking on remove button this method will be called
var removeTeamMember = function (delUserId) {
	delgatedUserId = delUserId;
	$('#myModalRemove').modal("show");
};

var onclickRemoveteam = function () {
	var fullName = $("#relationShipFullName" + delgatedUserId).text(),
        requestId = $("#requestId" + delgatedUserId).text(),
        email = $("#relationShipEmail" + delgatedUserId).text(),
        relation = $("#relationShipId" + delgatedUserId).text(),
        entryId = $('#permission_' + delgatedUserId + '_0').siblings().attr('id'),
        profileId = $('#permission_' + delgatedUserId + '_1').siblings().attr('id'),
        bankId = $('#permission_' + delgatedUserId + '_2').siblings().attr('id'),
        entryValue = false,
        profileValue,
        bankValue,
        paramsArray = [],
	    params0,
        params1,
        data = {},
        userSession = {},
        sessionData,
        apiservicecallsObj = new Apiservicecalls();
	if (($("#permission_" + delgatedUserId + "_0").attr('src') === "images/tick_fill_orange.svg") || ($("#permission_" + delgatedUserId + "_0").attr('src') === "images/tick_fill_green.svg")) {
		entryValue = true;
	}

	profileValue = false;
	if (($("#permission_" + delgatedUserId + "_1").attr('src') === "images/tick_fill_orange.svg") || ($("#permission_" + delgatedUserId + "_1").attr('src') === "images/tick_fill_green.svg")) {
		profileValue = true;
	}

	bankValue = false;
	if (($("#permission_" + delgatedUserId + "_2").attr('src') === "images/tick_fill_orange.svg") || ($("#permission_" + delgatedUserId + "_2").attr('src') === "images/tick_fill_green.svg")) {
		bankValue = true;
	}
    
	params0 = "fullName=" + fullName + "&Email=" + email + "&Relation=" + relation + "&RequestId=" + requestId;
	paramsArray.push(params0);
	params1 = entryId + "&" + entryValue + "|" + profileId + "&" + profileValue  + "|" + bankId  + "&" + bankValue;
	paramsArray.push(params1);
	paramsArray.push("50903FD2-B119-4A36-9333-DACA9A70CBE1");
	
	data.Userid = applicationDataObj.getUserId();
	data.ServiceProvider = "MyProfileServiceProvider";
	data.ServiceMethod = "RemoveTeamMember";
	data.Language = constants.englishLanguage;
	data.parametersArray = paramsArray;
	sessionData = applicationDataObj.getSessionResponse();
	userSession.PlayerId = sessionData.playerId;
	userSession.UserId = sessionData.userId;
	userSession.FirstName = sessionData.firstName;
	userSession.LastName = sessionData.lastName;
	userSession.UserName = applicationDataObj.getUsername();
	userSession.TOKEN  = applicationDataObj.getToken();
	userSession.Roles = sessionData.roles;
	userSession.EmailId = sessionData.emailId;
	userSession.Address1 = sessionData.address1;
	userSession.City = sessionData.city;
	userSession.Country = sessionData.country;
	data.SessionData = userSession;
	data = JSON.stringify(data);
	apiservicecallsObj.postData(constants.ajaxUrl, data, OnRemoveSuccess, OnRemoveError);
};

var OnRemoveSuccess = function (response) {
    if (response === true) {
        MyLanding();
        $('#myModalRemove').hide();
    }
    endLoading();
};
var OnRemoveError = function (jqXHR, response) {
    try {
        endLoading();
        var errMsg = "";
        if (jqXHR.status && jqXHR.status === 401 && jqXHR.statusText === "Unauthorized") {
            errMsg = "Error : OnRemoveError " + jqXHR.statusText;
        } else if (jqXHR.statusText === "timeout" && jqXHR.status === 0) {
            timoutErrorStatus = true;
            errMsg = "Error : OnRemoveError " + jqXHR.statusText;
        } else if (jqXHR.status === 0) {
            timoutErrorStatus = true;
            errMsg = "Error : OnRemoveError Unexpected Error with status Code 0";
        } else {
            timoutErrorStatus = true;
            errMsg = "Error : OnRemoveError Unexpected Error";
        }
        loggerObj.logToServer(constants.logSeverityError, errMsg);
        logout();
    } catch (err) {
        loggerObj.logToServer(constants.logSeverityError, "Error : OnRemoveError " + err);
    }
};

var OnProfileSuccess = function (response) {
    responseObject = response;
    var myProfLandingClass = new MyProfLandingClass();
    myProfLandingClass.bindPlayerProfile(response);
};

var OnProfileError = function (jqXHR, error) {
    try {
        var myProfLandingClass = new MyProfLandingClass();
        myProfLandingClass.showPlayerDiv();
        endLoading();
        var errMsg = "";
        if (jqXHR.status && jqXHR.status === 401 && jqXHR.statusText === "Unauthorized") {
            errMsg = "Error : OnProfileError " + jqXHR.statusText;
        } else if (jqXHR.statusText === "timeout" && jqXHR.status === 0) {
            timoutErrorStatus = true;
            errMsg = "Error : OnProfileError " + jqXHR.statusText;
        } else if (jqXHR.status === 0) {
            timoutErrorStatus = true;
            errMsg = "Error : OnProfileError Unexpected Error with status Code 0";
        } else {
            timoutErrorStatus = true;
            errMsg = "Error : OnProfileError Unexpected Error";
        }
        loggerObj.logToServer(constants.logSeverityError, errMsg);
        logout();
    } catch (err) {
        loggerObj.logToServer(constants.logSeverityError, "Error : OnProfileError " + err);
    }
};

var editTeamSave = function () {
    $("#editsave").addClass("savecolor");
    setTimeout(function () {
        var noErrorexists = true,
            email = $('#bioplyr-bplc').val(),
            isError = false,
            expr = /^([\w-\.]+)@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.)|(([\w-]+\.)+))([a-zA-Z]{2,4}|[0-9]{1,3})(\]?)$/,
            fullName = $("#myprofileteam").text(),
            existingEmail = $("#relationShipEmail" + delgatedUserId).text(),
            existingRelation = $("#relationShipId" + delgatedUserId).text(),
            requestId = $("#requestId" + delgatedUserId).text(),
            relation = $('#relationship_value').find(":selected").attr('id'),
            entryId = $('#permission_' + delgatedUserId + '_0').siblings().attr('id'),
            profileId = $('#permission_' + delgatedUserId + '_1').siblings().attr('id'),
            bankId = $('#permission_' + delgatedUserId + '_2').siblings().attr('id'),
            entryValue = false,
            profileValue = false,
            bankValue = false,
            paramsArray = [],
            params0 = "",
            params1 = "",
            data = {},
            userSession = {},
            sessionData = {},
            apiservicecallObj = new Apiservicecalls();
        if (!email) {
            $('.emailvalidation').show();
            $('.formatvalidation').hide();
            $('.emailvalidation').css({ 'font-family': 'Roboto Condensed', 'color': 'red', 'font-weight': 'normal' });
            isError = true;
        } else {
            if (!expr.test(email)) {
                $('.emailvalidation').css({ 'font-family': 'Roboto Condensed', 'color': 'red', 'font-weight': 'normal' });
                isError = true;
            }
        }

        if (!isError) {
            if ($('#entry-toggleswitch0').prop('checked') === true) {
                entryValue = true;
            }

            if ($('#entry-toggleswitch1').prop('checked') === true) {
                profileValue = true;
            }

            if ($('#entry-toggleswitch2').prop('checked') === true) {
                bankValue = true;
            }

            params0 = "fullName=" + fullName + "&Email=" + email + "&Relation=" + relation + "&RequestId=" + requestId + "&ExistingEmail=" + existingEmail + "&ExistingRelation=" + existingRelation;
            paramsArray.push(params0);
            params1 = entryId + "&" + entryValue + "|" + profileId + "&" + profileValue + "|" + bankId + "&" + bankValue;
            paramsArray.push(params1);
            paramsArray.push("50903FD2-B119-4A36-9333-DACA9A70CBE1");

            data.Userid = applicationDataObj.getUserId().toUpperCase();
            data.ServiceProvider = "MyProfileServiceProvider";
            data.ServiceMethod = "EditTeamMember";
            data.Language = constants.englishLanguage;
            data.parametersArray = paramsArray;
            sessionData = applicationDataObj.getSessionResponse();
            userSession.PlayerId = sessionData.playerId;
            userSession.UserId = applicationDataObj.getUserId().toUpperCase();
            userSession.FirstName = sessionData.firstName;
            userSession.LastName = sessionData.lastName;
            userSession.UserName = applicationDataObj.getUsername();
            userSession.Roles = sessionData.roles;
            userSession.EmailId = sessionData.emailId;
            userSession.Address1 = sessionData.address1;
            userSession.City = sessionData.city;
            userSession.Country = sessionData.country;
            userSession.TOKEN = applicationDataObj.getToken();
            data.SessionData = userSession;
            data = JSON.stringify(data);
            apiservicecallObj.postData(constants.ajaxUrl, data, OnEditSuccess, OnEditError);
        }
    }, 700);
};

var OnEditSuccess = function (response) {
    if (response === null) {
        var myProfLandingClass = new MyProfLandingClass();
        myProfLandingClass.bindProfile();
    }
    $('#modaleditsave').modal("hide");
    $('#myModalAddConfirmation').modal("show");
    endLoading();
};
            
var OnEditError = function (jqXHR, error) {
    try {
        endLoading();
        var errMsg = "";
        if (jqXHR.status && jqXHR.status === 401 && jqXHR.statusText === "Unauthorized") {
            errMsg = "Error : OnEditError " + jqXHR.statusText;
        } else if (jqXHR.statusText === "timeout" && jqXHR.status === 0) {
            timoutErrorStatus = true;
            errMsg = "Error : OnEditError " + jqXHR.statusText;
        } else if (jqXHR.status === 0) {
            timoutErrorStatus = true;
            errMsg = "Error : OnEditError Unexpected Error with status Code 0";
        } else {
            timoutErrorStatus = true;
            errMsg = "Error : OnEditError Unexpected Error";
        }
        loggerObj.logToServer(constants.logSeverityError, errMsg);
        logout();
    } catch (err) {
        loggerObj.logToServer(constants.logSeverityError, "Error : OnEditError " + err);
    }
};

var addTeamSave = function () {
    $("#addteamSave").addClass("savecolor");
    setTimeout(function () {
        $('.validationclass').hide();
        $(".myprofile-textfield").removeClass("pro-error-border");
        var noErrorexists = true,
            email = $('#email-text').val(),
            name = $('#full-name').val(),
            isError = false,
            regex = /^[a-zA-Z '-]*$/,
            expr = /^([\w-\.]+)@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.)|(([\w-]+\.)+))([a-zA-Z]{2,4}|[0-9]{1,3})(\]?)$/,
            fullName = $("#full-name").val(),
            relation = $('#select_dropdown').find(":selected").attr('id'),
            entryId = $('.hiddenId_0').attr('id'),
            profileId = $('.hiddenId_1').attr('id'),
            bankId = $('.hiddenId_2').attr('id'),
            entryValue = false,
            profileValue = false,
            bankValue = false,
            paramsArray = [],
            params0 = "",
            params1 = "",
            data = {},
            userSession = {},
            sessionData = {},
            apiservicecallsObj = new Apiservicecalls();
        if (!name) {
            $('.confirmnamevalidation').show();
            $(".full-name-div .myprofile-textfield").addClass("pro-error-border");
            $('.confirmnamevalidation,.namevalidation,.emailvalidation,.formatvalidation').css({ 'font-family': 'Roboto Condensed', 'color': 'red', 'font-weight': 'normal' });
            isError = true;
        } else {

            if (!regex.test(name)) {
                $('.namevalidation').show();
                $(".full-name-div .myprofile-textfield").addClass("pro-error-border");
                $('.confirmnamevalidation,.namevalidation,.emailvalidation,.formatvalidation').css({ 'font-family': 'Roboto Condensed', 'color': 'red', 'font-weight': 'normal' });
                isError = true;
            }
        }
        if (!email) {
            $('.emailvalidation').show();
            $(".email-address-div .myprofile-textfield").addClass("pro-error-border");
            $('.confirmnamevalidation,.namevalidation,.emailvalidation,.formatvalidation').css({ 'font-family': 'Roboto Condensed', 'color': 'red', 'font-weight': 'normal' });
            isError = true;
        } else {
            if (!expr.test(email)) {
                $('.formatvalidation').show();
                $(".email-address-div .myprofile-textfield").addClass("pro-error-border");
                $('.confirmnamevalidation,.namevalidation,.emailvalidation,.formatvalidation').css({ 'font-family': 'Roboto Condensed', 'color': 'red', 'font-weight': 'normal' });
                isError = true;
            }
        }
        if (!isError) {
            if ($('#entry-toggleswitch4').prop('checked') === true) {
                entryValue = true;
            }

            profileValue = false;
            if ($('#entry-toggleswitch5').prop('checked') === true) {
                profileValue = true;
            }

            bankValue = false;
            if ($('#entry-toggleswitch6').prop('checked') === true) {
                bankValue = true;
            }

            params0 = "fullName=" + fullName + "&Email=" + email + "&Relation=" + relation;
            paramsArray.push(params0);
            params1 = entryId + "&" + entryValue + "|" + profileId + "&" + profileValue + "|" + bankId + "&" + bankValue;
            paramsArray.push(params1);
            paramsArray.push("50903FD2-B119-4A36-9333-DACA9A70CBE1");
            data.Userid = applicationDataObj.getUserId().toUpperCase();
            data.ServiceProvider = "MyProfileServiceProvider";
            data.ServiceMethod = "SaveTeamMember";
            data.Language = constants.englishLanguage;
            data.parametersArray = paramsArray;
            sessionData = applicationDataObj.getSessionResponse();
            userSession.PlayerId = sessionData.playerId;
            userSession.UserId = sessionData.userId;
            userSession.FirstName = sessionData.firstName;
            userSession.LastName = sessionData.lastName;
            userSession.UserName = applicationDataObj.getUsername().toUpperCase();
            userSession.Roles = sessionData.roles;
            userSession.EmailId = sessionData.emailId;
            userSession.Address1 = sessionData.address1;
            userSession.City = sessionData.city;
            userSession.Country = sessionData.country;
            userSession.TOKEN = applicationDataObj.getToken();
            data.SessionData = userSession;
            data = JSON.stringify(data);
            apiservicecallsObj.postData(constants.ajaxUrl, data, OnSaveSuccess, OnSaveError);
        }
    }, 1000);
};

var OnSaveSuccess = function (response) {
    if(response !== null && typeof response != "undefined") {
        if(typeof response.IsMembersFull != "undefined"  && response.IsMembersFull ) {
            $('#container-div1').modal("hide");
             $('#myModalAddMemberFull').modal("show");
        }  
    } 
    $('#container-div1').modal("hide");
    $('#myModalAddConfirmation').modal("show");

    var plus = length_DelegatedUsers + 1,
        completeName = $("#full-name").val();
    idPlayer = "playername_match" + plus;
    var myProfLandingClass = new MyProfLandingClass();
    myProfLandingClass.bindProfile();
    endLoading();
};

var OnSaveError = function (jqXHR, response) {
    try {
        endLoading();
        var errMsg = "";
        if (jqXHR.status && jqXHR.status === 401 && jqXHR.statusText === "Unauthorized") {
            errMsg = "Error : OnSaveError " + jqXHR.statusText;
        } else if (jqXHR.statusText === "timeout" && jqXHR.status === 0) {
            timoutErrorStatus = true;
            errMsg = "Error : OnSaveError " + jqXHR.statusText;
        } else if (jqXHR.status === 0) {
            timoutErrorStatus = true;
            errMsg = "Error : OnSaveError Unexpected Error with status Code 0";
        } else {
            timoutErrorStatus = true;
            errMsg = "Error : OnSaveError Unexpected Error";
        }
        loggerObj.logToServer(constants.logSeverityError, errMsg);
        logout();
    } catch (err) {
        loggerObj.logToServer(constants.logSeverityError, "Error : OnSaveError " + err);
    }
};

var createRankingUrl = function () {
    singlesPoints = envUrl + "/rankings/singles-breakdown?playerId=" + applicationDataObj.getSessionResponse().playerId + "&HybridApp=1";
    racePoints = envUrl + "/rankings/race-to-london?playerId=" + applicationDataObj.getSessionResponse().playerId + "&HybridApp=1";
    doublesPoints = envUrl + "/rankings/doubles-breakdown?playerId=" + applicationDataObj.getSessionResponse().playerId + "&HybridApp=1";
    teamPoints = envUrl + "/rankings/team-breakdown?playerId=" + applicationDataObj.getSessionResponse().playerId + "&HybridApp=1";
};