/**
 * This software is the confidential and proprietary information of
 * ATP and may not be used, reproduced, modified, distributed,
 * publicly displayed or otherwise disclosed without the express written
 * consent of ATP. 
 */
/*jslint browser: true*/
/*global $, jQuery,loggerObj,constants,startLoading,isApp,applicationDataObj,endLoading*/

/* Benefits details */
var benefitsDetailReadyHandler = function () {
    try {
        startLoading();
        if (isApp) {
            window.ga.trackView('Benefits DetailsPage');
        }
        setTimeout(function () {
            var benefitsObj = applicationDataObj.getbenefitsDetailObj(),
                imageSrc = benefitsObj.img;
            $("#benefits-detailcontent-div").append(benefitsObj.text);
            $("#benefitdetails-title").text(benefitsObj.title);
            $("#benefit-details-image").attr("src", imageSrc);
            endLoading();
        }, 500);
    } catch (err) {
        loggerObj.logToServer(constants.logSeverityError, "Error : benefitsDetailReadyHandler " + err);
    }
};
