var LoginAlertClass = function () {
    
    //get Login alert messages
    this.getLoginAlerts = function () {
        try {
            var apiservicecallsObj = new Apiservicecalls();
			var url =  constants.ajaxUrl;
			var sessionData = applicationDataObj.getSessionResponse();
			var inputData = getLoginAlertsParameters(sessionData);
			apiservicecallsObj.postData(url, inputData, this.OnLoginAlertSuccess,  this.OnLoginAlertError);
          
        } catch (err) {
			loggerObj.logToServer(constants.logSeverityError, "Error: getLoginAlerts Method " + err);
		}
    };
    
    
    
    this.OnLoginAlertSuccess = function (res) {
        setTimeout(function () {
            if(res.length !== 0) {
                var alertli = '';
                $("#modalBodyAlert").html('<div class="alerts-list"></div>');
                for(i = 0; i< res.length ; i++) {
                   alertli = alertli + $('<div/>').html(res[i].NotificationMessage).text();+ '</br>';
                }
                
                $('.alerts-list').html(alertli);
                $("#AlertMessage").modal('show');
                removeLoginAlerts();
            }
         },300);
    };
    
    this.OnLoginAlertError = function (jqXHR) {
        endLoading();
        var errorMessage = jqXHR.statusText;
        if (jqXHR.responseJSON && jqXHR.responseJSON.Message) {
            errorMessage = errorMessage + " : " + jqXHR.responseJSON.Message;
        }
        loggerObj.logToServer(constants.logSeverityError, "Error : OnLoginAlertError " + errorMessage);
        
    };
};

var getLoginAlertsParameters = function (sessionData) {
        try {
            var loginData =  {},
                userSession = {};
            loginData.Userid = applicationDataObj.getUserId();
            loginData.ServiceProvider = "RegistrationServiceProvider";
            loginData.ServiceMethod = "GetLoginAlerts";
            loginData.Language = "en";
            loginData.parametersArray = [applicationDataObj.getUserId()];
			userSession.PlayerId = sessionData.playerId;
			userSession.Userid = sessionData.userId;
			userSession.FirstName = sessionData.firstName;
			userSession.LastName = sessionData.lastName;
			userSession.Roles = sessionData.roles;
			userSession.TOKEN  = applicationDataObj.getToken();
			loginData.SessionData = userSession;
            loginData = JSON.stringify(loginData);
            return loginData;
        }  catch (err) {
            loggerObj.logToServer(constants.logSeverityError, "Error: getLoginAlertsParameters Method " + err);
        }
};

var getLoginAlertsRemoveParameters = function(sessionData) {
    var loginData =  {},
        userSession = {};
    loginData.Userid = applicationDataObj.getUserId();
    loginData.ServiceProvider = "RegistrationServiceProvider";
    loginData.ServiceMethod = "RemoveLoginAlerts";
    loginData.Language = "en";
    loginData.parametersArray = [applicationDataObj.getUserId(),"40A2CDD3-5D19-473B-AF24-385F4032747C"];
    userSession.PlayerId = sessionData.playerId;
    userSession.Userid = sessionData.userId;
    userSession.FirstName = sessionData.firstName;
    userSession.LastName = sessionData.lastName;
    userSession.Roles = sessionData.roles;
    userSession.TOKEN  = applicationDataObj.getToken();
    loginData.SessionData = userSession;
    loginData = JSON.stringify(loginData);
    return loginData;
};

var removeLoginAlerts = function () {
        try {
            var apiservicecallsObj = new Apiservicecalls();
			var url =  constants.ajaxUrl;
			var sessionData = applicationDataObj.getSessionResponse();
			var inputData = getLoginAlertsRemoveParameters(sessionData);
			apiservicecallsObj.postData(url, inputData, OnLoginAlertRemoveSuccess, OnLoginAlertRemoveError);
        
        } catch (err) {
			loggerObj.logToServer(constants.logSeverityError, "Error: getLoginAlerts Method " + err);
		}
};

var OnLoginAlertRemoveSuccess = function (res) {
    endLoading();
};

var OnLoginAlertRemoveError = function (jqXHR) {
    var errorMessage = jqXHR.statusText;
    if (jqXHR.responseJSON && jqXHR.responseJSON.Message) {
        errorMessage = errorMessage + " : " + jqXHR.responseJSON.Message;
    }
    loggerObj.logToServer(constants.logSeverityError, "Error : OnLoginAlertRemoveError " + errorMessage);
};
