/**
* This software is the confidential and proprietary information of
* ATP and may not be used, reproduced, modified, distributed,
* publicly displayed or otherwise disclosed without the express written
* consent of ATP. 
*/
var totalNewsItems;
var detailsLinkText;
/*var t2 =[];
var t3 =[];
var t4 =[];
var sorted;*/
var NewsArchiveClass = function () {
    var newsArchiveData;
    /** get news archive data **/
    this.getNewsArchiveData = function () {
        try {
            var apiservicecallsObj = new Apiservicecalls(),
                inputData = this.getNewsArchiveRequestParameters();
            apiservicecallsObj.postData(constants.ajaxUrl, inputData, this.onNewsArchiveSuccess, this.onNewsArchiveError);
        } catch (err) {
            loggerObj.logToServer(constants.logSeverityError, "Error : getNewsArchiveData " + err);
        }
    };

    /** Binding News Archive body data**/

    this.bindNewsArchiveResponse = function (response) {
        try {
           /* function padDateTime(dt) {
                return dt < 10 ? "0"+dt : dt;
            }
            var t1 = response.childItems;
            t2 =[];
            t3 =[];
            t4 =[];
            t1.forEach( function (arrayItem)
            {
               t2.push(arrayItem);
            });
            
            t2.forEach( function (arrayItem)
            {
                var x = arrayItem.PublishDate;
                var dateParsed = new Date(x);
                var dd = padDateTime(dateParsed.getDate());
                var mm = padDateTime(dateParsed.getMonth()+1);
                var yyyy = dateParsed.getFullYear();
                var hrs = padDateTime(dateParsed.getHours());
                var mins = padDateTime(dateParsed.getMinutes());
                var myDateTimeString = dd+"/"+mm+"/"+yyyy;
                arrayItem.PublishDate = myDateTimeString;
                t3.push(arrayItem);
            });
            
            function padDateTime(dt) {
                return dt < 10 ? "0"+dt : dt;
            }
          
            sorted  = t3.sort( function(a,b){
                return b.PublishDate.split('/').reverse().join('') - a.PublishDate.split('/').reverse().join('');
            });
            
            sorted.forEach( function (arrayItem) {
                getFormattedDate(arrayItem.PublishDate);
            });

             function getFormattedDate(t_sdate){
                var sptdate = String(t_sdate).split("/");
                var months = ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec'];
                var myDay = sptdate[0];
                var myMonth = sptdate[1];
                var myYear = sptdate[2];
                var combineDatestr = myDay + " " + months[myMonth - 1] + " " + myYear;
                t4.push(combineDatestr);
             }*/

            var i, strdate1, detailsImage;
            detailsLinkText = response.childItems[0].DetailsLinkText;
            for (i = 0; i < response.DefaultNumofArticles; i = i + 1) {
                /*if (t4[i] !== null) {
                    strdate1 = t4[i];
                }*/
                if (response.childItems[i].PublishDate !== null) {
                    strdate1 = moment(response.childItems[i].PublishDate).format("DD MMM YYYY");
                }
                if (response.childItems[i].ThumbnailImage && response.childItems[i].ThumbnailImage.Src) {
                    detailsImage = response.childItems[i].ThumbnailImage.Src;
                    $(".news-archive-img").append('<div class="newscontainer"><div class="news-archive"><img src="' + detailsImage+ '" class="news-archiveimg" alt="News-image"/> </div>' +
                                          '<div class="news-innercntnr3 commondivclass "><div class="col-md-12 col-sm-12 col-xs-12 col-lg-8 font-color2 new-archive-newscontent">' +
                                          '<div class="news-archive-headline" onClick="initiateTitleClick(this)">' + response.childItems[i].ArticleTitle + '</div><div class="news-archive-articletext">' + response.childItems[i].ArticleBodyText.replace(/<\/?[^>]+(>|$)/g, "") +
                                          '</div><div class="news-archive-articletext-hidden hide">' + response.childItems[i].ArticleBodyText +
                                          '</div><div class="col-md-8 col-sm-8 col-xs-8 col-lg-8 font-color2 paddinglftryt0">' + strdate1 + '</div>' +
                                          '<div class="col-md-4 col-sm-4 col-xs-4 col-lg-4 alignright paddinglftryt0 anchor-parent"><a data-title = "' + response.childItems[i].ArticleTitle + '" data-src = "' + detailsImage + '" class="archiveanchor news-archive-details"  onClick="newsArchiveDetailsReady(this)">' + detailsLinkText + '</a>' +
                                          '</div></div><div class="clearfix"></div></div></div>');
                } else {
                    $(".news-archive-img").append('<div class="newscontainer">' +
                                              '<div class="news-innercntnr3 commondivclass "><div class="col-md-12 col-sm-12 col-xs-12 col-lg-8 font-color2 new-archive-newscontent">' +
                                              '<div class="news-archive-headline" onClick="initiateTitleClick(this)">' + response.childItems[i].ArticleTitle + '</div><div class="news-archive-articletext">' + response.childItems[i].ArticleBodyText.replace(/<\/?[^>]+(>|$)/g, "") +
                                              '</div><div class="news-archive-articletext-hidden hide">' + response.childItems[i].ArticleBodyText +
                                              '</div><div class="col-md-8 col-sm-8 col-xs-8 col-lg-8 font-color2 paddinglftryt0">' + strdate1 + '</div>' +
                                              '<div class="col-md-4 col-sm-4 col-xs-4 col-lg-4 alignright paddinglftryt0 anchor-parent"><a data-title = "' + response.childItems[i].ArticleTitle + '" class="archiveanchor news-archive-details"  onClick="newsArchiveDetailsReady(this)">' + detailsLinkText + '</a>' +
                                              '</div></div><div class="clearfix"></div></div></div>');
                }
            }
            var defaultItems = response.DefaultNumofArticles;
            constants.searchDefaultItems = defaultItems;
            var totalItems = response.childItems;
            totalNewsItems = response.childItems;
            if ( totalItems && defaultItems){
                if (defaultItems < totalItems.length){
                    $(".loadMoreContent").show();
                } else {
                    $(".loadMoreContent").hide();
                }
            }
            NewsArchiveClass.newsArchiveData = $(".news-archive-img").html();
        } catch (err) {
            loggerObj.logToServer(constants.logSeverityError, "Error : getNewsArchiveData " + err);
        }
    };

    /** Creating request parameters**/
    this.getNewsArchiveRequestParameters = function () {
        try {
            var sessionData = applicationDataObj.getSessionResponse(),
                data = {},
                userSession = {};
            data.userId = sessionData.userId;
            data.ServiceProvider = "NewsServiceProvider";
            data.ServiceMethod = "GetNewsArchive";
            data.Language = constants.Language;
            data.ParametersArray = ["468ABF2B-05B3-4331-A66E-6F44D6E8DFBD"];
            userSession.PlayerId = sessionData.playerId;
            userSession.Userid = sessionData.userId;
            userSession.FirstName = sessionData.firstName;
            userSession.LastName = sessionData.lastName;
            userSession.TOKEN = applicationDataObj.getToken();
            data.SessionData = userSession;
            data = JSON.stringify(data);
            return data;
        } catch (err) {
            loggerObj.logToServer(constants.logSeverityError, "Error : getNewsArchiveRequestParameters " + err);
        }
    };
    /*Ajax - Success Call back*/
    this.onNewsArchiveSuccess = function (data) {
        try {
            var newsArchiveClassObj = new NewsArchiveClass(),
                count,
                loadMoreCount,
                strdate1,
                i,
                detailsImage;
            newsArchiveClassObj.bindNewsArchiveResponse(data);
            endLoading();
            $("#loadmoreClick").click(function () {
                count = $(".news-archive-img").children().length;
                loadMoreCount = count + 6;
                for (i = count; i < loadMoreCount; i = i + 1) {
                    if (typeof data.childItems[i] !== 'undefined') {
                        /*if (t4[i] !== null) {
                            strdate1 = t4[i];
                        }*/
                        if (data.childItems[i].PublishDate &&  data.childItems[i].PublishDate !== null) {
                            strdate1 = moment(data.childItems[i].PublishDate).format("DD MMM YYYY");
                        }
                        
                        if (data.childItems[i].ThumbnailImage !== null) {
                            detailsImage = data.childItems[i].ThumbnailImage.Src;
                            $(".news-archive-img").append('<div class="newscontainer"><div class="news-archive"><img src="' + detailsImage + '" class="news-archiveimg" alt="News-image"/> </div>' +'<div class="news-innercntnr3 commondivclass "><div class="col-md-12 col-sm-12 col-xs-12 col-lg-8 font-color2 new-archive-newscontent">' +
                                                          '<div class="news-archive-headline" onClick="initiateTitleClick(this)">' + data.childItems[i].ArticleTitle + '</div><div class="news-archive-articletext">' + data.childItems[i].ArticleBodyText.replace(/<\/?[^>]+(>|$)/g, "") +
                                                          '</div><div class="news-archive-articletext-hidden hide">' + data.childItems[i].ArticleBodyText +
                                                          '</div><div class="col-md-8 col-sm-8 col-xs-8 col-lg-8 font-color2 paddinglftryt0">' + strdate1 + '</div>' +
                                                          '<div class="col-md-4 col-sm-4 col-xs-4 col-lg-4 alignright paddinglftryt0 anchor-parent"><a data-title = "' + data.childItems[i].ArticleTitle + '" data-src = "' + detailsImage + '" class="archiveanchor news-archive-details"  onClick="newsArchiveDetailsReady(this)">' + detailsLinkText + '</a></div>' +
                                                          '</div><div class="clearfix"></div></div></div>');
                        } else {
                            $(".news-archive-img").append('<div class="newscontainer"><div class="news-innercntnr3 commondivclass "><div class="col-md-12 col-sm-12 col-xs-12 col-lg-8 font-color2 new-archive-newscontent">' +
                                                          '<div class="news-archive-headline" onClick="initiateTitleClick(this)">' + data.childItems[i].ArticleTitle + '</div><div class="news-archive-articletext">' + data.childItems[i].ArticleBodyText.replace(/<\/?[^>]+(>|$)/g, "") +
                                                          '</div><div class="news-archive-articletext-hidden hide">' + data.childItems[i].ArticleBodyText +
                                                          '</div><div class="col-md-8 col-sm-8 col-xs-8 col-lg-8 font-color2 paddinglftryt0 anchor-parent">' + strdate1 + '</div>' +
                                                          '<div class="col-md-4 col-sm-4 col-xs-4 col-lg-4 alignright paddinglftryt0"><a data-title = "' + data.childItems[i].ArticleTitle + '"  class="archiveanchor news-archive-details"  onClick="newsArchiveDetailsReady(this)">' + detailsLinkText + '</a></div>' +
                                                          '</div><div class="clearfix"></div></div></div>');
                        }
                    }
                }
                if (count === data.childItems.length) {
                    $(".loadMoreContent").hide();
                }
            });
        } catch (err) {
            loggerObj.logToServer(constants.logSeverityError, "Error : onNewsArchiveSuccess " + err);
        }
    };
    this.onNewsArchiveError = function (jqXHR, error) {
        try {
            endLoading();
            var errorMessage = jqXHR.statusText;
            if (jqXHR.responseJSON && jqXHR.responseJSON.Message) {
                errorMessage = errorMessage + " : " + jqXHR.responseJSON.Message;
            }
            loggerObj.logToServer(constants.logSeverityError, "Error : onNewsArchiveError " + errorMessage);
            if (jqXHR.status && jqXHR.status === constants.errorCode401 &&
                jqXHR.statusText === constants.unauthorizedError) {
                logout();
            }
        } catch (err) {
            loggerObj.logToServer(constants.logSeverityError, "Error : onNewsArchiveError " + err);
        }
    };
};

var initiateTitleClick = function (event) {
    try{
        $(event).parent().find(".anchor-parent").find("a")[0].click()
    } catch (err) {
        loggerObj.logToServer(constants.logSeverityError, "Error : initiateTitleClick " + err);
    }
};

/* News archive details Ready function */
var newsArchiveDetailsReady = function (event) {
    try {

        var newsArchiveObj = {};
        newsArchiveObj.title = $(event).attr("data-title");
        newsArchiveObj.text = $(event).parent().parent().find('.news-archive-articletext-hidden').html();
        if($(event).attr("data-src") !== undefined) {
            newsArchiveObj.img = $(event).attr("data-src");
        }
        applicationDataObj.setnewsArchiveDetailObj("");
        applicationDataObj.setnewsArchiveDetailObj(newsArchiveObj);
        window.location.href = "#/News_NewsArchive_Details";
    } catch (err) {
        loggerObj.logToServer(constants.logSeverityError, "Error : newsArchiveDetailsReady " + err);
    }
};

function subHeaderNewsHide() {
    try {
        var role  = "",
            lowerConvertedRole;
        if (applicationDataObj.getSessionResponse() && applicationDataObj.getSessionResponse().roles &&
            applicationDataObj.getSessionResponse().roles.length !== 0) {
            role = applicationDataObj.getSessionResponse().roles[0];
        }
        if (role) {
            lowerConvertedRole = role.toLowerCase();
            if (lowerConvertedRole.indexOf("other") !== -1) {
                $(".player").addClass("hide");
                $(".registeredplayer").removeClass("hide");
                $("#leftarrow").hide();
                $("#rightarrow").hide();
            } else if (lowerConvertedRole.indexOf("registered player") !== -1) {
                $(".player").addClass("hide");
                $(".registeredplayer").removeClass("hide");
                $("#leftarrow").hide();
                $("#rightarrow").hide();
            } else {
                $(".player").removeClass("hide");
                $(".registeredplayer").addClass("hide");
                subHeaderCarousel();
                navigationArrowMenu();
            }
        }
    } catch (err) {
        loggerObj.logToServer(constants.logSeverityError, "Error : subHeaderNewsHide " + err);
    }
}

/** newsArchive **/
var newsArchive = function () {
    $(".loadMoreContent").show();
    try {
        if(isApp){
            window.ga.trackView('News Archive');
        }
        $('.news-container').removeClass("iosscrolldivArchive");
        $('.news-container').addClass("iosscrolldiv");
        var newsArchiveClassObj = new NewsArchiveClass(),
            activeContentNum;
        startLoading();
        headerMain();
        subHeaderNewsHide();
        activeContentNum = 0;
        newsArchiveClassObj.getNewsArchiveData();
        var detailsImage;
        $("#search").keyup(function (event) {
            $(".loadMoreContent").hide();
            var expression = false,
                value = $(this).val(),
                finder = "";
            if ((event.keyCode === 13 || event.charCode === 13)&&(value==null)) {
                $(".news-archive-img").children().empty();
                $("#search").blur();
            } else if ($(this).val()) {
                $(".loadMoreContent").hide();
                $(".news-archive-img").children().empty();
                $(".search-img").hide();
                $(".pro-close-img").show();
                var finder = $(this).val().toLowerCase();
                $(".news-archive-img").append('');
                var count=0;
                if (totalNewsItems) {
                    totalNewsItems.forEach(function(element) {
                        if(element.ArticleTitle.toLowerCase().search(finder.toLowerCase()) !== -1) {
                            if (element.IsSearchable){
                                count=count+1;
                                if (typeof element !== 'undefined') {
                                    /*if (t4[i] !== null) {
                                        strdate1 = t4[i];
                                    }*/
                                    if (element.PublishDate &&  element.PublishDate !== null) {
                                            strdate1 = moment(element.PublishDate).format("DD MMM YYYY");
                                    }
                                    
                                    if (value.indexOf("\"") > -1 && value.lastIndexOf("\"") > 0) {
                                        finder = value.substring(eval(value.indexOf("\"")) + 1, value.lastIndexOf("\""));
                                        expression = true;
                                    }
                                    var title = element.ArticleTitle.toLowerCase();
                                    if ( title.indexOf(finder) > -1 ) {
                                        if (expression) {
                                            if ($(this).text().toLowerCase().search(finder.toLowerCase()) === -1) {
                                                $(this).hide();
                                            } else {
                                                $(this).show();
                                            }
                                        } else {
                                            if (title.toLowerCase().indexOf(value.toLowerCase()) < 0) {
                                                $(this).hide();
                                            } else {
                                                $(this).show();
                                            }    
                                        }							
                                        if (element.ThumbnailImage !== null) {
                                            detailsImage = element.ThumbnailImage.Src
                                            $(".news-archive-img").append('<div class="newscontainer"><div class="news-archive"><img src="' + detailsImage + '" class="news-archiveimg" alt="News-image"/> </div>' +'<div class="news-innercntnr3 commondivclass "><div class="col-md-12 col-sm-12 col-xs-12 col-lg-8 font-color2 new-archive-newscontent">' +
                                                                          '<div class="news-archive-headline" onClick="initiateTitleClick(this)">' + element.ArticleTitle + '</div><div class="news-archive-articletext">' + element.ArticleBodyText.replace(/<\/?[^>]+(>|$)/g, "") +
                                                                          '</div><div class="news-archive-articletext-hidden hide">' + element.ArticleBodyText +
                                                                          '</div><div class="col-md-8 col-sm-8 col-xs-8 col-lg-8 font-color2 paddinglftryt0">' + strdate1 + '</div>' +
                                                                          '<div class="col-md-4 col-sm-4 col-xs-4 col-lg-4 alignright paddinglftryt0 anchor-parent"><a data-title = "' + element.ArticleTitle + '" data-src = "' + detailsImage + '" class="archiveanchor news-archive-details"  onClick="newsArchiveDetailsReady(this)">' + detailsLinkText + '</a></div>' +
                                                                          '</div><div class="clearfix"></div></div></div>');
                                        } else {
                                            $(".news-archive-img").append('<div class="newscontainer">' +'<div class="news-innercntnr3 commondivclass "><div class="col-md-12 col-sm-12 col-xs-12 col-lg-8 font-color2 new-archive-newscontent">' +
                                                                          '<div class="news-archive-headline" onClick="initiateTitleClick(this)">' + element.ArticleTitle + '</div><div class="news-archive-articletext">' + element.ArticleBodyText.replace(/<\/?[^>]+(>|$)/g, "") +
                                                                          '</div><div class="news-archive-articletext-hidden hide">' + element.ArticleBodyText +
                                                                          '</div><div class="col-md-8 col-sm-8 col-xs-8 col-lg-8 font-color2 paddinglftryt0">' + strdate1 + '</div>' +
                                                                          '<div class="col-md-4 col-sm-4 col-xs-4 col-lg-4 alignright paddinglftryt0 anchor-parent"><a data-title = "' + element.ArticleTitle + '" class="archiveanchor news-archive-details"  onClick="newsArchiveDetailsReady(this)">' + detailsLinkText + '</a></div>' +
                                                                          '</div><div class="clearfix"></div></div></div>');
                                        }
                                    }
                                    else{
                                        console.log("not found");
                                    }
                                }
                            } 
                        }
                    });
                } else {
                    $(".newscontainer").each(function () {
                        var title = $(this).find(".news-archive-headline").text();
                        if (expression) {
                            if ($(this).text().toLowerCase().search(finder.toLowerCase()) === -1) {
                                $(this).hide();
                            } else {
                                $(this).show();
                            }
                        } else {
                            if (title.toLowerCase().indexOf(value.toLowerCase()) < 0) {
                                $(this).hide();
                            } else {
                                $(this).show();
                            }
                        }
                    });
                }
            } else {
                $(".pro-close-img").hide();
                $(".loadMoreContent").show();
                $(".search-img").show();
                $(".news-archive-img").html("");
                $(".news-archive-img").html(NewsArchiveClass.newsArchiveData);
                var totalLength = $(".newscontainer").length;
                if ((constants.searchDefaultItems <= totalLength)&&(finder!=null)) {
                    $(".loadMoreContent").show();
                } else {
                    $(".loadMoreContent").hide();
                }
            }
        });
        $(".pro-close-img").click(function () {
            $(".pro-close-img").hide();
            $(".search-img").show();
            $("#search").val("");
            $(".news-archive-img").html("");
            $(".news-archive-img").html(NewsArchiveClass.newsArchiveData);
            var totalLength = $(".newscontainer").length;
            var finder=$("#search").val();
            if ((constants.searchDefaultItems <= totalLength)&&(finder!=null)){
                $(".loadMoreContent").show();
            } else {
                $(".loadMoreContent").hide();
            }
        });
    } catch (err) {
        loggerObj.logToServer(constants.logSeverityError, "Error : newsArchive " + err);
    }
};