/**
 * This software is the confidential and proprietary information of
 * ATP and may not be used, reproduced, modified, distributed,
 * publicly displayed or otherwise disclosed without the express written
 * consent of ATP. 
 */

var nonPlayerData = {};
var OtherBioClass = function () {
    var bindManage,
        noErrorexists1S = true;
    this.getOtherBio = function () {
        var data = {},
            sessionData = {},
            userSessionData;
        data.Userid = applicationDataObj.UserId;
        data.ServiceProvider = "MyProfileServiceProvider";
        data.ServiceMethod = "GetBioData";
        data.Language = constants.englishLanguage;
        data.parametersArray = ["6D8CD88E-6E2F-43AD-BD65-4AC9EE276E34"];
        userSessionData = applicationDataObj.getSessionResponse();
        sessionData.PlayerId = userSessionData.playerId;
        sessionData.UserId = applicationDataObj.UserId;
        sessionData.FirstName = userSessionData.firstName;
        sessionData.LastName = userSessionData.lastName;
        sessionData.UserName = applicationDataObj.getUsername();
        sessionData.Roles = userSessionData.roles;
        sessionData.EmailId = userSessionData.emailId;
        sessionData.City = userSessionData.city;
        sessionData.Country = userSessionData.country;
        sessionData.Address1 = userSessionData.address1;
        sessionData.TOKEN = applicationDataObj.getToken();
        if (userSessionData.ManagementAgency) {
            sessionData.ManagementAgency = userSessionData.ManagementAgency;
        }
        sessionData.JoinedDate = userSessionData.registeredDate;
        data.SessionData = sessionData;
        data = JSON.stringify(data);
        return data;
    };
    this.bindAgentData = function (data) {
        try {
            var role = "",
                lowerConvertedRole;
            if (applicationDataObj.getSessionResponse() && applicationDataObj.getSessionResponse().roles &&
                    applicationDataObj.getSessionResponse().roles.length !== 0) {
                role = applicationDataObj.getSessionResponse().roles[0];
            }
            nonPlayerData = data;
            if (role) {
                lowerConvertedRole = role.toLowerCase();
                if (lowerConvertedRole === "atp coach/atp agent") {
                    $("#bioplayer").hide();
                    $("#bioagent").show();
                    $("#biocoach").show();
                    $(".buttonhide").hide();
                    $(".contact-app-btn1").hide();
                    $("#bioalumni").hide();
                    this.getBioOtherCoach(data);
                    this.getBioOther(data);
                    $(".bioinf").html("");
                    $(".bioinf").append('<p>Biographic Information</p>Agent Information');
                    $(".coachbio").html("");
                    $(".coachbio").append("Coach Information");
                    $("#otherbio-save-msg").hide();
                    $(".buttonhide1").show();
                }
                if (lowerConvertedRole === "atp agent") {
                    $("#bioplayer").hide();
                    $("#biocoach").hide();
                    $("#bioalumni").hide();
                    $("#bioagent").show();
                    $(".buttonhide").show();
                    $(".contact-app-btn1").show();
                    this.getBioOther(data);
                }
                if (lowerConvertedRole === "atp coach") {
                    $("#bioplayer").hide();
                    $("#bioagent").hide();
                    $("#biocoach").show();
                    $(".buttonhide1").show();
                    $("#bioalumni").hide();
                    this.getBioOtherCoach(data);

                }
                if (lowerConvertedRole === "alumni") {
                    $("#bioplayer").hide();
                    $("#bioagent").hide();
                    $("#biocoach").hide();
                    $("#bioalumni").show();
                    this.getBioOtherAlumni(data);
                }
                if (lowerConvertedRole === "alumni/atp coach") {
                    $("#bioplayer").hide();
                    $("#bioagent").hide();
                    $("#biocoach").hide();
                    $("#bioalumni").show();
                    this.getBioOtherAlumniCoach(data);
                    $(".buttonhide2").hide();
                    $(".contact-app-btn3").hide();
                    $("#biocoach").show();
                    this.getBioOtherCoach(data);
                    $(".alumtxt").append('<div class="subheader2">Alumni Information</div>');
                    $(".coachbio").html("");
                    $(".coachbio").append("Coach Information");
                    $(".coachalumnisave").hide();
                    $(".coachalumnisave1").removeClass("hide");
                    $(".coachalumnisave1").addClass("show");

                }
                if (lowerConvertedRole === "alumni/atp agent") {
                    $("#bioplayer").hide();
                    $("#bioagent").hide();
                    $("#biocoach").hide();
                    $("#bioalumni").show();
                    this.getBioOtherAlumniCoach(data);
                    $(".buttonhide2").hide();
                    $(".contact-app-btn3").hide();
                    $("#bioagent").show();
                    this.getBioOther(data);
                    $(".alumtxt").append('<div class="subheader2">Alumni Information</div>');
                    $(".bioinf").html("");
                    $(".bioinf").append("Agent Information");
                    $(".alumniagent").hide();
                    $(".alumniagent1").removeClass("hide");
                    $(".alumniagent1").addClass("show");
                }
                if (lowerConvertedRole === "alumni/atp coach/atp agent") {
                    $("#bioplayer").hide();
                    $("#bioalumni").show();
                    this.getBioOtherAlumniCoach(data);
                    $(".buttonhide2").hide();
                    $(".contact-app-btn3").hide();
                    $("#biocoach").show();
                    this.getBioOtherCoach(data);
                    $(".alumtxt").append('<div class="subheader2">Alumni Information</div>');
                    $(".coachbio").html("");
                    $(".coachbio").append('<div class="paddingtop10">Coach Information</div>');
                    $("#bioagent").show();
                    this.getBioOther(data);
                    $(".bioinf").html("");
                    $(".bioinf").append('<div class="paddingtop10">Agent Information</div>');
                    $(".buttonhide").hide();
                    $(".contact-app-btn1").hide();
                    $(".coachalumnisave").hide();
                    $(".coachalumnisave1").removeClass("hide");
                    $(".coachalumnisave1").addClass("show");
                }

            }
        } catch (err) {
            loggerObj.logToServer(constants.logSeverityError, "Error : bindAgentData " + err);
        }
    };
    this.devalidatesubmit = function () {
        $(".place1").val("");
        $(".place2").val("");
        $(".place3").val("");
        $(".place4").val("");
        $("#errr").removeClass("error-border");
        $("#otherbio-save-msg").removeClass("show");
        $("#otherbio-save-msg").addClass("hide");
        $("#otherbio-save-msg1").removeClass("show");
        $("#otherbio-save-msg1").addClass("hide");
        $("#otherbio-save-msg2").removeClass("show");
        $("#otherbio-save-msg2").addClass("hide");
        changeButtonBackground(".canbtn2");
    };

    this.getBioOther = function (data) {
        try {
            this.devalidatesubmit();
            bioContent = data.BioDataContent;
            othersave = data.NonPlayerBiodata.Bioid;
            otheruser = data.NonPlayerBiodata.UserId;
            createdDate = data.NonPlayerBiodata.CreatedDate;
            industry = data.NonPlayerBiodata.IndustryOrOccupation;
            otherBusiness = data.NonPlayerBiodata.OtherBusiness;
            eductaion = data.NonPlayerBiodata.Eductaion;
            coachPlayerName1 = data.NonPlayerBiodata.CoachPlayerName1;
            coachPlayerName2 = data.NonPlayerBiodata.CoachPlayerName2;
            coachPlayerName3 = data.NonPlayerBiodata.CoachPlayerName3;
            agentPlayerName1 = data.NonPlayerBiodata.AgentPlayerName1;
            agentPlayerName2 = data.NonPlayerBiodata.AgentPlayerName2;
            agentPlayerName3 = data.NonPlayerBiodata.AgentPlayerName3;
            coachPlayers = data.NonPlayerBiodata.CoachPlayers;
            agentPlayers = data.NonPlayerBiodata.AgentPlayers;
            role = data.Role;
            countries = data.Countries;
            country = countries.length;
            backhandText = bioContent.BackhandText;
            biographicInformationText = bioContent.BiographicInformationText;
            representationText = bioContent.RepresentationText;
            managementAgencyText = bioContent.ManagementAgencyText;
            playerNameText = bioContent.PlayerNameText;
            playerNameText = bioContent.PlayerNameText;
            playerNameText = bioContent.PlayerNameText;
            cancelText = bioContent.CancelText;
            saveText = bioContent.SaveText;
            contactATPText = bioContent.ContactATPText;
            coachtxt = bioContent.CoachingFullTimeText;
            contentBio = data.NonPlayerBiodata;
            agent1 = contentBio.AgentPlayerName1;
            agent2 = contentBio.AgentPlayerName2;
            agent3 = contentBio.AgentPlayerName3;
            empagent = contentBio.EmployerorAgency;
            $(".bioinf").empty();
            $(".managetxt").empty();
            $(".bio-textbx-sctnhdng").empty();
            $(".place1").empty();
            $(".place2").empty();
            $(".place3").empty();
            $(".place4").empty();
            $(".playname").empty();
            $(".playname1").empty();
            $(".playname2").empty();
            $(".canbtn2").empty();
            $(".savebtn2").empty();
            $("#bio .contact-app-btn1").empty();
            $("#errr").html("");
            $("#pname1").html("");
            $("#pname2").html("");
            $("#pname3").html("");
            $(".bioinf").append(biographicInformationText);
            $(".managetxt").append(managementAgencyText);
            $(".bio-textbx-sctnhdng").append(representationText);
            $(".place1").val(empagent);
            $(".place2").val(agent1);
            $(".place3").val(agent2);
            $(".place4").val(agent3);
            $(".playname").append(playerNameText);
            $(".playname1").append(playerNameText);
            $(".playname2").append(playerNameText);
            $(".canbtn2").append(cancelText);
            $(".savebtn2").append(saveText);

            $("#bio .contact-app-btn1").append('<button class="button2">' + contactATPText + '</button>');
        } catch (err) {
            loggerObj.logToServer(constants.logSeverityError, "Error : getBioOther " + err);
        }
    };

    this.getBioOtherCoach = function (data) {
        try {
            bioContent = data.BioDataContent;
            othersave = data.NonPlayerBiodata.Bioid;
            otheruser = data.NonPlayerBiodata.UserId;
            createdDate = data.NonPlayerBiodata.CreatedDate;
            industry = data.NonPlayerBiodata.IndustryOrOccupation;
            otherBusiness = data.NonPlayerBiodata.OtherBusiness;
            eductaion = data.NonPlayerBiodata.Eductaion;
            coachPlayerName1 = data.NonPlayerBiodata.CoachPlayerName1;
            coachPlayerName2 = data.NonPlayerBiodata.CoachPlayerName2;
            coachPlayerName3 = data.NonPlayerBiodata.CoachPlayerName3;
            agentPlayerName1 = data.NonPlayerBiodata.AgentPlayerName1;
            agentPlayerName2 = data.NonPlayerBiodata.AgentPlayerName2;
            agentPlayerName3 = data.NonPlayerBiodata.AgentPlayerName3;
            coachPlayers = data.NonPlayerBiodata.CoachPlayers;
            agentPlayers = data.NonPlayerBiodata.AgentPlayers;
            role = data.Role;
            countries = data.Countries;
            country = countries.length;
            backhandText = bioContent.BackhandText;
            biographicInformationText = bioContent.BiographicInformationText;
            representationText = bioContent.RepresentationText;
            managementAgencyText = bioContent.ManagementAgencyText;
            playerNameText = bioContent.PlayerNameText;
            playerNameText = bioContent.PlayerNameText;
            playerNameText = bioContent.PlayerNameText;
            cancelText = bioContent.CancelText;
            saveText = bioContent.SaveText;
            contactATPText = bioContent.ContactATPText;
            coachtxt = bioContent.CoachingFullTimeText;
            $(".coachbio").empty();
            $(".coachcurrent").empty();
            $(".cplayer1").empty();
            $(".cplayer2").empty();
            $(".cplayer3").empty();
            $(".cancel1").empty();
            $(".save1").empty();
            $("#bio .contact-app-btn2").empty();
            $(".coachbio").append(biographicInformationText);
            $(".coachcurrent").append(coachtxt);
            $(".cplayer1").append(playerNameText);
            $(".cplayer2").append(playerNameText);
            $(".cplayer3").append(playerNameText);
            $("#coachp1").val(coachPlayerName1);
            $("#coachp2").val(coachPlayerName2);
            $("#coachp3").val(coachPlayerName3);
            $(".cancel1").append(cancelText);
            $(".save1").append(saveText);
         
            $("#bio .contact-app-btn2").append('<button class="button2">' + contactATPText + '</button>');
        } catch (err) {
            loggerObj.logToServer(constants.logSeverityError, "Error : getBioOtherCoach " + err);
        }
    };
    this.getBioOtherAlumni = function (data) {
        try {
            this.checkBio2();
            bioDataContent = data.BioDataContent;
            countries = data.Countries;
            country = countries.length;
            backhandText = bioDataContent.BackhandText;
            biographicInformationText = bioDataContent.BiographicInformationText;
            birthPlaceCityText = bioDataContent.BirthPlaceCityText;
            birthPlaceCountryText = bioDataContent.BirthPlaceCountryText;
            cancelText = bioDataContent.CancelText;
            contactATPText = bioDataContent.ContactATPText;
            educationText = bioDataContent.EducationText;
            heightText = bioDataContent.HeightText;
            numberOfChildrenText = bioDataContent.NumberOfChildrenText;
            residenceText = bioDataContent.ResidenceText;
            saveText = bioDataContent.SaveText;
            skipText = bioDataContent.SkipText;
            spouseNameText = bioDataContent.SpouseNameText;
            unitText = bioDataContent.UnitText;
            weightText = bioDataContent.WeightText;
            playText = bioDataContent.PlayText;
            backhandTypes = bioDataContent.BackhandTypes;
            typelen = backhandTypes.length;
            playTypes = bioDataContent.PlayTypes;
            playlen = playTypes.length;
            heightUnits = bioDataContent.HeightUnits;
            heightlen = heightUnits.length;
            weightUnits = bioDataContent.WeightUnits;
            weightlen = weightUnits.length;
            qualifications = bioDataContent.Qualifications;
            qualify = qualifications.length;
            currentmainemptext = bioDataContent.CurrentMainEmployerText;
            industrytxt = bioDataContent.IndustryText;
            occupations = data.BioDataContent.Occupations;
            occlen = occupations.length;
            otherbussiness = bioDataContent.OtherBusinessText;
            othersave = data.NonPlayerBiodata.Bioid;
            otheruser = data.NonPlayerBiodata.UserId;
            createdDate = data.NonPlayerBiodata.CreatedDate;
            industry = data.NonPlayerBiodata.IndustryOrOccupation;
            otherBusiness = data.NonPlayerBiodata.OtherBusiness;
            eductaion = data.NonPlayerBiodata.Eductaion;
            coachPlayerName1 = data.NonPlayerBiodata.CoachPlayerName1;
            coachPlayerName2 = data.NonPlayerBiodata.CoachPlayerName2;
            coachPlayerName3 = data.NonPlayerBiodata.CoachPlayerName3;
            agentPlayerName1 = data.NonPlayerBiodata.AgentPlayerName1;
            agentPlayerName2 = data.NonPlayerBiodata.AgentPlayerName2;
            agentPlayerName3 = data.NonPlayerBiodata.AgentPlayerName3;
            coachPlayers = data.NonPlayerBiodata.CoachPlayers;
            agentPlayers = data.NonPlayerBiodata.AgentPlayers;
            /*Binding values to input fields*/
            /*End*/
            $(".bioinfo").append(biographicInformationText);
            $(".city").append(birthPlaceCityText + '<span class="txtbx-rqrdfld"> *</span>');
            $(".country").append(birthPlaceCountryText + '<span class="txtbx-rqrdfld"> *</span>');
            $(".play").append(playText + '<span class="txtbx-rqrdfld"> *</span>');
            $(".residence").append(residenceText + '<span class="txtbx-rqrdfld"> *</span>');
            $(".backhand").append(backhandText);
            $(".height").append(heightText + '<span class="txtbx-rqrdfld"> *</span>');
            $(".units").append(unitText + '<span class="txtbx-rqrdfld">  *</span>');
            $(".weights").append(weightText + '<span class="txtbx-rqrdfld"> *</span>');
            $(".edu").append(educationText);
            $(".spouse").append(spouseNameText);
            $(".child").append(numberOfChildrenText);
            $(".cancel2").empty();
            $(".save2").empty();
            $("#bio .contact-app-btn3").empty();
            $(".cancel2").append(cancelText);
            $(".save2").append(saveText);
            $("#bio .contact-app-btn3").append('<button class="button2">' + contactATPText + '</button>');
            $(".backhanddrop").append('<option value="">SELECT</option>');
            $(".countrydrop").append('<option value="">SELECT</option>');
            $(".playdrop").append('<option value="">SELECT</option>');
            $(".hgtdrop").append('<option value="">SELECT</option>');
            $('.wgtdrop').append('<option value="">SELECT</option>');
            $(".currentxt").empty();
            $(".iocc").empty();
            $(".otherbuss").empty();
            $(".currentxt").append(currentmainemptext);
            $(".iocc").append(industrytxt);
            $('.occdrop').append('<option value="">SELECT</option>');
            $(".otherbuss").append(otherbussiness);
            $(".canbtn").append(cancelText);
            $(".savebtn").append(saveText);

            for (i = 0; i < typelen; i++) {
                $(".backhanddrop").append('<option value="' + (i + 1) + '">' + backhandTypes[i].AccountType + '</option>');
            }
            for (j = 0; j < country; j++) {
                $(".countrydrop").append('<option value="' + countries[j].Code + '">' + countries[j].Name + '</option>');
            }
            for (k = 0; k < playlen; k++) {
                playtxt = playTypes[k].AccountType;
                playtxt = playtxt.slice(0, 1);
                $(".playdrop").append('<option value="' + playtxt + '">' + playTypes[k].AccountType + '</option>');
            }
            for (l = 0; l < heightlen; l++) {
                $(".hgtdrop").append('<option value="' + heightUnits[l].AccountType + '">' + heightUnits[l].AccountType + '</option>');
            }
            for (m = 0; m < weightlen; m++) {
                $(".wgtdrop").append('<option value="' + weightUnits[m].AccountType + '">' + weightUnits[m].AccountType + '</option>');
            }
            for (n = 0; n < qualify; n++) {
                $(".edudrop").append('<option value="' + qualifications[n].AccountType + '">' + qualifications[n].AccountType + '</option>');
            }
            for (p = 0; p < occlen; p++) {
                $(".occdrop").append('<option value="' + occupations[p].AccountType + '">' + occupations[p].AccountType + '</option>');
            }
            /*Binding values to input fields*/
            playerBiodata = data.PlayerBiodata;
            birthplaceCity = playerBiodata.BirthplaceCity;
            birthplaceCountry = playerBiodata.BirthplaceCountry;
            childrenNumber = playerBiodata.ChildrenNumber;
            residence = playerBiodata.Residence;
            height = playerBiodata.Height;
            weight = playerBiodata.Weight;
            heightUnit = playerBiodata.HeightUnits;
            weightUnit = playerBiodata.WeightUnits;
            backhand = playerBiodata.Backhand;
            education = playerBiodata.Education;
            play = playerBiodata.Play;
            inocc = data.NonPlayerBiodata.IndustryOrOccupation;
            otherbussi = data.NonPlayerBiodata.OtherBusiness;
            $("#bio-employerval").val(data.NonPlayerBiodata.EmployerorAgency);
            $(".cityval").val(birthplaceCity);
            if (birthplaceCountry) {
                $(".countrydrop").val(birthplaceCountry);
            } else {
                $(".countrydrop").val("");
            }
            var getBioCountry = $(".countrydrop").val();
            if (!getBioCountry) {
                $(".countrydrop").val("");
            }
            $(".childval").val(childrenNumber);
            $(".residytext").val(residence);
            $(".hgttxt").val(height);
            $(".wgttxt").val(weight);
            if (playerBiodata.HeightUnits !== null) {
                $(".hgtdrop").val(heightUnit);
            }
            if (playerBiodata.WeightUnits !== null) {
                $(".wgtdrop").val(weightUnit);
            }
            if (playerBiodata.Education !== null) {
                $(".edudrop").val(education);
            }
            $(".spouseval").val(playerBiodata.SpouseName);
            if (backhand === 0) {
                $(".backhanddrop option:selected").text("Unknown");
            } else {
                $(".backhanddrop").val(backhand);
            }
            if (play === "U") {
                $(".playdrop option:selected").text("Unknown");
            } else {
                $(".playdrop").val(play);
            }
            if (inocc) {
                $(".occdrop").val(inocc);
            } else {
                $(".occdrop option:selected").text("Unknown");
            }
            if (otherbussi) {
                $(".otherbussiness1").val(otherbussi);
            } else {
                $(".otherbussiness1").val("");
            }
            if (industry && industry.toLowerCase() === "other business") {
                $("#oval2").prop("disabled", false);
                $("#oval2").prop("readonly", false);
                $("#oval2").removeClass("bio-disabled-text");
            } else {
                $("#oval2").prop("disabled", true);
                $("#oval2").prop("readonly", true);
                $("#oval2").addClass("bio-disabled-text");
            }
            this.industryDropdownChange();
        } catch (err) {
            loggerObj.logToServer(constants.logSeverityError, "Error : getBioOtherAlumni " + err);
        }
    };

    this.getBioOtherAlumniCoach = function (data) {
        try {
            bioDataContent = data.BioDataContent;
            countries = data.Countries;
            country = countries.length;
            backhandText = bioDataContent.BackhandText;
            biographicInformationText = bioDataContent.BiographicInformationText;
            birthPlaceCityText = bioDataContent.BirthPlaceCityText;
            birthPlaceCountryText = bioDataContent.BirthPlaceCountryText;
            cancelText = bioDataContent.CancelText;
            contactATPText = bioDataContent.ContactATPText;
            educationText = bioDataContent.EducationText;
            heightText = bioDataContent.HeightText;
            numberOfChildrenText = bioDataContent.NumberOfChildrenText;
            residenceText = bioDataContent.ResidenceText;
            saveText = bioDataContent.SaveText;
            skipText = bioDataContent.SkipText;
            spouseNameText = bioDataContent.SpouseNameText;
            unitText = bioDataContent.UnitText;
            weightText = bioDataContent.WeightText;
            playText = bioDataContent.PlayText;
            backhandTypes = bioDataContent.BackhandTypes;
            typelen = backhandTypes.length;
            playTypes = bioDataContent.PlayTypes;
            playlen = playTypes.length;
            heightUnits = bioDataContent.HeightUnits;
            heightlen = heightUnits.length;
            weightUnits = bioDataContent.WeightUnits;
            weightlen = weightUnits.length;
            qualifications = bioDataContent.Qualifications;
            qualify = qualifications.length;
            currentmainemptext = bioDataContent.CurrentMainEmployerText;
            industrytxt = bioDataContent.IndustryText;
            occupations = data.BioDataContent.Occupations;
            occlen = occupations.length;
            otherbussiness = bioDataContent.OtherBusinessText;
            /*Binding values to input fields*/
            /*End*/
            $(".bioinfo").append(biographicInformationText);
            $(".city").append(birthPlaceCityText + '<span class="txtbx-rqrdfld"> *</span>');
            $(".country").append(birthPlaceCountryText + '<span class="txtbx-rqrdfld"> *</span>');
            $(".play").append(playText + '<span class="txtbx-rqrdfld"> *</span>');
            $(".residence").append(residenceText + '<span class="txtbx-rqrdfld"> *</span>');
            $(".backhand").append(backhandText);
            $(".height").append(heightText + '<span class="txtbx-rqrdfld"> *</span>');
            $(".units").append(unitText + '<span class="txtbx-rqrdfld">  *</span>');
            $(".weights").append(weightText + '<span class="txtbx-rqrdfld"> *</span>');
            $(".edu").append(educationText);
            $(".spouse").append(spouseNameText);
            $(".child").append(numberOfChildrenText);
            $(".cancel2").append(cancelText);
            $(".save2").append(saveText);
            $(".alumtxt").empty();
            $(".currentxt").empty();
            $(".iocc").empty();
            $(".otherbuss").empty();
            $("#bio .contact-app-btn3").append('<button class="button2">' + contactATPText + '</button>');
            $(".backhanddrop").append('<option value="">SELECT</option>');
            $(".countrydrop").append('<option value="">SELECT</option>');
            $(".playdrop").append('<option value="">SELECT</option>');
            $(".hgtdrop").append('<option value="">SELECT</option>');
            $('.wgtdrop').append('<option value="">SELECT</option>');
            $(".currentxt").append(currentmainemptext);
            $(".iocc").append(industrytxt);
            $('.occdrop').append('<option value="">SELECT</option>');
            $(".otherbuss").append(otherbussiness);
            $(".canbtn").append(cancelText);
            $(".savebtn").append(saveText);
            for (i = 0; i < typelen; i++) {
                $(".backhanddrop").append('<option value="' + (i + 1) + '">' + backhandTypes[i].AccountType + '</option>');
            }
            for (j = 0; j < country; j++) {
                $(".countrydrop").append('<option value="' + countries[j].Code + '">' + countries[j].Name + '</option>');
            }
            for (k = 0; k < playlen; k++) {
                playtxt = playTypes[k].AccountType;
                playtxt = playtxt.slice(0, 1);
                $(".playdrop").append('<option value="' + playtxt + '">' + playTypes[k].AccountType + '</option>');
            }
            for (l = 0; l < heightlen; l++) {
                $(".hgtdrop").append('<option value="' + heightUnits[l].AccountType + '">' + heightUnits[l].AccountType + '</option>');
            }
            for (m = 0; m < weightlen; m++) {
                $(".wgtdrop").append('<option value="' + weightUnits[m].AccountType + '">' + weightUnits[m].AccountType + '</option>');
            }
            for (n = 0; n < qualify; n++) {
                $(".edudrop").append('<option value="' + qualifications[n].AccountType + '">' + qualifications[n].AccountType + '</option>');
            }
            for (p = 0; p < occlen; p++) {
                $(".occdrop").append('<option value="' + occupations[p].AccountType + '">' + occupations[p].AccountType + '</option>');
            }
            /*Binding values to input fields*/
            playerBiodata = data.PlayerBiodata;
            birthplaceCity = playerBiodata.BirthplaceCity;
            birthplaceCountry = playerBiodata.BirthplaceCountry;
            childrenNumber = playerBiodata.ChildrenNumber;
            residence = playerBiodata.Residence;
            height = playerBiodata.Height;
            weight = playerBiodata.Weight;
            heightUnit = playerBiodata.HeightUnits;
            weightUnit = playerBiodata.WeightUnits;
            backhand = playerBiodata.Backhand;
            education = playerBiodata.Education;
            play = playerBiodata.Play;
            nonplayerBiodata = data.NonPlayerBiodata;
            education = playerBiodata.Education;
            inocc = data.NonPlayerBiodata.IndustryOrOccupation;
            otherbussi = data.NonPlayerBiodata.OtherBusiness;
            $("#bio-employerval").val(data.NonPlayerBiodata.EmployerorAgency);
            $(".cityval").val(birthplaceCity);
            if (birthplaceCountry) {
                $(".countrydrop").val(birthplaceCountry);
            } else {
                $(".countrydrop").val("");
            }
            var getBioCountry = $(".countrydrop").val();
            if (!getBioCountry) {
                $(".countrydrop").val("");
            }
            $(".childval").val(childrenNumber);
            $(".residytext").val(residence);
            $(".hgttxt").val(height);
            $(".wgttxt").val(weight);
            if (playerBiodata.HeightUnits !== null) {
                $(".hgtdrop").val(heightUnit);
            }
            if (playerBiodata.WeightUnits !== null) {
                $(".wgtdrop").val(weightUnit);
            }
            if (playerBiodata.Education !== null) {
                $(".edudrop").val(education);
            }
            $(".spouseval").val(playerBiodata.SpouseName);
            if (backhand === 0) {
                $(".backhanddrop option:selected").text("Unknown");
            } else {
                $(".backhanddrop").val(backhand);
            }
            if (play === "U") {
                $(".playdrop option:selected").text("Unknown");
            } else {
                $(".playdrop").val(play);
            }
            if (inocc) {
                $(".occdrop").val(inocc);
            } else {
                $(".occdrop option:selected").text("SELECT");
            }
            if (otherbussi) {
                $(".otherbussiness1").val(otherbussi);
            } else {
                $(".otherbussiness1").val("");
            }
            this.industryDropdownChange();
        } catch (err) {
            loggerObj.logToServer(constants.logSeverityError, "Error : getBioOtherAlumniCoach " + err);
        }
    };

    this.validatesubmitAgentAlumni = function (page) {
        try {
            var noErrorexists1S = true,
                noErrorexistsBPS = true,
                noErrorexistsBCS = true,
                noErrorexistsRDS = true,
                noErrorexistsHTS = true,
                noErrorexistsWTS = true,
                noErrorexistsWTUNITS = true,
                noErrorexistsHTUNITS = true;

            noErrorexistsBPS = this.validatebplace1();
            noErrorexistsBCS = this.validatebcntry1();
            noErrorexistsBPLAYS = this.validatebplay1();
            noErrorexistsRDS = this.validateresidence1();
            noErrorexistsHTS = this.validateheight1();
            noErrorexistsWTS = this.validateweight1();
            noErrorexistsWTUNITS = this.validateweightunit1();
            noErrorexistsHTUNITS = this.validateheightunit1();

            if (noErrorexistsBPS === true && noErrorexistsBPLAYS === true && noErrorexistsBCS === true && noErrorexistsRDS === true && noErrorexistsHTS === true && noErrorexistsWTS === true && noErrorexistsWTUNITS === true && noErrorexistsHTUNITS === true) {
                heightsty = $(".invldhghtvalidation").attr("style");
                weightsty = $(".invldwghtvalidation").attr("style");
                if (heightsty === "display: block;" || weightsty === "display: block;") {
                    noErrorexists1 = false;
                    $("#bio-save-msg").removeClass("show");
                    $("#bio-save-msg").addClass("hide");
                } else {
                    noErrorexists1S = true;
                    this.saveDataAgentAlumni(page);
                    $("#otherbio-save-msg").removeClass("show");
                    $("#otherbio-save-msg").addClass("hide");

                }
            } else {
                noErrorexists1S = false;
                $("#bio-save-msg").removeClass("show");
                $("#bio-save-msg").addClass("hide");
            }
            return noErrorexists1S;
        } catch (err) {
            loggerObj.logToServer(constants.logSeverityError, "Error : validatesubmitAgentAlumni " + err);
        }
    };

    this.devalidatesubmitcoach = function (initialload) {
        try {
            $(".cplay1").val("");
            $(".cplay2").val("");
            $(".cplay3").val("");
            $(".place1").val("");
            $(".place2").val("");
            $(".place3").val("");
            $(".place4").val("");
            $("#errr").removeClass("error-border");
            $("#otherbio-save-msg").removeClass("show");
            $("#otherbio-save-msg").addClass("hide");
            $("#otherbio-save-msg1").removeClass("show");
            $("#otherbio-save-msg1").addClass("hide");
            $("#otherbio-save-msg2").removeClass("show");
            $("#otherbio-save-msg2").addClass("hide");
            if (!initialload) {
                changeButtonBackground(".cancel1 ");
            }
            this.getBioOtherCoach(nonPlayerData);
        } catch (err) {
            loggerObj.logToServer(constants.logSeverityError, "Error : devalidatesubmitcoach " + err);
        }
    };

    this.saveDataBio = function (page) {
        try {
            var inputData = this.getSaveOtherBio(),
                apiservicecallsObj = new Apiservicecalls(),
                url = constants.ajaxUrl;
            apiservicecallsObj.postData(url, inputData, OnSaveOtherSuccess, OnSaveOtherError);
        } catch (err) {
            loggerObj.logToServer(constants.logSeverityError, "Error : saveDataBio " + err);
        }
    };

    this.saveDataBioCoach = function (page) {
        try {
            var inputData = this.getSaveOtherBio(),
                apiservicecallsObj = new Apiservicecalls(),
                url = constants.ajaxUrl;
            if (page === "account") {
                apiservicecallsObj.postData(url, inputData, OnSaveOtherBioSuccessFromAccount, OnSaveOtherBioError);
            }
            else if (page === "registration") {
                apiservicecallsObj.postData(url, inputData, OnSaveOtherBioSuccessFromRegistration, OnSaveOtherBioError);
            } else {
                apiservicecallsObj.postData(url, inputData, OnSaveOtherBioSuccessFromAccount, OnSaveOtherBioError);
            }
        } catch (err) {
            loggerObj.logToServer(constants.logSeverityError, "Error : saveDataBioCoach " + err);
        }
    };

    this.saveDataBioAlumni = function (page) {
        try {
            var inputData = this.getSaveOtherBio1(),
                apiservicecallsObj = new Apiservicecalls(),
                url = constants.ajaxUrl;
            if (page === "account") {
                apiservicecallsObj.postData(url, inputData, OnSaveOtherSuccess1FromAccount, OnSaveOtherError1);
            }
            else if (page === "registration") {
                apiservicecallsObj.postData(url, inputData, OnSaveOtherSuccess1FromRegistration, OnSaveOtherError1);
            } else {
                apiservicecallsObj.postData(url, inputData, OnSaveOtherSuccess1FromAccount, OnSaveOtherError1);
            }
        } catch (err) {
            loggerObj.logToServer(constants.logSeverityError, "Error : saveDataBioAlumni " + err);
        }
    };

    this.saveDataCoachAlumni = function (page) {
        try {
            var inputData = this.getSaveOtherBio2(),
                apiservicecallsObj = new Apiservicecalls(),
                url = constants.ajaxUrl;
            if (page == "account") {
                apiservicecallsObj.postData(url, inputData, OnSaveOtherSuccess2FromAccount, OnSaveOtherError2);
            }
            else if (page == "registration") {
                apiservicecallsObj.postData(url, inputData, OnSaveOtherSuccess2FromRegistration, OnSaveOtherError2);
            } else {
                apiservicecallsObj.postData(url, inputData, OnSaveOtherSuccess2FromAccount, OnSaveOtherError2);
            }
        } catch (err) {
            loggerObj.logToServer(constants.logSeverityError, "Error : saveDataCoachAlumni " + err);
        }
    };

    this.saveDataAgentAlumni = function (page) {
        try {
            var inputData = this.getSaveOtherBio2(),
                apiservicecallsObj = new Apiservicecalls(),
                url = constants.ajaxUrl;
            if (page == "account") {
                apiservicecallsObj.postData(url, inputData, OnSaveOtherSuccess3FromAccount, OnSaveOtherError3);
            }
            else if (page == "registration") {
                apiservicecallsObj.postData(url, inputData, OnSaveOtherSuccess3FromRegistration, OnSaveOtherError3);
            } else {
                apiservicecallsObj.postData(url, inputData, OnSaveOtherSuccess3FromAccount, OnSaveOtherError3);
            }
        } catch (err) {
            loggerObj.logToServer(constants.logSeverityError, "Error : saveDataAgentAlumni " + err);
        }
    };

    /* Function for creating request for getting password  data*/
    this.getSaveOtherBio = function () {
        try {
            var data = {},
                parametersArray = [],
                saveObjects = {},
                sessionData = {},
                userSessionData;
            data.Userid = applicationDataObj.UserId;
            data.ServiceProvider = "MyProfileServiceProvider";
            data.ServiceMethod = "SaveBioData";
            data.Language = constants.englishLanguage;
            saveObjects.NonPlayerBiodata = {};
            saveObjects.NonPlayerBiodata.Bioid = othersave;
            saveObjects.NonPlayerBiodata.UserId = otheruser;
            saveObjects.NonPlayerBiodata.EmployerorAgency = $("#errr").val();
            saveObjects.NonPlayerBiodata.CreatedDate = createdDate;
            saveObjects.NonPlayerBiodata.IndustryOrOccupation = $("#oval1").val();
            saveObjects.NonPlayerBiodata.OtherBusiness = $("#oval2").val();
            saveObjects.NonPlayerBiodata.Eductaion = $("#bio-eductn").val();
            saveObjects.NonPlayerBiodata.CoachPlayerName1 = $("#coachp1").val();
            saveObjects.NonPlayerBiodata.CoachPlayerName2 = $("#coachp2").val();
            saveObjects.NonPlayerBiodata.CoachPlayerName3 = $("#coachp3").val();
            saveObjects.NonPlayerBiodata.AgentPlayerName1 = $("#pname1").val();
            saveObjects.NonPlayerBiodata.AgentPlayerName2 = $("#pname2").val();
            saveObjects.NonPlayerBiodata.AgentPlayerName3 = $("#pname3").val();
            saveObjects.NonPlayerBiodata.CoachPlayers = coachPlayers;
            saveObjects.NonPlayerBiodata.AgentPlayers = agentPlayers;
            saveObjects.Role = applicationDataObj.getSessionResponse().roles[0];
            saveObjects.NotAuthorized = false;
            parametersArray.push(saveObjects);
            parametersArray.push("6D8CD88E-6E2F-43AD-BD65-4AC9EE276E34");
            data.parametersArray = parametersArray;
            userSessionData = applicationDataObj.getSessionResponse();
            sessionData.PlayerId = userSessionData.playerId;
            sessionData.UserId = applicationDataObj.UserId;
            sessionData.FirstName = userSessionData.firstName;
            sessionData.LastName = userSessionData.lastName;
            sessionData.UserName = applicationDataObj.getUsername();
            sessionData.Roles = userSessionData.roles;
            sessionData.EmailId = userSessionData.emailId;
            sessionData.City = userSessionData.city;
            sessionData.Country = userSessionData.country;
            sessionData.Address1 = userSessionData.address1;
            sessionData.TOKEN = applicationDataObj.getToken();
            if (userSessionData.ManagementAgency) {
                sessionData.ManagementAgency = userSessionData.ManagementAgency;
            } else {
                sessionData.ManagementAgency = "";
            }
            sessionData.JoinedDate = moment(userSessionData.registeredDate).format("YYYY-MM-DD");
            data.SessionData = sessionData;
            data = JSON.stringify(data);
            return data;
        } catch (err) {
            loggerObj.logToServer(constants.logSeverityError, "Error : getSaveOtherBio " + err);
        }
    };

    this.getSaveOtherBio1 = function () {
        try {
            var data = {},
                parametersArray = [],
                saveObjects = {},
                sessionData = {},
                userSessionData;
            data.Userid = applicationDataObj.UserId;
            data.ServiceProvider = "MyProfileServiceProvider";
            data.ServiceMethod = "SaveBioData";
            data.Language = constants.englishLanguage;
            saveObjects.PlayerBiodata = {};
            saveObjects.PlayerBiodata.BirthplaceCity = $("#bioplyr-bplc1").val();
            saveObjects.PlayerBiodata.BirthplaceCountry = $("#bioplyr-bcntry1").val();
            saveObjects.PlayerBiodata.Play = $("#bioplyr-bplay1").val();
            saveObjects.PlayerBiodata.Residence = $("#bio-resdnc1").val();
            saveObjects.PlayerBiodata.Backhand = $("#bio-backhand").val();
            saveObjects.PlayerBiodata.Height = $("#bio-height1").val();
            saveObjects.PlayerBiodata.HeightUnits = $("#bio-heightunit1").val();
            saveObjects.PlayerBiodata.Weight = $("#bio-weight1").val();
            saveObjects.PlayerBiodata.WeightUnits = $("#bio-weightunit1").val();
            saveObjects.PlayerBiodata.Education = $("#bio-eductn1").val();
            saveObjects.PlayerBiodata.SpouseName = $("#bio-spouse").val();
            saveObjects.PlayerBiodata.ChildrenNumber = $("#bio-childval").val();
            saveObjects.NonPlayerBiodata = {};
            saveObjects.NonPlayerBiodata.Bioid = othersave;
            saveObjects.NonPlayerBiodata.UserId = otheruser;
            saveObjects.NonPlayerBiodata.EmployerorAgency = $("#bio-employerval").val();
            saveObjects.NonPlayerBiodata.CreatedDate = createdDate;
            saveObjects.NonPlayerBiodata.IndustryOrOccupation = $("#oval1").val();
            saveObjects.NonPlayerBiodata.OtherBusiness = $("#oval2").val();
            saveObjects.NonPlayerBiodata.Eductaion = $(".edudrop").val();
            saveObjects.NonPlayerBiodata.CoachPlayerName1 = $("#coachp1").val();
            saveObjects.NonPlayerBiodata.CoachPlayerName2 = $("#coachp2").val();
            saveObjects.NonPlayerBiodata.CoachPlayerName3 = $("#coachp3").val();
            saveObjects.NonPlayerBiodata.AgentPlayerName1 = $("#pname1").val();
            saveObjects.NonPlayerBiodata.AgentPlayerName2 = $("#pname2").val();
            saveObjects.NonPlayerBiodata.AgentPlayerName3 = $("#pname3").val();
            saveObjects.NonPlayerBiodata.CoachPlayers = coachPlayers;
            saveObjects.NonPlayerBiodata.AgentPlayers = agentPlayers;
            saveObjects.Role = applicationDataObj.getSessionResponse().roles[0];
            saveObjects.NotAuthorized = false;
            parametersArray.push(saveObjects);
            parametersArray.push("6D8CD88E-6E2F-43AD-BD65-4AC9EE276E34");
            data.parametersArray = parametersArray;
            userSessionData = applicationDataObj.getSessionResponse();
            sessionData.PlayerId = userSessionData.playerId;
            sessionData.UserId = applicationDataObj.UserId;
            sessionData.FirstName = userSessionData.firstName;
            sessionData.LastName = userSessionData.lastName;
            sessionData.UserName = applicationDataObj.getUsername();
            sessionData.Roles = userSessionData.roles;
            sessionData.EmailId = userSessionData.emailId;
            sessionData.City = userSessionData.city;
            sessionData.Country = userSessionData.country;
            sessionData.Address1 = userSessionData.address1;
            sessionData.TOKEN = applicationDataObj.getToken();
            sessionData.JoinedDate = moment(userSessionData.registeredDate).format("YYYY-MM-DD");
            data.SessionData = sessionData;
            data = JSON.stringify(data);
            return data;
        } catch (err) {
            loggerObj.logToServer(constants.logSeverityError, "Error : getSaveOtherBio1 " + err);
        }
    };

    this.getSaveOtherBio2 = function () {
        try {
            var data = {},
                parametersArray = [],
                saveObjects = {},
                sessionData = {},
                userSessionData;
            data.Userid = applicationDataObj.UserId;
            data.ServiceProvider = "MyProfileServiceProvider";
            data.ServiceMethod = "SaveBioData";
            data.Language = constants.englishLanguage;
            saveObjects.PlayerBiodata = {};
            saveObjects.PlayerBiodata.BirthplaceCity = $("#bioplyr-bplc1").val();
            saveObjects.PlayerBiodata.BirthplaceCountry = $("#bioplyr-bcntry1").val();
            saveObjects.PlayerBiodata.Play = $("#bioplyr-bplay1").val();
            saveObjects.PlayerBiodata.Residence = $("#bio-resdnc1").val();
            saveObjects.PlayerBiodata.Backhand = $("#bio-backhand").val();
            saveObjects.PlayerBiodata.Height = $("#bio-height1").val();
            saveObjects.PlayerBiodata.HeightUnits = $("#bio-heightunit1").val();
            saveObjects.PlayerBiodata.Weight = $("#bio-weight1").val();
            saveObjects.PlayerBiodata.WeightUnits = $("#bio-weightunit1").val();
            saveObjects.PlayerBiodata.Education = $("#bio-eductn1").val();
            saveObjects.PlayerBiodata.SpouseName = $("#bio-spouse").val();
            saveObjects.PlayerBiodata.ChildrenNumber = $("#bio-childval").val();
            saveObjects.NonPlayerBiodata = {};
            saveObjects.NonPlayerBiodata.Bioid = othersave;
            saveObjects.NonPlayerBiodata.UserId = otheruser;
            saveObjects.NonPlayerBiodata.EmployerorAgency = $("#bio-employerval").val();
            saveObjects.NonPlayerBiodata.CreatedDate = createdDate;
            saveObjects.NonPlayerBiodata.IndustryOrOccupation = $("#oval1").val();
            saveObjects.NonPlayerBiodata.OtherBusiness = $("#oval2").val();
            saveObjects.NonPlayerBiodata.Eductaion = eductaion;
            saveObjects.NonPlayerBiodata.CoachPlayerName1 = $("#coachp1").val();
            saveObjects.NonPlayerBiodata.CoachPlayerName2 = $("#coachp2").val();
            saveObjects.NonPlayerBiodata.CoachPlayerName3 = $("#coachp3").val();
            saveObjects.NonPlayerBiodata.AgentPlayerName1 = $("#pname1").val();
            saveObjects.NonPlayerBiodata.AgentPlayerName2 = $("#pname2").val();
            saveObjects.NonPlayerBiodata.AgentPlayerName3 = $("#pname3").val();
            saveObjects.NonPlayerBiodata.CoachPlayers = coachPlayers;
            saveObjects.NonPlayerBiodata.AgentPlayers = agentPlayers;
            saveObjects.Role = applicationDataObj.getSessionResponse().roles[0];
            saveObjects.NotAuthorized = false;
            parametersArray.push(saveObjects);
            parametersArray.push("6D8CD88E-6E2F-43AD-BD65-4AC9EE276E34");
            data.parametersArray = parametersArray;
            userSessionData = applicationDataObj.getSessionResponse();
            sessionData.PlayerId = userSessionData.playerId;
            sessionData.UserId = applicationDataObj.UserId;
            sessionData.FirstName = userSessionData.firstName;
            sessionData.LastName = userSessionData.lastName;
            sessionData.UserName = applicationDataObj.getUsername();
            sessionData.Roles = userSessionData.roles;
            sessionData.EmailId = userSessionData.emailId;
            sessionData.City = userSessionData.city;
            sessionData.Country = userSessionData.country;
            sessionData.Address1 = userSessionData.address1;
            sessionData.TOKEN = applicationDataObj.getToken();
            if (userSessionData.ManagementAgency) {
                sessionData.ManagementAgency = userSessionData.ManagementAgency;
            }
            sessionData.JoinedDate = moment(userSessionData.registeredDate).format("YYYY-MM-DD");
            data.SessionData = sessionData;
            data = JSON.stringify(data);
            return data;
        } catch (err) {
            loggerObj.logToServer(constants.logSeverityError, "Error : getSaveOtherBio2 " + err);
        }
    };

    this.validatesubmit = function (page) {
        try {
            changeButtonBackground(".alumniagent");
            this.saveDataBio(page);
        } catch (err) {
            loggerObj.logToServer(constants.logSeverityError, "Error : validatesubmit " + err);
        }
    };
    this.validatesubmitcoach = function (pafe) {
        try {
            changeButtonBackground(".coachalumnisave");
            this.saveDataBioCoach(page);
        } catch (err) {
            loggerObj.logToServer(constants.logSeverityError, "Error : validatesubmitcoach " + err);
        }
    };

    this.validateCoachAlumni = function (page) {
        try {
            changeButtonBackground(".coachalumnisave1");
            this.validatesubmitCoachAlumni(page);
        } catch (err) {
            loggerObj.logToServer(constants.logSeverityError, "Error : validateCoachAlumni " + err);
        }
    };
    this.validateAgentAlumni = function (page) {
        try {
            changeButtonBackground(".alumniagent1 ");
            this.validatesubmitAgentAlumni(page);
        } catch (err) {
            loggerObj.logToServer(constants.logSeverityError, "Error : validateAgentAlumni " + err);
        }
    };
    this.checkBio2 = function () {
        try {
            $(".valdtnerror-message").hide();
            $("#bio-save-msg").removeClass("show");
            $("#bio-save-msg").addClass("hide");
            $(".bioinfo").html("");
            $(".city").html("");
            $(".country").html("");
            $(".play").html("");
            $(".residence").html("");
            $(".backhand").html("");
            $(".height").html("");
            $(".units").html("");
            $(".weights").html("");
            $(".edu").html("");
            $(".spouse").html("");
            $(".child").html("");
            $(".canbtn").html("");
            $(".savebtn").html("");
            $("#bio .contact-app-btn").html("");
            $(".backhanddrop").html("");
            $(".countrydrop").html("");
            $(".playdrop").html("");
            $(".hgtdrop").html("");
            $(".wgtdrop").html("");
            $(".edudrop").html("");
            $(".cityval").val("");
            $(".childval").val("");
            $(".residytext").val("");
            $(".spouseval").val("");
            $(".hgttxt").val("");
            $(".wgttxt").val("");
            $(".wgtdrop").val("");
            $(".edudrop").val("");
            $(".hgtdrop").val("");
            $(".backhanddrop").val("");
            $(".playdrop").val("");
            $(".curentval").val("");
            $(".occval").val("");
            $(".otherbussiness1").val("");
        } catch (err) {
            loggerObj.logToServer(constants.logSeverityError, "Error : checkBio2 " + err);
        }
    };

    this.industryDropdownChange = function () {
        try {
            $("#oval1").change(function (event) {
                var selectedValue = $("#oval1 option:selected").text();
                if (selectedValue && selectedValue.toLowerCase() === "other business") {
                    $("#oval2").prop("disabled", false);
                    $("#oval2").prop("readonly", false);
                    $("#oval2").removeClass("bio-disabled-text");
                } else {
                    $("#oval2").prop("disabled", true);
                    $("#oval2").prop("readonly", true);
                    $("#oval2").addClass("bio-disabled-text");
                }
            });
        } catch (err) {
            loggerObj.logToServer(constants.logSeverityError, "Error : industryDropdownChange " + err);
        }
    };
    this.validatesubmitCoachAlumni = function (page) {
        try {
            var noErrorexists1S = true,
                noErrorexistsBPS = true,
                noErrorexistsBCS = true,
                noErrorexistsRDS = true,
                noErrorexistsHTS = true,
                noErrorexistsWTS = true,
                noErrorexistsWTUNITS = true,
                noErrorexistsHTUNITS = true;

            noErrorexistsBPS = this.validatebplace1();
            noErrorexistsBCS = this.validatebcntry1();
            noErrorexistsBPLAYS = this.validatebplay1();
            noErrorexistsRDS = this.validateresidence1();
            noErrorexistsHTS = this.validateheight1();
            noErrorexistsWTS = this.validateweight1();
            noErrorexistsWTUNITS = this.validateweightunit1();
            noErrorexistsHTUNITS = this.validateheightunit1();

            if (noErrorexistsBPS === true && noErrorexistsBPLAYS === true && noErrorexistsBCS === true && noErrorexistsRDS === true && noErrorexistsHTS === true && noErrorexistsWTS === true && noErrorexistsWTUNITS === true && noErrorexistsHTUNITS === true) {
                heightsty = $(".invldhghtvalidation").attr("style");
                weightsty = $(".invldwghtvalidation").attr("style");
                if (heightsty === "display: block;" || weightsty === "display: block;") {
                    noErrorexists1 = false;
                    $("#otherbio-save-msg").removeClass("show");
                    $("#otherbio-save-msg").addClass("hide");
                } else {
                    noErrorexists1S = true;
                    this.saveDataCoachAlumni(page);
                    $("#otherbio-save-msg").removeClass("show");
                    $("#otherbio-save-msg").addClass("hide");
                }
            } else {
                noErrorexists1S = false;
                $("#bio-save-msg").removeClass("show");
                $("#bio-save-msg").addClass("hide");
            }
            return noErrorexists1S;
        } catch (err) {
            loggerObj.logToServer(constants.logSeverityError, "Error : validatesubmitCoachAlumni " + err);
        }
    };

    this.validatesubmitFormOther = function (page) {
        try {
            var noErrorexists1S = true,
                noErrorexistsBPS = true,
                noErrorexistsBCS = true,
                noErrorexistsRDS = true,
                noErrorexistsHTS = true,
                noErrorexistsWTS = true,
                noErrorexistsWTUNITS = true,
                noErrorexistsHTUNITS = true;

            noErrorexistsBPS = this.validatebplace1();
            noErrorexistsBCS = this.validatebcntry1();
            noErrorexistsBPLAYS = this.validatebplay1();
            noErrorexistsRDS = this.validateresidence1();
            noErrorexistsHTS = this.validateheight1();
            noErrorexistsWTS = this.validateweight1();
            noErrorexistsWTUNITS = this.validateweightunit1();
            noErrorexistsHTUNITS = this.validateheightunit1();

            if (noErrorexistsBPS === true && noErrorexistsBPLAYS === true && noErrorexistsBCS === true && noErrorexistsRDS === true && noErrorexistsHTS === true && noErrorexistsWTS === true && noErrorexistsWTUNITS === true && noErrorexistsHTUNITS === true) {
                heightsty = $(".invldhghtvalidation").attr("style");
                weightsty = $(".invldwghtvalidation").attr("style");
                if (heightsty === "display: block;" || weightsty === "display: block;") {
                    noErrorexists1 = false;
                    $("#otherbio-save-msg").removeClass("show");
                    $("#otherbio-save-msg").addClass("hide");
                } else {
                    noErrorexists1S = true;
                    this.saveDataBioAlumni(page);
                }
            } else {
                noErrorexists1S = false;
                $("#otherbio-save-msg").removeClass("show");
                $("#otherbio-save-msg").addClass("hide");
            }
            return noErrorexists1S;
        } catch (err) {
            loggerObj.logToServer(constants.logSeverityError, "Error : validatesubmitFormOther " + err);
        }
    };


    this.managebio = function (playerName) {
        try {
            if (constants.onBehalfPlayerId) {
                $(".tab-bg").hide();
                $(".headercontent").hide();
                $(".mngplyhdr-plyrnm").text("");
                $(".mngplyhdr-plyrnm").text(playerName);
                $(".manageplyr-header").removeClass("hide");
                $(".manageplyr-header").addClass("show");
                $(".mngingplyr-img").attr('src', constants.headShotImage);
                this.manageGetBio();
            } else {
                bio();
            }
        } catch (err) {
            loggerObj.logToServer(constants.logSeverityError, "Error : managebio " + err);
        }
    };

    this.manageGetBio = function () {
        try {
            var apiservicecallsObj = new Apiservicecalls(),
                url = constants.ajaxUrl,
                sessionData = applicationDataObj.getSessionResponse(),
                inputData = this.getRequestParametersManagePlayerBio(sessionData);
            apiservicecallsObj.postData(url, inputData, onManageGetBioResponseSuccess, onManageGetBioResponseError);
        } catch (err) {
            loggerObj.logToServer(constants.logSeverityError, "Error : manageGetBio " + err);
        }
    };

    this.getRequestParametersManagePlayerBio = function (sessionData) {
        try {
            var data = {},
                userSession = {};
            data.Userid = sessionData.userId;
            data.ServiceProvider = "MyProfileServiceProvider";
            data.ServiceMethod = "GetBioData";
            data.Language = constants.englishLanguage;
            data.parametersArray = ["6D8CD88E-6E2F-43AD-BD65-4AC9EE276E34"];
            userSession.PlayerId = sessionData.playerId;
            userSession.UserId = sessionData.userId;
            userSession.FirstName = sessionData.firstName;
            userSession.LastName = sessionData.lastName;
            userSession.UserName = applicationDataObj.getUsername();
            userSession.Roles = sessionData.roles;
            userSession.EmailId = sessionData.emailId;
            userSession.Address1 = sessionData.address1;
            userSession.City = sessionData.city;
            userSession.Country = sessionData.country;
            userSession.ManangementAgency = sessionData.ManangementAgency;
            if (constants.onBehalfPlayerId) {
                userSession.OnBehalfPlayerId = constants.onBehalfPlayerId;
            }
            userSession.TOKEN = applicationDataObj.getToken();
            userSession.JoinedDate = moment(sessionData.registeredDate).format("YYYY-MM-DD");
            data.SessionData = userSession;
            data = JSON.stringify(data);
            return data;
        } catch (err) {
            loggerObj.logToServer(constants.logSeverityError, "Error : getRequestParametersManagePlayerBio " + err);
        }
    };

    this.saveManageBio = function () {
        try {
            var inputData = getMangeBio(),
                apiservicecallsObj = new Apiservicecalls(),
                url = constants.ajaxUrl;
            apiservicecallsObj.postData(url, inputData, OnSaveManageSuccess1, OnSaveManageError1);
        } catch (err) {
            loggerObj.logToServer(constants.logSeverityError, "Error : saveManageBio " + err);
        }
    };

    this.bindMangePlayer = function (data) {
        try {
            $("#bioagent").hide();
            $("#bioalumni").hide();
            $("#biocoach").hide();
            bioDataContent = data.BioDataContent;
            countries = data.Countries;
            country = countries.length;
            backhandText = bioDataContent.BackhandText;
            biographicInformationText = bioDataContent.BiographicInformationText;
            birthPlaceCityText = bioDataContent.BirthPlaceCityText;
            birthPlaceCountryText = bioDataContent.BirthPlaceCountryText;
            cancelText = bioDataContent.CancelText;
            contactATPText = bioDataContent.ContactATPText;
            educationText = bioDataContent.EducationText;
            heightText = bioDataContent.HeightText;
            numberOfChildrenText = bioDataContent.NumberOfChildrenText;
            residenceText = bioDataContent.ResidenceText;
            saveText = bioDataContent.SaveText;
            skipText = bioDataContent.SkipText;
            spouseNameText = bioDataContent.SpouseNameText;
            unitText = bioDataContent.UnitText;
            weightText = bioDataContent.WeightText;
            playText = bioDataContent.PlayText;
            backhandTypes = bioDataContent.BackhandTypes;
            typelen = backhandTypes.length;
            playTypes = bioDataContent.PlayTypes;
            playlen = playTypes.length;
            heightUnits = bioDataContent.HeightUnits;
            heightlen = heightUnits.length;
            weightUnits = bioDataContent.WeightUnits;
            weightlen = weightUnits.length;
            qualifications = bioDataContent.Qualifications;
            qualify = qualifications.length;
            /*Binding values to input fields*/
            /*End*/
            $(".bioinfo").empty();
            $(".city").empty();
            $(".country").empty();
            $(".play").empty();
            $(".residence").empty();
            $(".backhand").empty();
            $(".height").empty();
            $(".units").empty();
            $(".weights").empty();
            $(".edu").empty();
            $(".spouse").empty();
            $(".child").empty();
            $(".canbtn").empty();
            $(".savebtn").empty();
            $(".backhanddrop").empty();
            $("#bio-eductn").empty();
            $("#bio-weightunit").empty();
            $("#bio-heightunit").empty();
            $("#bioplyr-bplay").empty();
            $("#bio .contact-app-btn").empty();
            $(".bioinfo").append(biographicInformationText);
            $(".city").append(birthPlaceCityText + '<span class="txtbx-rqrdfld"> *</span>');
            $(".country").append(birthPlaceCountryText + '<span class="txtbx-rqrdfld"> *</span>');
            $(".play").append(playText + '<span class="txtbx-rqrdfld"> *</span>');
            $(".residence").append(residenceText + '<span class="txtbx-rqrdfld"> *</span>');
            $(".backhand").append(backhandText);
            $(".height").append(heightText + '<span class="txtbx-rqrdfld"> *</span>');
            $(".units").append(unitText + '<span class="txtbx-rqrdfld">  *</span>');
            $(".weights").append(weightText + '<span class="txtbx-rqrdfld"> *</span>');
            $(".edu").append(educationText);
            $(".spouse").append(spouseNameText);
            $(".child").append(numberOfChildrenText);
            $(".canbtn").html(data.BioDataContent.CancelText);
            $(".savebtn").html(data.BioDataContent.SaveText);
            $(".manageplayer").addClass("hide");
            $(".manageplayer1").removeClass("hide");
            $(".manageplayer1").addClass("show");

            $("#bio .contact-app-btn").append('<button class="button2">' + contactATPText + '</button>');
            $(".backhanddrop").append('<option value="">SELECT</option>');
            $(".countrydrop").append('<option value="">SELECT</option>');
            $(".playdrop").append('<option value="">SELECT</option>');
            $(".hgtdrop").append('<option value="">SELECT</option>');
            $('.wgtdrop').append('<option value="">SELECT</option>');
            for (i = 0; i < typelen; i++) {
                $(".backhanddrop").append('<option value="' + (i + 1) + '">' + backhandTypes[i].AccountType + '</option>');
            }
            for (j = 0; j < country; j++) {
                $(".countrydrop").append('<option value="' + countries[j].Code + '">' + countries[j].Name + '</option>');
            }
            for (k = 0; k < playlen; k++) {
                playtxt = playTypes[k].AccountType;
                playtxt = playtxt.slice(0, 1);
                $(".playdrop").append('<option value="' + playtxt + '">' + playTypes[k].AccountType + '</option>');
            }
            for (l = 0; l < heightlen; l++) {
                $(".hgtdrop").append('<option value="' + heightUnits[l].AccountType + '">' + heightUnits[l].AccountType + '</option>');
            }
            for (m = 0; m < weightlen; m++) {
                $(".wgtdrop").append('<option value="' + weightUnits[m].AccountType + '">' + weightUnits[m].AccountType + '</option>');
            }
            for (n = 0; n < qualify; n++) {
                $(".edudrop").append('<option value="' + qualifications[n].AccountType + '">' + qualifications[n].AccountType + '</option>');
            }
            /*Binding values to input fields*/
            playerBiodata = data.PlayerBiodata;
            birthplaceCity = playerBiodata.BirthplaceCity;
            birthplaceCountry = playerBiodata.BirthplaceCountry;
            childrenNumber = playerBiodata.ChildrenNumber;
            residence = playerBiodata.Residence;
            height = playerBiodata.Height;
            weight = playerBiodata.Weight;
            heightUnit = playerBiodata.HeightUnits;
            weightUnit = playerBiodata.WeightUnits;
            backhand = playerBiodata.Backhand;
            education = playerBiodata.Education;
            play = playerBiodata.Play;
            $(".cityval").val(birthplaceCity);
            if (birthplaceCountry) {
                $(".countrydrop").val(birthplaceCountry);
            } else {
                $(".countrydrop").val("");
            }
            var getBioCountry = $(".countrydrop").val();
            if (!getBioCountry) {
                $(".countrydrop").val("");
            }
            $(".childval").val(childrenNumber);
            $(".residytext").val(residence);
            $(".hgttxt").val(height);
            $(".wgttxt").val(weight);
            if (playerBiodata.HeightUnits !== null) {
                $(".hgtdrop").val(heightUnit);
            }
            if (playerBiodata.WeightUnits !== null) {
                $(".wgtdrop").val(weightUnit);
            }
            if (playerBiodata.Education !== null) {
                $(".edudrop").val(education);
            }
            $(".spouseval").val(playerBiodata.SpouseName);
            if (backhand === 0) {
                $(".backhanddrop option:selected").text("Unknown");
            } else {
                $(".backhanddrop").val(backhand);
            }
            if (play === "U") {
                $(".playdrop option:selected").text("Unknown");
            } else {
                $(".playdrop").val(play);
            }
        } catch (err) {
            loggerObj.logToServer(constants.logSeverityError, "Error : bindMangePlayer " + err);
        }
    };

    this.getMangeBio = function () {
        try {
            var data = {},
                parametersArray = [],
                saveObjects = {},
                sessionData = {},
                userSessionData;
            data.Userid = applicationDataObj.UserId;
            data.ServiceProvider = "MyProfileServiceProvider";
            data.ServiceMethod = "SaveBioData";
            data.Language = constants.englishLanguage;
            saveObjects.PlayerBiodata = {};
            saveObjects.PlayerBiodata.BirthplaceCity = $(".cityval").val();
            saveObjects.PlayerBiodata.BirthplaceCountry = $(".countrydrop").val();
            saveObjects.PlayerBiodata.Play = $(".playdrop").val();
            saveObjects.PlayerBiodata.Residence = $(".residytext").val();
            saveObjects.PlayerBiodata.Backhand = $(".backhanddrop").val();
            saveObjects.PlayerBiodata.Height = $(".hgttxt").val();
            saveObjects.PlayerBiodata.HeightUnits = $(".hgtdrop").val();
            saveObjects.PlayerBiodata.Weight = $(".wgttxt").val();
            saveObjects.PlayerBiodata.WeightUnits = $(".wgtdrop").val();
            saveObjects.PlayerBiodata.Education = $(".edudrop").val();
            saveObjects.PlayerBiodata.SpouseName = $(".spouseval").val();
            saveObjects.PlayerBiodata.ChildrenNumber = $(".childval").val();
            saveObjects.IsBioUpdatedForFirstTime = false;
            parametersArray.push(saveObjects);
            parametersArray.push("6D8CD88E-6E2F-43AD-BD65-4AC9EE276E34");
            data.parametersArray = parametersArray;
            userSessionData = applicationDataObj.getSessionResponse();
            sessionData.PlayerId = userSessionData.playerId;
            sessionData.UserId = applicationDataObj.UserId;
            sessionData.FirstName = userSessionData.firstName;
            sessionData.LastName = userSessionData.lastName;
            sessionData.UserName = applicationDataObj.getUsername();
            sessionData.Roles = userSessionData.roles;
            sessionData.EmailId = userSessionData.emailId;
            sessionData.City = userSessionData.city;
            sessionData.Country = userSessionData.country;
            sessionData.Address1 = userSessionData.address1;
            sessionData.TOKEN = applicationDataObj.getToken();
            if (userSessionData.ManagementAgency) {
                sessionData.ManagementAgency = userSessionData.ManagementAgency;
            }
            sessionData.JoinedDate = moment(userSessionData.registeredDate).format("YYYY-MM-DD");
            if (constants.onBehalfPlayerId) {
                sessionData.OnBehalfPlayerId = constants.onBehalfPlayerId;
            }
            data.SessionData = sessionData;
            data = JSON.stringify(data);
            return data;
        } catch (err) {
            loggerObj.logToServer(constants.logSeverityError, "Error : getMangeBio " + err);
        }
    };

    this.devalidatesubmitFormManage = function () {
        try {
            this.checkBio3();
            this.manageGetBio();
        } catch (err) {
            loggerObj.logToServer(constants.logSeverityError, "Error : devalidatesubmitFormManage " + err);
        }
    };

    this.checkBio3 = function () {
        try {
            $(".valdtnerror-message").hide();
            $("#bio-save-msg").removeClass("show");
            $("#bio-save-msg").addClass("hide");
            $(".backhanddrop").html("");
            $(".countrydrop").html("");
            $(".playdrop").html("");
            $(".hgtdrop").html("");
            $(".wgtdrop").html("");
            $(".edudrop").html("");
            $(".cityval").val("");
            $(".childval").val("");
            $(".residytext").val("");
            $(".spouseval").val("");
            $(".hgttxt").val("");
            $(".wgttxt").val("");
            $(".wgtdrop").val("");
            $(".edudrop").val("");
            $(".hgtdrop").val("");
            $(".backhanddrop").val("");
            $(".playdrop").val("");
        } catch (err) {
            loggerObj.logToServer(constants.logSeverityError, "Error : checkBio3 " + err);
        }
    };
    this.validatebplace1 = function () {
        try {
            if ($("#bioplyr-bplc1").val() === "") {
                $('.bplacevalidation').show();
                this.noErrorexists1S = false;
            } else {
                $('.bplacevalidation').hide();
                this.noErrorexists1S = true;
            }
            return this.noErrorexists1S;
        } catch (err) {
            loggerObj.logToServer(constants.logSeverityError, "Error : validatebplace1 " + err);
        }
    };
    this.validatebcntry1 = function () {
        try {
            if ($("#bioplyr-bcntry1").val() === "") {
                $('.bcntryvalidation').show();
                this.noErrorexists1S = false;
            } else {
                $('.bcntryvalidation').hide();
                this.noErrorexists1S = true;
            }
            return this.noErrorexists1S;
        } catch (err) {
            loggerObj.logToServer(constants.logSeverityError, "Error : validatebcntry1 " + err);
        }
    };
    this.validatecountry1 = function () {
        try {
            if ($("#bioplyr-bcntry1 option:selected").text() === "") {
                $('.bcntryvalidation').show();
                this.noErrorexists1S = false;
            } else {
                $('.bcntryvalidation').hide();
                this.noErrorexists1S = true;
            }
            return this.noErrorexists1S;
        } catch (err) {
            loggerObj.logToServer(constants.logSeverityError, "Error : validatecountry1 " + err);
        }
    };
    this.validatebplay1 = function () {
        try {
            if ($("#bioplyr-bplay1").val() === "") {
                $('.bplayvalidation').show();
                this.noErrorexists1S = false;
            } else {
                $('.bplayvalidation').hide();
                this.noErrorexists1S = true;
            }
            return this.noErrorexists1S;
        } catch (err) {
            loggerObj.logToServer(constants.logSeverityError, "Error : validatebplay1 " + err);
        }
    };
    this.validateplay1 = function () {
        try {
            if ($("#bioplyr-bplay1 option:selected").text() === "") {
                $('.bplayvalidation').show();
                this.noErrorexists1S = false;
            } else {
                $('.bplayvalidation').hide();
                this.noErrorexists1S = true;
            }
            return this.noErrorexists1S;
        } catch (err) {
            loggerObj.logToServer(constants.logSeverityError, "Error : validateplay1 " + err);
        }
    };
    this.validateresidence1 = function () {
        try {
            if ($("#bio-resdnc1").val() === "") {
                $('.resdncvalidation').show();
                this.noErrorexists1S = false;
            } else {
                $('.resdncvalidation').hide();
                this.noErrorexists1S = true;
            }
            return this.noErrorexists1S;
        } catch (err) {
            loggerObj.logToServer(constants.logSeverityError, "Error : validateresidence1 " + err);
        }
    };

    this.validateheight1 = function () {
        try {
            if ($("#bio-height1").val() === "") {
                $('.invldhghtvalidation').hide();
                $('.hghtvalidation').show();
                this.noErrorexists1S = false;
            } else {
                $('.hghtvalidation').hide();
                this.noErrorexists1S = true;
            }
            return this.noErrorexists1S;
        } catch (err) {
            loggerObj.logToServer(constants.logSeverityError, "Error : validateheight1 " + err);
        }
    };

    this.isNumber1 = function () {
        try {
            var h = $("#bio-height1").val();
            if (!h.match(/^[0-9\.]+$/)) {
                $('.hghtvalidation').hide();
                $('.invldhghtvalidation').show();
            } else {
                $('.invldhghtvalidation').hide();
            }
        } catch (err) {
            loggerObj.logToServer(constants.logSeverityError, "Error : isNumber1 " + err);
        }
    };

    this.validateweight1 = function () {
        try {
            if ($("#bio-weight1").val() === "") {
                $('.invldwghtvalidation').hide();
                $('.wghtvalidation').show();
                this.noErrorexists1S = false;
            } else {
                $('.wghtvalidation').hide();
                this.noErrorexists1S = true;
            }
            return this.noErrorexists1S;
        } catch (err) {
            loggerObj.logToServer(constants.logSeverityError, "Error : validateweight1 " + err);
        }
    };

    this.isNumberWt1 = function () {
        try {
            var w = $("#bio-weight1").val();
            if (!w.match(/^[0-9\.]+$/)) {
                $('.wghtvalidation').hide();
                $('.invldwghtvalidation').show();
            } else {
                $('.invldwghtvalidation').hide();
            }
        } catch (err) {
            loggerObj.logToServer(constants.logSeverityError, "Error : isNumberWt1 " + err);
        }
    };
    this.validateweightunit1 = function () {
        try {
            if ($("#bio-weightunit1").val() === "") {
                $('.wghtunitvalidation').show();
                this.noErrorexists1S = false;
            } else {
                $('.wghtunitvalidation').hide();
                this.noErrorexists1S = true;
            }
            return this.noErrorexists1S;
        } catch (err) {
            loggerObj.logToServer(constants.logSeverityError, "Error : validateweightunit1 " + err);
        }
    };

    this.validatewgtunit1 = function () {
        try {
            if ($("#bio-weightunit1 option:selected").text() === "") {
                $('.wghtunitvalidation').show();
                this.noErrorexists1S = false;
            } else {
                $('.wghtunitvalidation').hide();
                this.noErrorexists1S = true;
            }
            return this.noErrorexists1S;
        } catch (err) {
            loggerObj.logToServer(constants.logSeverityError, "Error : validatewgtunit1 " + err);
        }
    };


    this.validateheightunit1 = function () {
        try {
            if ($("#bio-heightunit1").val() === "") {
                $('.hghtunitvalidation').show();
                this.noErrorexists1S = false;
            } else {
                $('.hghtunitvalidation').hide();
                this.noErrorexists1S = true;
            }
            return this.noErrorexists1S;
        } catch (err) {
            loggerObj.logToServer(constants.logSeverityError, "Error : validatewgtunit1 " + err);
        }
    };

    this.validatehgtunit1 = function () {

        try {
            if ($("#bio-heightunit1 option:selected").text() === "") {
                $('.hghtunitvalidation').show();
                this.noErrorexists1S = false;
            } else {
                $('.hghtunitvalidation').hide();
                this.noErrorexists1S = true;
            }
            return this.noErrorexists1S;
        } catch (err) {
            loggerObj.logToServer(constants.logSeverityError, "Error : validatehgtunit1 " + err);
        }
    };
};



var OnOtherBioSuccess = function (data) {

    try {
        endLoading();
        if (data) {
            applicationDataObj.setbindOtherbio(data);
            var otherBioClassObj = new OtherBioClass();
            otherBioClassObj.bindAgentData(data);
        }
    } catch (err) {
        loggerObj.logToServer(constants.logSeverityError, "Error : OnOtherBioSuccess " + err);
    }
};

var OnOtherBioError = function (jqXHR, error) {

    try {
        endLoading();
        var errorMessage = jqXHR.statusText;
        if (jqXHR.responseJSON && jqXHR.responseJSON.Message) {
            errorMessage = errorMessage + " : " + jqXHR.responseJSON.Message;
        }
        loggerObj.logToServer(constants.logSeverityError, "Error : OnOtherBioError " + errorMessage);
        if (jqXHR.status && jqXHR.status === constants.errorCode401 &&
                jqXHR.statusText === constants.unauthorizedError) {
            logout();
        }
    } catch (err) {
        loggerObj.logToServer(constants.logSeverityError, "Error : OnOtherBioError " + err);
    }
};

var OnSaveOtherSuccess = function (data) {

    try {
        endLoading();
        if (data) {
            $("#otherbio-save-msg").removeClass("hide");
            $("#otherbio-save-msg").addClass("show");
            $("#otherbio-save-msg1").removeClass("hide");
            $("#otherbio-save-msg1").addClass("show");
            $("#otherbio-save-msg2").removeClass("hide");
            $("#otherbio-save-msg2").addClass("show");
            endLoading();
        }
    } catch (err) {
        loggerObj.logToServer(constants.logSeverityError, "Error : OnSaveOtherSuccess " + err);
    }
};

var OnSaveOtherError = function (jqXHR, error) {

    try {
        endLoading();
        var errorMessage = jqXHR.statusText;
        if (jqXHR.responseJSON && jqXHR.responseJSON.Message) {
            errorMessage = errorMessage + " : " + jqXHR.responseJSON.Message;
        }
        loggerObj.logToServer(constants.logSeverityError, "Error : OnSaveOtherError " + errorMessage);
        if (jqXHR.status && jqXHR.status === constants.errorCode401 &&
                jqXHR.statusText === constants.unauthorizedError) {
            logout();
        }
    } catch (err) {
        loggerObj.logToServer(constants.logSeverityError, "Error : OnSaveOtherError " + err);
    }
};

var OnSaveManageSuccess1 = function (data) {

    try {
        endLoading();
        if (data) {
            applicationDataObj.setbindManage(data);
            this.bindMangePlayer(applicationDataObj.getbindManage());
            $("#bio-save-msg").removeClass("hide");
            $("#bio-save-msg").addClass("show");
            endLoading();
        }
    } catch (err) {
        loggerObj.logToServer(constants.logSeverityError, "Error : OnSaveManageSuccess1 " + err);
    }
};

var OnSaveManageError1 = function (jqXHR, error) {

    try {
        endLoading();
        var errorMessage = jqXHR.statusText;
        if (jqXHR.responseJSON && jqXHR.responseJSON.Message) {
            errorMessage = errorMessage + " : " + jqXHR.responseJSON.Message;
        }
        loggerObj.logToServer(constants.logSeverityError, "Error : OnSaveManageError1 " + errorMessage);
        if (jqXHR.status && jqXHR.status === constants.errorCode401 &&
                jqXHR.statusText === constants.unauthorizedError) {
            logout();
        }
    } catch (err) {
        loggerObj.logToServer(constants.logSeverityError, "Error : OnSaveManageError1 " + err);
    }
};

var OnSaveOtherBioSuccessFromAccount = function (data) {

    try {
        endLoading();
        if (data) {
            $("#otherbio-save-msg1").removeClass("hide");
            $("#otherbio-save-msg1").addClass("show");
            endLoading();
        }
    } catch (err) {
        loggerObj.logToServer(constants.logSeverityError, "Error : OnSaveOtherBioSuccessFromAccount " + err);
    }
};

var OnSaveOtherBioSuccessFromRegistration = function(data) {
    try {
        if(applicationDataObj.getSessionResponse().isHeadshotPhotoUploaded === true) {
            window.location.href = "#/Home";
        } else {
            window.location.href = "#/photoUpload";
        }
    }
    catch (err) {
        loggerObj.logToServer(constants.logSeverityError, "Error : OnSaveOtherBioSuccessFromRegistration " + err);
    } 
};

var OnSaveOtherBioError = function (jqXHR, error) {

    try {
        endLoading();
        var errorMessage = jqXHR.statusText;
        if (jqXHR.responseJSON && jqXHR.responseJSON.Message) {
            errorMessage = errorMessage + " : " + jqXHR.responseJSON.Message;
        }
        loggerObj.logToServer(constants.logSeverityError, "Error : OnSaveOtherBioError " + errorMessage);
        if (jqXHR.status && jqXHR.status === constants.errorCode401 &&
                jqXHR.statusText === constants.unauthorizedError) {
            logout();
        }
    } catch (err) {
        loggerObj.logToServer(constants.logSeverityError, "Error : OnSaveOtherBioError " + err);
    }
};

var OnSaveOtherSuccess1FromAccount = function (data) {

    try {
        endLoading();
        if (data) {
            $("#otherbio-save-msg2").removeClass("hide");
            $("#otherbio-save-msg2").addClass("show");
            endLoading();
        }
    } catch (err) {
        loggerObj.logToServer(constants.logSeverityError, "Error : OnSaveOtherSuccess1FromAccount " + err);
    }
};

var OnSaveOtherSuccess1FromRegistration = function(data) {
    try {
        if(applicationDataObj.getSessionResponse().isHeadshotPhotoUploaded === true) {
            window.location.href = "#/Home";
        } else {
            window.location.href = "#/photoUpload";
        }
    }
    catch (err) {
        loggerObj.logToServer(constants.logSeverityError, "Error : OnSaveOtherSuccess1FromRegistration " + err);
    } 
};

var OnSaveOtherError1 = function (jqXHR, error) {

    try {
        endLoading();
        var errorMessage = jqXHR.statusText;
        if (jqXHR.responseJSON && jqXHR.responseJSON.Message) {
            errorMessage = errorMessage + " : " + jqXHR.responseJSON.Message;
        }
        loggerObj.logToServer(constants.logSeverityError, "Error : OnSaveOtherError1 " + errorMessage);
        if (jqXHR.status && jqXHR.status === constants.errorCode401 &&
                jqXHR.statusText === constants.unauthorizedError) {
            logout();
        }
    } catch (err) {
        loggerObj.logToServer(constants.logSeverityError, "Error : OnSaveOtherError1 " + err);
    }
};

var OnSaveOtherSuccess2FromAccount = function (data) {

    try {
        endLoading();
        if (data) {
            $("#otherbio-save-msg1").removeClass("hide");
            $("#otherbio-save-msg1").addClass("show");
            $("#otherbio-save-msg2").removeClass("show");
            $("#otherbio-save-msg2").addClass("show");
            endLoading();
        }
    } catch (err) {
        loggerObj.logToServer(constants.logSeverityError, "Error : OnSaveOtherSuccess2FromAccount " + err);
    }
};

var OnSaveOtherSuccess2FromRegistration = function(data) {
    try {
        if(applicationDataObj.getSessionResponse().isHeadshotPhotoUploaded === true) {
            window.location.href = "#/Home";
        } else {
            window.location.href = "#/photoUpload";
        }
    }
    catch (err) {
        loggerObj.logToServer(constants.logSeverityError, "Error : OnSaveOtherSuccess2FromRegistration " + err);
    } 
};


var OnSaveOtherSuccess3FromAccount = function (data) {

    try {
        endLoading();
        if (data) {
            $("#otherbio-save-msg").removeClass("hide");
            $("#otherbio-save-msg").addClass("show");
            endLoading();
        }
    } catch (err) {
        loggerObj.logToServer(constants.logSeverityError, "Error : OnSaveOtherSuccess3FromAccount " + err);
    }
};

var OnSaveOtherSuccess3FromRegistration = function(data) {
    try {
        if(applicationDataObj.getSessionResponse().isHeadshotPhotoUploaded === true) {
            window.location.href = "#/Home";
        } else {
            window.location.href = "#/photoUpload";
        }
    }
    catch (err) {
        loggerObj.logToServer(constants.logSeverityError, "Error : OnSaveOtherSuccess3FromRegistration " + err);
    } 
};

var OnSaveOtherError3 = function (jqXHR, error) {

    try {
        endLoading();
        var errorMessage = jqXHR.statusText;
        if (jqXHR.responseJSON && jqXHR.responseJSON.Message) {
            errorMessage = errorMessage + " : " + jqXHR.responseJSON.Message;
        }
        loggerObj.logToServer(constants.logSeverityError, "Error : OnSaveOtherError3 " + errorMessage);
        if (jqXHR.status && jqXHR.status === constants.errorCode401 &&
                jqXHR.statusText === constants.unauthorizedError) {
            logout();
        }
    } catch (err) {
        loggerObj.logToServer(constants.logSeverityError, "Error : OnSaveOtherError3 " + err);
    }
};

var OnSaveOtherError2 = function (jqXHR, error) {

    try {
        endLoading();
        var errorMessage = jqXHR.statusText;
        if (jqXHR.responseJSON && jqXHR.responseJSON.Message) {
            errorMessage = errorMessage + " : " + jqXHR.responseJSON.Message;
        }
        loggerObj.logToServer(constants.logSeverityError, "Error : OnSaveOtherError2 " + errorMessage);
        if (jqXHR.status && jqXHR.status === constants.errorCode401 &&
                jqXHR.statusText === constants.unauthorizedError) {
            logout();
        }
    } catch (err) {
        loggerObj.logToServer(constants.logSeverityError, "Error : OnSaveOtherError2 " + err);
    }
};

var onManageGetBioResponseSuccess = function (data) {

    try {
        endLoading();
        var otherBioClassObj = new OtherBioClass();
        otherBioClassObj.bindMangePlayer(data);
    } catch (err) {
        loggerObj.logToServer(constants.logSeverityError, "Error : onManageGetBioResponseSuccess " + err);
    }
};
var onManageGetBioResponseError = function (jqXHR, exception) {

    try {
        endLoading();
        var errorMessage = jqXHR.statusText;
        if (jqXHR.responseJSON && jqXHR.responseJSON.Message) {
            errorMessage = errorMessage + " : " + jqXHR.responseJSON.Message;
        }
        loggerObj.logToServer(constants.logSeverityError, "Error : onManageGetBioResponseError " + errorMessage);
        if (jqXHR.status && jqXHR.status === constants.errorCode401 &&
                jqXHR.statusText === constants.unauthorizedError) {
            logout();
        }
    } catch (err) {
        loggerObj.logToServer(constants.logSeverityError, "Error : onManageGetBioResponseError " + err);
    }
};
var otherBio = function () {

    try {
        var otherBioClassObj = new OtherBioClass(),
            inputData = otherBioClassObj.getOtherBio(),
            apiservicecallsObj = new Apiservicecalls(),
            url = constants.ajaxUrl;
        apiservicecallsObj.postData(url, inputData, OnOtherBioSuccess, OnOtherBioError);
    } catch (err) {
        loggerObj.logToServer(constants.logSeverityError, "Error : onManageGetBioResponseError " + err);
    }
};

var changeButtonBackground = function (id) {
    $(id).css("cssText", "background-color:#00adf9 !important; color:white !important;");
    setTimeout(function () {
        $(id).css("cssText", "background-color:transparent !important; color:#00adf9 !important;");
    }, 500);

};