(function($) {

  var app = $.sammy('#MyApp', function() { 
    this.use('Template');
   /* this._checkFormSubmission = function(form){
       return(false);
    }; */

    this.get('#/', function(context) {
      context.app.swap('');
        context.render('templates/login.template',{})
               .appendTo(context.$element())
               .then(loginMain);
    });

    this.get('#/registration_account', function(context) {
    context.app.swap('');
        context.render('templates/registration_account.template',{})
              .appendTo(context.$element())
              .then(registrationAccount);
               
    });
      
    this.get('#/registration_BioPage', function(context) {
    context.app.swap('');
        context.render('templates/registration_BioPage.template',{})
              .appendTo(context.$element())
              .then(registrationBioPage);
               
    });
      
    this.get('#/registration_BankPage', function(context) {
    context.app.swap('');
        context.render('templates/registration_BankPage.template',{})
              .appendTo(context.$element())
              .then(registrationBankPage);
               
    });
      
    this.get('#/photoUpload', function(context) {
      context.app.swap('');
        context.render('templates/photoUpload.template',{})
              .appendTo(context.$element())
              .then(PhotoUploadReady);
               
    });
 
    this.get('#/stageTwoRegistration', function(context) {
      context.app.swap('');
        context.render('templates/stageTwoRegistration.template',{})
               .appendTo(context.$element())
               .then(registrationReady);

    });

    this.get('#/savePasswordPage', function(context) {
      context.app.swap('');
        context.render('templates/savePasswordPage.template',{})
              .appendTo(context.$element())
              .then(savePasswordReady);;
               
    });

    this.get('#/regTermsAndCond', function(context) {
      context.app.swap('');
        context.render('templates/regTermsAndCond.template',{})
               .appendTo(context.$element())
               .then(termsandCondReady);
               
    });
      
    this.get('#/Entries/:param1', function(context) {
        context.app.swap('');
        console.log(this.params['param1']);
        var urlmweb = envUrl + '/Entries/' + this.params['param1'] + '?HybridApp=1';
        console.log("URL : "+urlmweb);
        context.render('templates/Entry.template',{})
            .appendTo(context.$element())
            .then(getmWebUrl(urlmweb));
    });  
      
    this.get('#/Tournaments/:param1', function(context) {
        context.app.swap('');
        console.log(this.params['param1']);
        var urlmweb = envUrl + '/tournaments/' + this.params['param1'] + '?HybridApp=1';
        console.log("URL : "+urlmweb);
        context.render('templates/Entry.template',{})
            .appendTo(context.$element())
            .then(getmWebUrl(urlmweb));
    });

    this.get('#/Rankings/:param1', function(context) {
        context.app.swap('');
        console.log(this.params['param1']);
        var urlmweb = envUrl + '/Rankings/' + this.params['param1'] + '?HybridApp=1';
        console.log("URL : "+urlmweb);
        context.render('templates/Entry.template',{})
            .appendTo(context.$element())
            .then(getmWebUrl(urlmweb));
    });
      
    this.get('#/Home', function(context) {
        var str=location.href.toLowerCase();
        context.app.swap('');
        context.render('templates/Home.template', {})
               .appendTo(context.$element())
               .then(homeMain);

    });

    this.get('#/Livescores', function(context) {
        var str=location.href.toLowerCase();
        context.app.swap('');
        context.render('templates/LiveScores.template', {})
               .appendTo(context.$element())
               .then(liveScoresReady);
    });  

    this.get('#/Results', function(context) {
        var str=location.href.toLowerCase();
        context.app.swap('');
        context.render('templates/Results.template', {})
               .appendTo(context.$element())
               .then(resultsReady);;
    });

    this.get('#/Draws', function(context) {
        var str=location.href.toLowerCase();
        context.app.swap('');
        context.render('templates/Draws.template', {})
               .appendTo(context.$element())
               .then(draws);
    });
      
    this.get('#/OrderofPlay/', function(context) {
        var str=location.href.toLowerCase();
        context.app.swap('');
        context.render('templates/OrderofPlay.template',{})
               .appendTo(context.$element())
               .then(orderOfPlayReady(context.params));
    });

    this.get('#/Notification', function(context) {
        var str=location.href.toLowerCase();
        context.app.swap('');
        context.render('templates/MyProfile_Notification.template', {})
               .appendTo(context.$element())
               .then(notificationReady(context.params));
    });

    this.get('#/NotificationSettings', function(context) {
        var str=location.href.toLowerCase();
        context.app.swap('');
        context.render('templates/Myprofile_Notification-Settings.template', {})
               .appendTo(context.$element())
               .then(notificationSettings);
    });

    this.get('#/MyPrizeMoney', function(context) {
        var str=location.href.toLowerCase();
        context.app.swap('');
        context.render('templates/Myprofile_PrizeMoney.template', {})
               .appendTo(context.$element())
               .then(prizeMoneyReady(context.params));
    });
    
    this.get('#/MyPrizeMoney/', function(context) {
        var str=location.href.toLowerCase();
        context.app.swap('');
        context.render('templates/Myprofile_PrizeMoney.template', {})
               .appendTo(context.$element())
               .then(prizeMoneyReady(context.params));
    });
    
    this.get('#/MyAccount', function(context) {
        var str=location.href.toLowerCase();
        context.app.swap('');
        context.render('templates/Myprofile_Account.template', {})
               .appendTo(context.$element())
               .then(myAccount(context.params));
    });
    this.get('#/MyAccount/', function(context) {
        var str=location.href.toLowerCase();
        context.app.swap('');
        context.render('templates/Myprofile_Account.template', {})
               .appendTo(context.$element())
               .then(myAccount(context.params));
    });
      
    this.get('#/MyLanding', function(context) {
        var str=location.href.toLowerCase();
        context.app.swap('');
        context.render('templates/MyProfile_landing.template', {})
               .appendTo(context.$element())
               .then(MyLanding);
    });

    this.get('#/AntiCorruption', function(context) {
        var str=location.href.toLowerCase();
        context.app.swap('');
        context.render('templates/Rules_AntiCorruption.template', {})
               .appendTo(context.$element())
               .then(antiCorruption);
    });

    this.get('#/Rules-AntiDoping', function(context) {
        var str=location.href.toLowerCase();
        context.app.swap('');
        context.render('templates/Rules_AntiDoping.template', {})
               .appendTo(context.$element())
               .then(antiDopingReady);
    });

    this.get('#/Forms', function(context) {
        var str=location.href.toLowerCase();
        context.app.swap('');
        context.render('templates/Rules_Forms.template', {})
               .appendTo(context.$element())
               .then(rulesForm);
    });

    this.get('#/RuleBook', function(context) {
        var str=location.href.toLowerCase();
        context.app.swap('');
        context.render('templates/Rules_RuleBook.template', {})
               .appendTo(context.$element())
               .then(ruleBook);
    });

    this.get('#/Benefits', function (context) {
        var str = location.href.toLowerCase();
        context.app.swap('');
        context.render('templates/Benefits.template', {})
               .appendTo(context.$element())
               .then(benefitsReady);
    });
    
    this.get('#/Benefits-details', function (context) {
        var str = location.href.toLowerCase();
        context.app.swap('');
        context.render('templates/Benefits_Details.template', { })
               .appendTo(context.$element())
               .then(benefitsDetailReadyHandler());
        });
    this.get('#/Benefits-ATP-Advantage', function (context) {
        var str = location.href.toLowerCase();
        context.app.swap('');
        context.render('templates/Benefits_ATP-Advantages.template', {})
               .appendTo(context.$element())
               .then(atpadvantage);
    });

    this.get('#/Benefits-Pension', function (context) {
        var str = location.href.toLowerCase();
        context.app.swap('');
        context.render('templates/Benefits_Pension.template', {})
               .appendTo(context.$element())
               .then(pension);
    });

    this.get('#/Benefits-Health', function (context) {
        var str = location.href.toLowerCase();
        context.app.swap('');
        context.render('templates/Benefits_Health.template', {})
               .appendTo(context.$element())
               .then(health);
    });
    
    this.get('#/social-media-abuse', function (context) {
        var str = location.href.toLowerCase();
        context.app.swap('');
        context.render('templates/socialMediaAbuse.template', {})
               .appendTo(context.$element())
               .then(socialMedia);
    });
      
    this.get('#/benefits-agents', function (context) {
        var str = location.href.toLowerCase();
        context.app.swap('');
        context.render('templates/agentBenefits.template', {})
               .appendTo(context.$element())
               .then(agentBenefits);
    });
      
    this.get('#/benefits-memebership', function (context) {
        var str = location.href.toLowerCase();
        context.app.swap('');
        context.render('templates/benefitsMembership.template', {})
               .appendTo(context.$element())
               .then(BenefitsMembership);
    });

    this.get('#/Contact-Player-Relations', function (context) {
        var str = location.href.toLowerCase();
        context.app.swap('');
        context.render('templates/Contact_PlayerRelations.template', {})
               .appendTo(context.$element())
               .then(playerrelations);
    });

    this.get('#/Contact-MedicalServices', function (context) {
        var str = location.href.toLowerCase();
        context.app.swap('');
        context.render('templates/Contact_MedicalServices.template', {})
               .appendTo(context.$element())
               .then(medicalServices);
    });

    this.get('#/Contact-CouncilBoard', function (context) {
        var str = location.href.toLowerCase();
        context.app.swap('');
        context.render('templates/Contact_Council&Board.template', {})
               .appendTo(context.$element())
               .then(councilBoard);
    });

    this.get('#/Contact-Directories', function (context) {
        var str = location.href.toLowerCase();
        context.app.swap('');
        context.render('templates/Contact_Directories.template', {})
               .appendTo(context.$element())
               .then(directories);
    });

    this.get('#/Contact-Feedback', function (context) {
        var str = location.href.toLowerCase();
        context.app.swap('');
        context.render('templates/Contact_Feedback.template', {})
               .appendTo(context.$element())
               .then(feedback);
    });

    this.get('#/Contact-FAQ', function (context) {
        var str = location.href.toLowerCase();
        context.app.swap('');
        context.render('templates/Contact_FAQ.template', {})
               .appendTo(context.$element())
               .then(frequentlyAskedQuestion);
    });

     this.get('#/News_PlayersWeekly', function(context) {
        var str=location.href.toLowerCase();
        context.app.swap('');
        context.render('templates/News-Playersweekly.template', {})
               .appendTo(context.$element())
               .then(playersWeeklyReady);
    });

    this.get('#/News_Newsletters', function(context) {
        var str=location.href.toLowerCase();
        context.app.swap('');
        context.render('templates/Newsletters.template', {})
               .appendTo(context.$element())
               .then(newsLettersReady);
    });

    this.get('#/News_Newsflash', function(context) {
        var str=location.href.toLowerCase();
        context.app.swap('');
        context.render('templates/Newsflash.template', {})
               .appendTo(context.$element())
               .then(newsFlashReady);
    }); 

    this.get('#/News_NewsArchive', function(context) {
        var str=location.href.toLowerCase();
        context.app.swap('');
        context.render('templates/NewsArchive.template', {})
               .appendTo(context.$element())
               .then(newsArchive);
    });

    this.get('#/News_NewsArchive_Details', function (context) {
        var str = location.href.toLowerCase();
        context.app.swap('');
        context.render('templates/NewsArchiveDetails.template', {})
               .appendTo(context.$element())
               .then(archiveDetailReadyHandler);
    });


    this.get('#/LoadWebsite/', function(context) {
        var str=location.href.toLowerCase();
        context.app.swap('');
        context.render('templates/Entry.template', {})
               .appendTo(context.$element())
               .then(loadUrlFromWebsite(context.params));
    });
    this.get('#/LoadManageEntryUrl/', function(context) {
        var str=location.href.toLowerCase();
        context.app.swap('');
        context.render('templates/Entry.template', {})
               .appendTo(context.$element())
               .then(loadManageEntryUrl(context.params));
    });
    this.get('#/schedule', function(context) {
        var str=location.href.toLowerCase();
        context.app.swap('');
        context.render('templates/schedule.template', {})
               .appendTo(context.$element())
               .then(sheduleReady());
    });
      
    this.get('#/Videos/:param1', function(context) {
        context.app.swap('');
        console.log(this.params['param1']);
        var urlmweb = envUrl + '/Videos/' + this.params['param1'] + '?HybridApp=1';
        console.log("URL : "+urlmweb);
        context.render('templates/Entry.template',{})
            .appendTo(context.$element())
            .then(getmWebUrl(urlmweb));
    });
      
    this.get('#/NewsArticle/', function(context) {
        context.app.swap('');
          context.render('templates/NewsArticle.template',{})
                 .appendTo(context.$element())
                 .then(newsArticleMain(context.params));
      });
    this.before('.*', function() {
        
        var hash = document.location.hash;
        $("nav").find("a").removeClass("current");
        $("nav").find("a[href='"+hash+"']").addClass("current");
    });

  });

  $(function() {
      app.run('#/');      
  });
    
})(jQuery);
