/**
 * This software is the confidential and proprietary information of
 * ATP and may not be used,  reproduced,  modified,  distributed,
 * publicly displayed or otherwise disclosed without the express written
 * consent of ATP.
 */

/*jslint browser: true*/
/*global $, jQuery,loggerObj,constants,loggerClass,onDeviceReady,inBackGround,inForGround,onBackKeyDown,logout,moment*/

var ApplicationData = function () {
    var appData = {
        UserName : "",
        UserId : "",
        token : "",
        refreshToken : "",
        tokenResponse : {},
        sessionResponse : {},
        loginResponse : {},
        profilePic : "",
        userType : "",
        navigationObj : {},
        benefitsDetailObj : {},
        newsArchiveDetailObj : {},
        otherProfileDetailObj : {},
        pensionTrue : false,
        bindOtherbio : "",
        bindManage : "",
        remainingTimeAfterWarning : 2,
        sessionExpiredMessage : "",
        sessionWarningMessage : "",
        expires : ""
    };
    this.getTokenResponse = function () {
        return this.tokenResponse;
    };
    this.setTokenResponse = function (val) {
        this.tokenResponse = val;
    };
    this.getProfilePic = function () {
        return this.profilePic;
    };
    this.setProfilePic = function (val) {
        this.profilePic = val;
    };
    this.getUserType = function () {
        return this.userType;
    };
    this.setUserType = function (val) {
        this.userType = val;
    };
    this.getUsername = function () {
        return this.UserName;
    };
    this.setUsername = function (val) {
        this.UserName = val;
    };
    this.getUserId = function () {
        return this.UserId;
    };
    this.setUserId = function (val) {
        this.UserId = val;
    };
    this.getToken = function () {
        return this.token;
    };
    this.setToken = function (val) {
        this.token = val;
    };
    this.getRefreshToken = function () {
        return this.refreshToken;
    };
    this.setRefreshToken = function (val) {
        this.refreshToken = val;
    };
    this.getSessionResponse = function () {
        return this.sessionResponse;
    };
    this.setSessionResponse = function (val) {
        this.sessionResponse = val;
    };
    this.getLoginResponse = function () {
        return this.loginResponse;
    };
    this.setLoginResponse = function (val) {
        this.loginResponse = val;
    };
    this.getNavigationObj = function () {
        return this.navigationObj;
    };
    this.setNavigationObj = function (navObj) {
        this.navigationObj = navObj;
    };
    this.getbenefitsDetailObj = function () {
        return this.benefitsDetailObj;
    };
    this.setbenefitsDetailObj = function (benefitObj) {
        this.benefitsDetailObj = benefitObj;
    };
    this.getnewsArchiveDetailObj = function () {
        return this.newsArchiveDetailObj;
    };
    this.setnewsArchiveDetailObj = function (archiveObj) {
        this.newsArchiveDetailObj = archiveObj;
    };
    this.getOtherProfileDetailObj = function () {
        return this.otherProfileDetailObj;
    };
    this.setOtherProfileDetailObj = function (otherProf) {
        this.otherProfileDetailObj = otherProf;
    };
    this.getpensionTrue = function () {
        return this.pensionTrue;
    };
    this.setpensionTrue = function (val) {
        this.pensionTrue = val;
    };
    this.getbindOtherbio = function () {
        return this.bindOtherbio;
    };
    this.setbindOtherbio = function (val) {
        this.bindOtherbio = val;
    };
    this.getbindManage = function () {
        return this.bindManage;
    };
    this.setbindManage = function (val) {
        this.bindManage = val;
    };
    this.getRemainingTimeAfterWarning = function () {
        return this.remainingTimeAfterWarning;
    };
    this.setRemainingTimeAfterWarning = function (val) {
        this.remainingTimeAfterWarning = val;
    };
    this.getSessionExpiredMessage = function () {
        return this.sessionExpiredMessage;
    };
    this.setSessionExpiredMessage = function (val) {
        this.sessionExpiredMessage = val;
    };
    this.getSessionWarningMessage = function () {
        return this.sessionWarningMessage;
    };
    this.setSessionWarningMessage = function (val) {
        this.sessionWarningMessage = val;
    };
    this.getExpires = function () {
        return this.expires;
    };
    this.setExpires = function (val) {
        this.expires = val;
    };
};

var deviceOS = "web";
var deviceVersion = 0;
var deviceModel = "web";
var devicePlatform = "web";
var deviceCordova = "";
var deviceUuid = "";
var deviceManufacturer = "";
var deviceSerial = 0;
var deviceIsVirtual = false;
var pictureSource; // picture source
var destinationType;
var touchiderrormsg;
var touchidresult;
var deviceuuid;
var timoutErrorStatus = false;
var tokenresponse;
var username;
var timoutErrorMsg = "Unexpected error Occured, Please try after some time !!!";
var connectionStatus = "web";
var nextMwebUrl;
var isApp =  document.URL.indexOf('http://') === -1 && document.URL.indexOf('https://') === -1;
var pushToken;
var passwordFlag = true;
var deepLinkFlag = false;
var appStatus = "FOR";
var backInGroundTime;
var sessionFlag = false;
var bgRefresh = 0;
var alertHome;

var alertHomeCon = false;
var warningCon = false;
var sessionExpCon = false;
var maintenanceFlag = false;
var maintenanceMessage = "We're sorry, PlayerZone is down for maintenance. Please check back later and email pzhelp@atpworldtour.com with any urgent issues";
var timeOutTimerValue;

function getOnlineStatus() {
    connectionStatus = false;
    if (isApp) {
        if (navigator.userAgent.match(/iPhone/i)) {
            connectionStatus =  navigator.onLine ? true : false;
        } else {
            connectionStatus = navigator.network.connection.type !== "none" ? true : false;
        }
    } else {
        connectionStatus =  navigator.onLine ? true : false;
    }
    return connectionStatus;
}


var applicationDataObj = new ApplicationData();
var loggerObj = new loggerClass();
$(document).ready(function () {
    $('#leftarrow').hide();
    $('#rightarrow').show();
    $("#MyApp").scroll(function (event) {
        try {
            var datePicker = $('.datepicker').datepicker(),
                datePicker1 =   $('.datepicker1').datepicker(),
                id;
            datePicker.datepicker('hide');
            $('.datepicker').blur();
            datePicker1.datepicker('hide');
            $('.datepicker1').blur();
            if ($('input[type=text]').is(':focus')) {
                id = document.activeElement.id;
                if ($('#' + id).offset().top + 5 <  $('.headernew_navbar').height()) {
                    $('#' + id).blur();
                }
            }
        } catch (err) {
            loggerObj.logToServer(constants.logSeverityError, "Error : myapp scroll " + err);
        }
    });

    $("#MyApp").on('focus', 'input,textarea', function () {
        $(".mob-navbar").css("position", "absolute");
        $(".mob-navbar").css("top", "0px");
    });
    $("#MyApp").on('blur', 'input,textarea', function () {
        $(".mob-navbar").css("position", "fixed");
    });

    $('.subheader-slicker').slick({
        dots : false,
        arrows : true,
        swipe : false,
        infinite : false,
        slidesToShow : 3,
        slidesToScroll : 3,
        onAfterChange: function (slider, index) {
        //afterChangeFunc(index)
            if (index === 0) {
                $('.paddingtoadjust').addClass('paddingleft0');
            } else {
                $('.paddingtoadjust').removeClass('paddingleft0');
            }
        }
    });

    function inBackGround() {
        setTimeout(function () {
            appStatus = "BACK";
            backInGroundTime = new Date();
        }, 10);
    }

    function inForGround() {
        setTimeout(function () {
            appStatus = "FOR";
            bgRefresh = 0;
            if (typeof backInGroundTime !== "undefined") {
                var timeDiffBackToFor = moment.duration(moment(new Date()).diff(moment(backInGroundTime))),
                    timeDiffBackToForInSec = timeDiffBackToFor.asMilliseconds();
                if (timeDiffBackToForInSec > timeOutTimerValue) {
                    sessionFlag = true;
                }
            }
            if (sessionFlag) {
                if (warningCon) {
                    con.close();
                    clearTimeout(popupTimer);
                }
                if (sessionExpCon) {
                    timeoutCnfmBx.close();
                    clearTimeout(tokenTimer);
                }
                sessionFlag = false;
                logout();
            }
        }, 10);
    }

    function timeOut_Resetter() {
        if (!popupTimerFlag) {
            /// Stop the pending timeout
            clearTimeout(popupTimer);
            clearTimeout(tokenTimer);
            /// Reset the timeout
            if (typeof applicationDataObj.getToken() !== "undefined") {
                startTokenTimer();
            }
        }
    }

    function onBackKeyDown(e) {
        if (window.location.hash === "#/Home") {
            if (alertHomeCon) {
                alertHome.close();
            }
            if (!(warningCon ||  sessionExpCon)) {
                alertHome = $.confirm({
                    title: 'Alert',
                    content: 'Are you sure you want to sign out?',
                    buttons: {
                        Yes: function () {
                            logout();
                        },
                        No: function () {
                            e.preventDefault();
                        }
                    },
                    onOpen: function () {
                        // after the modal is displayed.
                        alertHomeCon = true;
                    },
                    onClose: function () {
                        // before the modal is hidden.
                        alertHomeCon = false;
                    }
                });
            }
        } else if (window.location.hash === "#/") {
            navigator.app.exitApp();
        } else {
            navigator.app.backHistory();
        }
    }

    document.addEventListener("deviceready", onDeviceReady, false);
    document.addEventListener("pause", inBackGround, false);
    document.addEventListener("resume", inForGround, false);
    document.addEventListener("backbutton", onBackKeyDown, false);

    /// Keyboard Events
    document.addEventListener("keydown", timeOut_Resetter, false);
    document.addEventListener("keyup", timeOut_Resetter, false);

    /// Touch Events
    document.addEventListener("touchstart", timeOut_Resetter, false);
    document.addEventListener("touchmove", timeOut_Resetter, false);

    /// Common Events
    document.addEventListener("scroll", timeOut_Resetter, false);
    document.addEventListener("focus", timeOut_Resetter, false);

    function onDeviceReady() {

        getAppVersionStatus();

        //Google Analytics
        window.ga.startTrackerWithId('UA-4616629-40', 30);
        //window.ga.startTrackerWithId('UA-92326093-1', 30);
        window.ga.setAppVersion(constants.appVersion);

        $('#fingerprint-available').hide();
        $('#faceId').hide();
        var fingerprintImageObj = new fingerprintImageClass(),
            touchIdAndroid,
            touchIdiOS;
        deviceOS = device.platform.toLowerCase();
        deviceVersion = parseInt(device.version);
        deviceModel = device.model.toLowerCase();
        deviceCordova = device.cordova.toLowerCase();
        deviceUuid = device.uuid.toLowerCase();
        deviceManufacturer = device.manufacturer;
        deviceSerial = device.serial;
        deviceIsVirtual = device.isVirtual;

        // alert('Device Version: ' + deviceVersion
        // + '\nDevice Model: ' + deviceModel
        // + '\nDevice Platform: ' + deviceOS
        // + '\nDevice Cordova: ' + deviceCordova
        // + '\nDevice UUID: ' + deviceUuid
        // + '\nDevice Manufacturer: ' + deviceManufacturer
        // + '\nDevice Serial: ' + deviceSerial
        // + '\nDevice Is Virtual: ' + deviceIsVirtual);

        if (deviceOS === "android") {
            FingerprintAuth.isAvailable(fingerprintImageObj.androidSuccess, fingerprintImageObj.androidError);
        }
        if (deviceOS === "ios" && deviceVersion >= 8) {
            window.plugins.touchid.isAvailable(fingerprintImageObj.iosSuccess, fingerprintImageObj.iosError);
        }
        //------Status Bar Start ---------//
        if (cordova.platformId === 'android' || cordova.platformId === 'ios') {
            StatusBar.backgroundColorByHexString("#008cdc");
        }

        $(window).scroll(function () {
            if ($('.modal-dialog').is(":visible")) {
                return false;
            }
        });

        //Push notification
        if (cordova.platformId === "ios") {
            window.FirebasePlugin.grantPermission();
        }

        window.FirebasePlugin.getToken(function (token) {
            // save this server-side and use it to push notifications to this device
            pushToken = token;
        }, function (error) {
            loggerObj.logToServer(constants.logSeverityError, "Error : getToken " + error);
        });

        window.FirebasePlugin.onTokenRefresh(function (token) {
            // save this server-side and use it to push notifications to this device
            pushToken = token;
        }, function (error) {
            loggerObj.logToServer(constants.logSeverityError, "Error : onTokenRefresh " + error);
        });

        window.FirebasePlugin.onNotificationOpen(function (notification) {
            if (notification) {
                if (typeof applicationDataObj.getToken() !== "undefined") {
                    if (typeof notification.tap !== "undefined") {
                        if (!notification.tap) {
                            loggerObj.logToServer(constants.logSeverityError, "App is in foreground");
                        } else {
                            if (typeof notification.pageToOpen !== "undefined") {
                                if (notification.pageToOpen === "Entry Activity") {
                                    window.location.href = "#/Entries/EntryActivity";
                                } else if (notification.pageToOpen === "Homepage") {
                                    window.location.href = "#/Home";
                                } else if (notification.pageToOpen === "My Profile") {
                                    window.location.href = "#/MyLanding";
                                } else if (notification.pageToOpen === "Protected Ranking page") {
                                    window.location.href = "#/Entries/ProtectedRanking";
                                } else if (notification.pageToOpen === "My Account") {
                                    window.location.href = "#/MyAccount";
                                } else if (notification.pageToOpen === "Contact ATP") {
                                    window.location.href = "#/Contact-Player-Relations";
                                } else if (notification.pageToOpen === "AcceptanceList") {
                                    window.location.href = "#/Entries/AcceptanceList";
                                } else {
                                    window.location.href = "#/Home";
                                }
                            }
                        }
                    } else {
                        if (typeof notification.pageToOpen !== "undefined") {
                            if (notification.pageToOpen === "Entry Activity") {
                                window.location.href = "#/Entries/EntryActivity";
                            } else if (notification.pageToOpen === "Homepage") {
                                window.location.href = "#/Home";
                            } else if (notification.pageToOpen === "My Profile") {
                                window.location.href = "#/MyLanding";
                            } else if (notification.pageToOpen === "Protected Ranking page") {
                                window.location.href = "#/Entries/ProtectedRanking";
                            } else if (notification.pageToOpen === "My Account") {
                                window.location.href = "#/MyAccount";
                            } else if (notification.pageToOpen === "Contact ATP") {
                                window.location.href = "#/Contact-Player-Relations";
                            } else if (notification.pageToOpen === "AcceptanceList") {
                                window.location.href = "#/Entries/AcceptanceList";
                            } else {
                                window.location.href = "#/Home";
                            }
                        }
                    }
                } else {
                    deepLinkFlag = true;
                    window.location.href = "#/";
                }
            }
        }, function (error) {
            loggerObj.logToServer(constants.logSeverityError, "Error : onNotificationOpen " + error);
        });

        //------Photo Crop Start ---------//
        // sets the format of returned value
        pictureSource = navigator.camera.PictureSourceType;
        destinationType = navigator.camera.DestinationType;
        //------Photo Crop End ---------//
        //On start of the device fingerprint image will be shown if device supports fingerprint
        deviceuuid = device.uuid;
    }

    // determine whether the current app version is up to date or not
    var getAppVersionStatus = function () {
        try {
            startLoading();
            if (getOnlineStatus()) {
                var apiservicecallsObj = new apiservicecalls();

                var url = constants.mobileAppVersionURL;
                if(device.platform.toLowerCase() === "android"){
                    url = url + "?deviceType=android&appVersion=" + constants.androidAppVersion;
                } else {
                    url = url + "?deviceType=ios&appVersion=" + constants.iosAppVersion;
                }

                apiservicecallsObj.getData(url, OnAppVersionStatusSuccess, OnAppVersionStatusError);
            }
        } catch (err) {
            loggerObj.logToServer(constants.logSeverityError,"Error : getAppVersionStatus " +err);
        }

        //on success
        function OnAppVersionStatusSuccess(response){

            //only show the finger print sensor to login if there is not an update modal that will be prompted
            if (!((response !== null && response !== undefined) && response.IsUpdateForApp && (window.localStorage.getItem("OptionalUpdatePrompt" !== "Shown") || response.IsForcedUpdate))
                                && window.localStorage.getItem("GUID") !== null && window.localStorage.getItem("GUID") !== "" && window.localStorage.getItem("GUID") !== "undefined") {
                if (device.platform.toLowerCase() === "android") {
                    touchIdAndroid = new TouchIdAndroidClass();
                    FingerprintAuth.isAvailable(touchIdAndroid.isAvailableGUIDSuccess, touchIdAndroid.isAvailabGUIDError);
                }
                if (device.platform.toLowerCase() === "ios") {
                    touchIdiOS = new TouchIdiOSClass();
                    window.plugins.touchid.isAvailable(touchIdiOS.isAvailableGUIDSuccess, touchIdiOS.isAvailabGUIDError);
                }
            }

            endLoading();

            //determine if the modal should be shown or not indicating to the user that there is a new version
            if(response !== null && response !== undefined){  
                if (response.IsUpdateForApp) {
                    if (response.IsForcedUpdate) {
                        $("#update-prompt-modal-title").append("Update is Required");
                        $("#update-prompt-modal-para").append("We've made changes to the PlayerZone app that require the latest version to be used. Please install the latest version to continue.");
                        $("#update-prompt-modal-optional-text").append(response.OptionalText);

                        // iOS does not permit exiting apps therefore the exit option is not available, show for Android only
                        if (device.platform.toLowerCase() === "ios") {
                            $('#exit-app').hide();
                        }

                        $('#close-modal').hide();

                        // Show the modal and prevent the user from dismissing the modal by touching outside of it
                        $('#updatePromptModal').modal({
                            backdrop: 'static',
                            keyboard: false,  // to prevent closing with Esc button (if you want this too)
                            show: true
                        });

                    // Only open the optional update prompt if it has not been shown before and the user has not clicked on the update button
                    } else if (window.localStorage.getItem("OptionalUpdatePrompt") !== "Shown") {
                        $("#update-prompt-modal-title").append("Update is Available");
                        $("#update-prompt-modal-para").append("An update is available for the PlayerZone app.");
                        $("#update-prompt-modal-optional-text").append(response.OptionalText);
            
                        $('#exit-app').hide();
            
                        // Show the modal and prevent the user from dismissing the modal by touching outside of it
                        $('#updatePromptModal').modal({
                            backdrop: 'static',
                            keyboard: false,
                            show: true
                        });
                    }
                }
            }
        }

        //on error
        function OnAppVersionStatusError(jqXHR,error) {
            endLoading();
        }
    };

    if ($("div.active").is(':last-child')) {
        $(".subheader-slicker").slickGoTo(3);
    }

    $('.subheader-slicker').on('onAfterChange', function (event, slick, currentSlide) {
        if (currentSlide === 0) {
            $('.slick-prev').addClass('hidden');
        } else {
            $('.slick-prev').removeClass('hidden');
        }
    });

    $("#home").addClass("activeData");
    $(".data").siblings().addClass("notactiveData");
    $('.spanToEnable').hide();

    $('.ranking-list').click(function () {
        $('.spanToEnable').hide();
    });

    $('.ranking-list-show').click(function () {
        $('.spanToEnable').show();
    });

    $('.trnmnthome-nav-cntnr li').click(function () {
        $(this).siblings().removeClass('trnmnthm-navactive');
        $(this).siblings().addClass('trnmnthm-navdeactive');
        $(this).addClass('trnmnthm-navactive');
        $(this).removeClass('trnmnthm-navdeactive');
        var x = $(this).children().attr("href");
        $(".data").siblings().removeClass("activeData");
        $(".data").siblings().addClass("notactiveData");
        $(x).addClass("activeData");
        $(x).removeClass("notactiveData");
        $(".trnmnthome-bannerimg").addClass("activeData");
        $(".trnmnthome-nav-cntnr").addClass("activeData");
        $(".headercontent").addClass("activeData");
    });

    $("#contact").addClass("activeData");
    $(".data").siblings().addClass("notactiveData");

    $('.myaccount-nav-cntnr li').click(function () {
        $(this).siblings().removeClass('myaccnt-navactive');
        $(this).siblings().addClass('myacc-navdeactive');
        $(this).addClass('myaccnt-navactive');
        $(this).removeClass('myacc-navdeactive');
        var x = $(this).children().attr("href");
        $(".data").siblings().removeClass("activeData");
        $(".data").siblings().removeClass("active");
        $(".data").siblings().addClass("notactiveData");
        $(x).addClass("activeData");
        $(x).removeClass("notactiveData");
        $(".trnmnthome-nav-cntnr").addClass("activeData");
    });

    $('#arrowright').css('display', 'none');

    $('#alignCarousal').bind('slid.bs.carousel', function (e) {
        if ($('.carousel-inner .item:first').hasClass('active')) {
            $('#leftarrow').hide();
            $('#rightarrow').show();
        }
        if ($('.carousel-inner .item:last').hasClass('active')) {
            $('#rightarrow').hide();
            $('#leftarrow').show();
        }
    });

    $('#myCarousel').on('slid', function (e) {
        if ($('.carousel-inner .item:first').hasClass('active')) {
            $('.left .carousel-control').hide();
            $('.right .carousel-control').show();
        }
        if ($('.carousel-inner .item:last').hasClass('active')) {
            $('.right .carousel-control').hide();
            $('.left .carousel-control').show();
        }
    });

    $('.draw_img_width1').on('click', function () {
        $('#arrowright').css('display', 'block');
    });

    $('.activeMenu').click(function () {
        $('.activeMenu').removeClass('selectedmenu');
        $(this).addClass('selectedmenu');
    });

    $('html').animate({scrollTop: 0}, 1);
    $('body').animate({scrollTop: 0}, 1);

    /**************** script for hamburger menu *****************/
    $("#headerBreadcrumb").on('click', function () {
        $(".header-nav-container").show();
    });

    $("#navbar-close-button").on('click', function (e) {
        $('.header-nav-container').hide();
        e.preventDefault();
    });

    /**************My Profile Notification ***********************/
    $(document).ready(function () {
        function toggleChevron(e) {
            $(e.target)
                  .prev('.panel-heading')
                  .find("i.indicator")
                  .toggleClass('glyphicon-chevron-down glyphicon-chevron-up');
        }
        $('#accordion').on('hidden.bs.collapse', toggleChevron);
        $('#accordion').on('shown.bs.collapse', toggleChevron);

        $('input').focus(function () {
            var pos = $(this).position(),
                top = pos.top,
                screenHeight = window.screen.height;

            if (top > screenHeight / 2) {
                window.scrollBy(0, 500);
            }
        });

    });
    /**************End of My Profile Notification ***********************/


    /**************** script for not scrolling the login page *****************/

    var x = $(window).height(),
        y = $(window).width(),
        active = true;
    if (x <= 480) {
        $(".login-logo-container").css("padding-top", "50px");
    }

    if (/Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(navigator.userAgent)) {
        if (window.innerHeight > window.innerWidth) {
            $(".login-container").css("height", x);
        }
        if (window.innerHeight < window.innerWidth) {
            $(".login-container").css("height", y);
        }
    }

    /******* script for header slick (rules,news etc)************/
    $('.subheader-carousel').slick({
        dots : false,
        arrows : true,
        swipe : false,
        infinite : false,
        slidesToShow : 2,
        slidesToScroll : 2,
        autoplay: true
    });

    $('.trnmnt-homeslicker').slick({
        slide: 'li',
        dots : false,
        arrows : true,
        swipe : true,
        infinite : false,
        slidesToShow : 3,
        slidesToScroll : 1,
        autoplay: false
    });

    $('.myprfile-subheaderslicker').slick({
        slide: 'li',
        dots : false,
        arrows : true,
        swipe : false,
        infinite : false,
        slidesToShow : 3,
        slidesToScroll : 1,
        autoplay: false
    });

    $('.draws-homeslicker').slick({
        slide: 'li',
        dots: false,
        arrows: true,
        swipe: true,
        infinite: false,
        slidesToShow: 3,
        slidesToScroll: 1,
        autoplay: false
    });

    /***************** script for open all/close all button in faq,newsflash etc*****************/
    $('#openclose').click(function () {
        if (active) {
            active = false;
            $(".common-accordion a").addClass("common-menu");
            $(".common-accordion a").removeClass("collapsed");
            $('.commonpanel-collapse').addClass("in");
            $(".commonpanel-collapse").removeAttr("style");
            $(this).text('CLOSE ALL');
        } else {
            active = true;
            $('.commonpanel-collapse').collapse('hide');
            $(".common-accordion a").addClass("collapsed");
            $(this).text('OPEN ALL');
        }
    });

    function myFunction() {
        //var x = document.getElementById("mySelect").value;
        $("#sel").css("display", 'block');
        $("#default-content").css("display", 'none');
    }

    function myFunctionDoubles() {
        //var x = document.getElementById("mySelect").value;
        $("#sel-double").css("display", 'block');
        $("#default-content-double").css("display", 'none');
    }

    function myFunctionQualifying() {
        //var x = document.getElementById("mySelect").value;
        $("#sel-Qualifying").css("display", 'block');
        $("#default-content-Qualifying").css("display", 'none');
    }

    function myFunctionChallenger() {
        //var x = document.getElementById("mySelect").value;
        $("#sel-Challenger").css("display", 'block');
        $("#default-content-Challenger").css("display", 'none');
    }

    function doubleMyFunction() {
        //var x = document.getElementById("mySelect").value;
        $("#sel-double").css("display", 'block');
        $("#default-content-double").css("display", 'none');
        $(".spl-place-dropdown select").css("background", 'url("../../images/arrows_up_down.svg") no-repeat 98%');
    }

    function doubleMyFunctionQualifying() {
        //var x = document.getElementById("mySelect").value;
        $("#sel-Qualifying-double").css("display", 'block');
        $("#defaultDouble-content-Qualifying").css("display", 'none');
    }

    function doubleMyFunctionChallenger() {
        //var x = document.getElementById("mySelect").value;
        $("#sel-Challenger-double").css("display", 'block');
        $("#defaultDouble-content-Challenger").css("display", 'none');
    }

    function reloadPage() {
        location.reload(true);
    }

    function redirectToPage(str) {
        window.location = str;
    }

});

/* Search popover navbar*/
$(document).ready(function () {
    $("#modal-search-content").hide();
    $(".footer1").addClass('active-pagination');
    $(".go-btn").css("background-color", "#00add9");
    $(".go-btn").css("outline", "none");
});

function searchgofunction() {
    $(".go-btn").css("background-color", "#00add9");
    $(".go-btn").css("outline", "none");

    if ($("#home_search_field").val() !== "") {
        $("#search-heading").text("SEARCH RESULTS");
        $("#modal-search-content").show();
    }
    var length = $(".popover-subcontent").length;
    if (length > 10) {

        $(".footer-pagination").show();
        $(".popover-innerdiv").css("overflow-y", "scroll");
    } else {
        $(".footer-pagination").hide();
    }
}

function cleartext() {
    $("#home_search_field").val("");
}

$('.footer-color').click(function () {
    $('.footer-color').removeClass('active-pagination');
    $(this).addClass('active-pagination');
});


function searchpagereload() {
    //location.reload(true);
    $("#search-heading").text("SEARCH");
    $("#modal-search-content").hide();
    $("#home_search_field").val("");
}

$(document).ready(function () {
    $("#single-tab").addClass("active-blue");
    $("#double-tab").removeClass("active-blue");
});

function subHeaderCarousel() {
    $('#leftarrow').hide();
    $('#alignCarousal').bind('slid.bs.carousel', function (e) {
        if ($('.carousel-inner .item:first').hasClass('active')) {
            $('#leftarrow').hide();
            $('#rightarrow').show();
        }
        if ($('.carousel-inner .item:last').hasClass('active')) {
            $('#rightarrow').hide();
            $('#leftarrow').show();
        }
    });
    $('#myCarousel').on('slid', function (e) {
        if ($('.carousel-inner .item:first').hasClass('active')) {
            $('.left .carousel-control').hide();
            $('.right .carousel-control').show();
        }
        if ($('.carousel-inner .item:last').hasClass('active')) {
            $('.right .carousel-control').hide();
            $('.left .carousel-control').show();
        }
    });
}

function startLoading() {
    $body = $("body");
    $body.addClass("loading");
    $body.addClass("pointer-class");
}

function endLoading() {
    $body = $("body");
    $body.removeClass("loading");
    $body.removeClass("pointer-class");
}

$('#myModal').on('shown', function () {
    $('body').on('wheel.modal mousewheel.modal', function () { return false; });
}).on('hidden', function () {
    $('body').off('wheel.modal mousewheel.modal');
});
/**
 * Method for Detecting Mobile Devices with JavaScript
 */
var isMobile = {
    Android: function () {
        return navigator.userAgent.match(/Android/i);
    },
    BlackBerry: function () {
        return navigator.userAgent.match(/BlackBerry/i);
    },
    iOS: function () {
        return navigator.userAgent.match(/iPhone|iPad|iPod/i);
    },
    Opera: function () {
        return navigator.userAgent.match(/Opera Mini/i);
    },
    Windows: function () {
        return navigator.userAgent.match(/IEMobile/i);
    },
    any: function () {
        return (isMobile.Android() || isMobile.BlackBerry() || isMobile.iOS() || isMobile.Opera() || isMobile.Windows());
    }
};
var checkPlayerinProfileBankOrEntry = function () {
    try {
        var currentLocation = location.hash,
            contactText,
            prizeMoneyText;
        if (currentLocation) {
            currentLocation = currentLocation.toLowerCase();
            if (currentLocation.indexOf("myaccount") !== -1  || currentLocation.indexOf("myprizemoney") !== -1 ||
                    currentLocation.indexOf("notification") !== -1) {
                if (currentLocation.indexOf("myaccount") !== -1) {
                    contactText = $('.myaccount-nav-cntnr li.myaccnt-navactive').text().trim();
                    if (contactText) {
                        contactText = contactText.toLowerCase();
                        if (contactText === "photo" || contactText === "bio") {
                            extendPlayerExpirationTime("profile");
                        }
                    }
                }
                if (currentLocation.indexOf("myprizemoney") !== -1) {
                    prizeMoneyText = $("#player-prizemoney li.active").text().trim();
                    if (prizeMoneyText) {
                        prizeMoneyText = prizeMoneyText.toLowerCase();
                        if (prizeMoneyText === "bank details") {
                            extendPlayerExpirationTime("bankdetails");
                        }
                    }
                }
                if (currentLocation.indexOf("notification") !== -1) {
                    extendPlayerExpirationTime("profile");
                }
            } else {
                releasePlayerResources();
            }
        }
    } catch (err) {
        loggerObj.logToServer(constants.logSeverityError, "Error : checkPlayerinProfileBankOrEntry " + err);
    }
};

var extendPlayerExpirationTime = function (type) {
    if(applicationDataObj.getUserType() === "Player"){
        constants.managingModule = type;
        var apiservicecallsObj = new Apiservicecalls(),
        inputData = playerExtendExpirationTimeReqParams(type);
        apiservicecallsObj.postData(constants.ajaxUrl, inputData, extendExpirationTimePlayerSuccess, extendExpirationTimePlayerError);
    }
};

var extendExpirationTimePlayerSuccess = function (response) {
    manageExtendExpirationTimePlayer();
};

var extendExpirationTimePlayerError = function (jqXHR, error) {
    loggerObj.logToServer(constants.logSeverityError, "Error : extendExpirationTimePlayerError " + err);
};

var manageExtendExpirationTimePlayer = function() {
    setTimeout(function() {
        if (constants.managingModule) {
            var apiservicecallsObj = new Apiservicecalls(),
            inputData = playerExtendExpirationTimeReqParams(constants.managingModule);
            constants.liveScoreLoading = true;
            apiservicecallsObj.postData(constants.ajaxUrl, inputData, manageExtendExpirationTimePlayerSuccess, extendExpirationTimePlayerError);
        }
    }, 120000);
};
var manageExtendExpirationTimePlayerSuccess = function (response) {
     loggerObj.logToServer(constants.logSeverityError, "Error : manageExtendExpirationTimePlayerSuccess " + response);
};
/***
 * Extend Expiration Time - requestParams
 */
var playerExtendExpirationTimeReqParams = function (type) {
    try {
        var sessionData = applicationDataObj.getSessionResponse(),
        data = {},
        parametersArray = [],
        userSession = {},
        itemId = "50903FD2-B119-4A36-9333-DACA9A70CBE1",
        inputData;
        data.Userid = sessionData.userId;
        data.ServiceProvider = "MyProfileServiceProvider";
        data.ServiceMethod = "ExtendExpirationTime";
        data.Language = constants.englishLanguage;
        parametersArray.push(type);
        parametersArray.push(sessionData.playerId);
        parametersArray.push(sessionData.firstName + " " + sessionData.lastName);
        parametersArray.push("50903FD2-B119-4A36-9333-DACA9A70CBE1");
        data.parametersArray =  parametersArray;
        userSession.PlayerId = sessionData.playerId;
        userSession.UserId = sessionData.userId;
        userSession.FirstName = sessionData.firstName;
        userSession.LastName = sessionData.lastName;
        userSession.UserName = applicationDataObj.getUsername();
        userSession.Roles = sessionData.roles;
        userSession.TOKEN  = applicationDataObj.getToken();
        userSession.EmailId = sessionData.emailId;
        userSession.City = sessionData.city;
        userSession.Country = sessionData.country;
        userSession.Address1 = sessionData.address1;
        if(sessionData.ManagementAgency){
            userSession.ManagementAgency = sessionData.ManagementAgency;
        }
        userSession.JoinedDate = sessionData.registeredDate;
        data.SessionData = userSession;
        inputData = JSON.stringify(data);
        return inputData;
    } catch (err) {
        loggerObj.logToServer(constants.logSeverityError, "Error : extendExpirationTimeReqParams " +  err);
    }
};

var releasePlayerResources = function () {
    try {
        if(constants.managingModule){
            var apiservicecallsObj = new Apiservicecalls();
            var  inputData = releasePlayerLockedResourcesReqParams();
            apiservicecallsObj.postData(constants.ajaxUrl, inputData, releasePlayerLockedResourcesSuccess, releasePlayerLockedResourcesError);
        }

    } catch (err) {
        loggerObj.logToServer(constants.logSeverityError, "Error : releasePlayerResources " +  err);
    }
};

var releasePlayerLockedResourcesSuccess = function (response) {
    constants.managingModule = "";
    constants.liveScoreLoading = false;
};

var releasePlayerLockedResourcesError = function (jqXHR, error) {
    loggerObj.logToServer(constants.logSeverityError, "Error : releasePlayerLockedResourcesError " +  err);
};

var releasePlayerLockedResourcesReqParams = function () {
    try {
        var sessionData = applicationDataObj.getSessionResponse(),
        data = {},
        parametersArray = [],
        userSession = {},
        itemId = "50903FD2-B119-4A36-9333-DACA9A70CBE1",
        inputData;
        data.Userid = sessionData.userId;
        data.ServiceProvider = "MyProfileServiceProvider";
        data.ServiceMethod = "ReleaseResources";
        data.Language = constants.englishLanguage;
        parametersArray.push(constants.managingModule);
        parametersArray.push(sessionData.playerId);
        parametersArray.push(sessionData.firstName + " " + sessionData.lastName);
        parametersArray.push("50903FD2-B119-4A36-9333-DACA9A70CBE1");
        data.parametersArray =  parametersArray;
        userSession.PlayerId = sessionData.playerId;
        userSession.UserId = sessionData.userId;
        userSession.FirstName = sessionData.firstName;
        userSession.LastName = sessionData.lastName;
        userSession.UserName = applicationDataObj.getUsername();
        userSession.Roles = sessionData.roles;
        userSession.TOKEN  = applicationDataObj.getToken();
        userSession.EmailId = sessionData.emailId;
        userSession.City = sessionData.city;
        userSession.Country = sessionData.country;
        userSession.Address1 = sessionData.address1;
        if(sessionData.ManagementAgency){
            userSession.ManagementAgency = sessionData.ManagementAgency;
        }
        userSession.JoinedDate = sessionData.registeredDate;
        data.SessionData = userSession;
        inputData = JSON.stringify(data);
        return inputData;
    } catch (err) {
        loggerObj.logToServer(constants.logSeverityError, "Error : extendExpirationTimeReqParams " +  err);
    }
};

var fingerprintImageClass = function () {
    this.androidSuccess = function (result) {
        touchidresult = result;
        if (result.isHardwareDetected) {
            $('#fingerprint-available').show();
        }
    };
    this.androidError = function (err) {
        loggerObj.logToServer(constants.logSeverityError, "androidError" + err);
    };
    this.iosSuccess = function () {
        if (device.model === "iPhone10,3" || device.model === "iPhone10,6") {
            $('#faceId').show();
        } else {
            $('#fingerprint-available').show();
        }

        $('#navbarsettings').css("display", "block");
        $('#forgetPasswordlink').removeAttr("style");
    };
    this.iosError = function (msg) {
        if (device.model === "iPhone10,3" || device.model === "iPhone10,6") {
            $('#faceId').show();
        } else {
             if (msg.code === -7) {
                $('#fingerprint-available').show();
                $('#navbarsettings').css("display", "block");
                $('#forgetPasswordlink').removeAttr("style");
            }
        }
    };
};
