/**
Clas Name       : MyProfAccountClass
Description     : MyProfile Account Page
Ownership Info  : This software is the confidential and proprietary information of ATP and may not be used, reproduced, modified, distributed,
                    publicly displayed or otherwise disclosed without the express written consent of ATP. 
*/

var bindBioData;
var playerName;
var savedImageUri;
var receiveEmailNotifications;
var noErrorexists = true;
var email = $('#email.prmryemail').val();

var errorMsg = function () {
    $('.valdtnerror-message').hide();
};

var cntctStreetvldtn = function () {
    try {
        if (document.getElementById("mailadrs-street1").value === "") {
            $('.streetvalidation').show();
            $(".mycntct-street1 .textbox-input1").addClass("error-border");
            noErrorexists = true;
        } else {
            $('.streetvalidation').hide();
            $(".mycntct-street1 .textbox-input1").removeClass("error-border");
        }
        return noErrorexists;
    } catch (err) {
        loggerObj.logToServer(constants.logSeverityError, "cntctStreetvldtn method My Profile Account Tab " + err);
    }
};

var cntctCityvldtn = function () {
    try {
        if (document.getElementById("mycntct-city").value === "") {
            $('.cityvalidation').show();
            $(".mycntct-city .textbox-input1").addClass("error-border");
            noErrorexists = false;
        } else {
            $('.cityvalidation').hide();
            $(".mycntct-city .textbox-input1").removeClass("error-border");
        }
        return noErrorexists;
    } catch (err) {
        loggerObj.logToServer(constants.logSeverityError, "cntctCityvldtn method My Profile Account Tab " + err);
    }
};

var cntctCntryvldtn = function () {
    try {
        if (document.getElementById("mycntct-cntry").value === "") {
            $('.cntryvalidation').show();
            $(".mycntct-cntry").addClass("error-border");
            noErrorexists = false;
        } else {
            $('.cntryvalidation').hide();
            $(".mycntct-cntry").removeClass("error-border");
        }
        return noErrorexists;
    } catch (err) {
        loggerObj.logToServer(constants.logSeverityError, "cntctCntryvldtn method My Profile Account Tab " + err);
    }
};

var cntctPhone1vldtn = function () {
    try {
        if (document.getElementById("home-phn").value === "") {
            $('.phnvalidation1').show();
            $(".mycntct-homephn .textbox-input3").addClass("error-border");
            $(".mycntct-homephn .textbox-input2").addClass("error-border");
            noErrorexists = false;
        } else {
            $('.phnvalidation1').hide();
            $(".mycntct-homephn .textbox-input3").removeClass("error-border");
            $(".mycntct-homephn .textbox-input2").removeClass("error-border");
        }
        return noErrorexists;
    } catch (err) {
        loggerObj.logToServer(constants.logSeverityError, "cntctPhone1vldtn method My Profile Account Tab " + err);
    }
};

var cntctEmailvldtn = function () {
    try {
        $('.email-vldtn').hide();
        $('.formatvalidation').hide();
        $(".mycntctemail-primaryemail .textbox-input1").removeClass("error-border");
        if (document.getElementById("email-prmryemail").value === "") {
            $('.email-vldtn').show();
            $('.formatvalidation2').hide();
            $(".mycntctemail-primaryemail .textbox-input1").addClass("error-border");
            noErrorexists = true;
        }
        return noErrorexists;
    } catch (err) {
        loggerObj.logToServer(constants.logSeverityError, "cntctEmailvldtn method My Profile Account Tab " + err);
    }
};

var noErrorexists1 = true;

var validatebplace = function () {
    try {
        if (document.getElementById("bioplyr-bplc").value === "") {
            $('.bplacevalidation').show();
            $("#bioplyr-bplc").addClass("error-border")
            noErrorexists1 = false;
        } else {
            $('.bplacevalidation').hide();
            $("#bioplyr-bplc").removeClass("error-border")
            noErrorexists1 = true;
        }
        return noErrorexists1;
    } catch (err) {
        loggerObj.logToServer(constants.logSeverityError, "validatebplace method My Profile Account Tab " + err);
    }
};

var validatebcntry = function () {
    try {
        if ($("#bioplyr-bcntry").val() === "") {
            $('.bcntryvalidation').show();
            noErrorexists1 = false;
        } else {
            $('.bcntryvalidation').hide();
            noErrorexists1 = true;
        }
        return noErrorexists1;
    } catch (err) {
        loggerObj.logToServer(constants.logSeverityError, "validatebcntry method My Profile Account Tab " + err);
    }
};

var validatecountry = function () {
    try {
        if ($("#bioplyr-bcntry option:selected").val() === "") {
            $('.bcntryvalidation').show();
            noErrorexists1 = false;
        } else {
            $('.bcntryvalidation').hide();
            noErrorexists1 = true;
        }
        return noErrorexists1;
    } catch (err) {
        loggerObj.logToServer(constants.logSeverityError, "validatecountry method My Profile Account Tab " + err);
    }
};

var validatebplay = function () {
    try {
        if ($("#bioplyr-bplay").val() === "") {
            $('.bplayvalidation').show();
            noErrorexists1 = false;
        } else {
            $('.bplayvalidation').hide();
            noErrorexists1 = true;
        }
        return noErrorexists1;
    } catch (err) {
        loggerObj.logToServer(constants.logSeverityError, "validatecountry method My Profile Account Tab " + err);
    }
};

var validateplay = function () {
    try {
        if ($("#bioplyr-bplay option:selected").val() === "") {
            $('.bplayvalidation').show();
            noErrorexists1 = false;
        } else {
            $('.bplayvalidation').hide();
            noErrorexists1 = true;
        }
        return noErrorexists1;
    } catch (err) {
        loggerObj.logToServer(constants.logSeverityError, "validateplay method My Profile Account Tab " + err);
    }
};

var validateresidence = function () {
    try {
        if ($("#bio-resdnc").val() === "") {
            $('.resdncvalidation').show();
            noErrorexists1 = false;
            $("#bio-resdnc").addClass("error-border")
        } else {
            $('.resdncvalidation').hide();
            noErrorexists1 = true;
            $("#bio-resdnc").removeClass("error-border")
        }
        return noErrorexists1;
    } catch (err) {
        loggerObj.logToServer(constants.logSeverityError, "validateresidence method My Profile Account Tab " + err);
    }
};

var validateheight = function () {
    try {
        if ($("#bio-height").val() === "") {
            $('.invldhghtvalidation').hide();
            $('.hghtvalidation').show();
            noErrorexists1 = false;
        } else {
            $('.hghtvalidation').hide();
            noErrorexists1 = true;
        }
        return noErrorexists1;
    } catch (err) {
        loggerObj.logToServer(constants.logSeverityError, "validateheight method My Profile Account Tab " + err);
    }
};

var isNumber = function () {
    try {
        var h = $("#bio-height").val();
        if (!h.match(/^[0-9\.]+$/)) {
            $('.hghtvalidation').hide();
            $('.invldhghtvalidation').show();
        } else {
            $('.invldhghtvalidation').hide();
        }
    } catch (err) {
        loggerObj.logToServer(constants.logSeverityError, "isNumber method My Profile Account Tab " + err);
    }
};

var validateweight = function () {
    try {
        if ($("#bio-weight").val() === "") {
            $('.invldwghtvalidation').hide();
            $('.wghtvalidation').show();
            noErrorexists1 = false;
        } else {
            $('.wghtvalidation').hide();
            noErrorexists1 = true;
        }
        return noErrorexists1;
    } catch (err) {
        loggerObj.logToServer(constants.logSeverityError, "validateweight method My Profile Account Tab " + err);
    }
};

var isNumberWt = function () {
    try {
        var w = $("#bio-weight").val();
        if (!w.match(/^[0-9\.]+$/)) {
            $('.wghtvalidation').hide();
            $('.invldwghtvalidation').show();
        } else {
            $('.invldwghtvalidation').hide();
        }
    } catch (err) {
        loggerObj.logToServer(constants.logSeverityError, "isNumberWt method My Profile Account Tab " + err);
    }
};

var validateweightunit = function () {
    try {
        if ($("#bio-weightunit").val() === "") {
            $('.wghtunitvalidation').show();
            noErrorexists1 = false;
        } else {
            $('.wghtunitvalidation').hide();
            noErrorexists1 = true;
        }
	    return noErrorexists1;
    } catch (err) {
        loggerObj.logToServer(constants.logSeverityError, "validateweightunit method My Profile Account Tab " + err);
    }
};

var validatewgtunit = function () {
    try {
        if ($("#bio-weightunit option:selected").val() === "") {
            $('.wghtunitvalidation').show();
            noErrorexists1 = false;
        } else {
            $('.wghtunitvalidation').hide();
            noErrorexists1 = true;
        }
        return noErrorexists1;
    } catch (err) {
        loggerObj.logToServer(constants.logSeverityError, "validatewgtunit method My Profile Account Tab " + err);
    }
};

var validateheightunit = function () {
    try {
        if ($("#bio-heightunit").val() === "") {
            $('.hghtunitvalidation').show();
            noErrorexists1 = false;
        } else {
            $('.hghtunitvalidation').hide();
            noErrorexists1 = true;
        }
        return noErrorexists1;
    } catch (err) {
        loggerObj.logToServer(constants.logSeverityError, "validatewgtunit method My Profile Account Tab " + err);
    }
};
var validateChild = function(){
	try {
		noErrorexists1 = true;
		$(".childerrorvalidation").addClass("hide");
		var childVal = $(".childval").val();
        var validNumber = new RegExp(/^\d*\.?\d*$/);
        if (validNumber.test(childVal)) {
            noErrorexists1 = true;
        } else {
            noErrorexists1 = false;
			$(".childerrorvalidation").removeClass("hide");
			$(".childerrorvalidation").removeAttr("style");
        }
		return noErrorexists1;
	} catch (err) {
		loggerObj.logToServer(constants.logSeverityError, "validateChild method My Profile Account Tab " + err);
	}
};

var validatehgtunit = function () {
    try {
        if ($("#bio-heightunit option:selected").val() === "") {
            $('.hghtunitvalidation').show();
            noErrorexists1 = false;
        } else {
            $('.hghtunitvalidation').hide();
            noErrorexists1 = true;
        }
        return noErrorexists1;
    } catch (err) {
        loggerObj.logToServer(constants.logSeverityError, "validatehgtunit method My Profile Account Tab " + err);
    }
};

var passwordError = function () {
    try {
        $('.validationclass').hide();
        $('.replacevalidation').hide();
        $('.reg13-div').hide();
    } catch (err) {
        loggerObj.logToServer(constants.logSeverityError, "passwordError method My Profile Account Tab " + err);
    }
};

var validatesubmitForm = function () {
    try {
        var noErrorexists = true,
            noErrorexistsSTRT = true,
            noErrorexistsEMAIL = true,
            noErrorexistsCITY = true,
            noErrorexistsPhn1 = true,
            noErrorexistsCntry = true;

        noErrorexistsSTRT = cntctStreetvldtn();
        noErrorexistsEMAIL = cntctEmailvldtn();
        noErrorexistsCITY = cntctCityvldtn();
        noErrorexistsPhn1 = cntctPhone1vldtn();
        noErrorexistsCntry = cntctCntryvldtn();

        if (noErrorexistsSTRT === true && noErrorexistsEMAIL === true && noErrorexistsCITY === true && noErrorexistsPhn1 === true && noErrorexistsCntry === true) {
            noErrorexists = true;
        } else {
            noErrorexists = false;
        }
        return noErrorexists;
    } catch (err) {
        loggerObj.logToServer(constants.logSeverityError, "validatesubmitForm method My Profile Account Tab " + err);
    }
};

/**************** Contact page validation Ends *************************/

$('.valdtnerror-message').hide();

var devalidatesubmitForm1 = function () {
    try {
        changeButtonBackground(".player-bio-cancel-btn");
        var bioClassObj = new BioClass();
        bioClassObj.checkBio();
        bioClassObj.bindBio(bindBioData);
  
    } catch (err) {
        loggerObj.logToServer(constants.logSeverityError, "devalidatesubmitForm1 method My Profile Account Tab " + err);
    }
};

var validatesubmitForm1 = function (page) {
    try {
        changeButtonBackground(".player-bio-save-btn"); 
        var noErrorexists1 = true,
            noErrorexistsBP = true,
            noErrorexistsBC = true,
            noErrorexistsBPLAY = true,
            noErrorexistsRD = true,
            noErrorexistsHT = true,
            noErrorexistsWT = true,
            noErrorexistsWTUNIT = true,
            noErrorexistsHTUNIT = true,
            heightsty,
            weightsty;

        noErrorexistsBP = validatebplace();
        noErrorexistsBC = validatebcntry();
        noErrorexistsBPLAY = validatebplay();
        noErrorexistsRD = validateresidence();
        noErrorexistsHT = validateheight();
        noErrorexistsWT = validateweight();
        noErrorexistsWTUNIT = validateweightunit();
        noErrorexistsHTUNIT = validateheightunit();
        noerrorexistsChild = validateChild();

        if (noErrorexistsBP === true && noErrorexistsBPLAY === true && noErrorexistsBC === true && noErrorexistsRD === true && 
        		noErrorexistsHT === true && noErrorexistsWT === true && noErrorexistsWTUNIT === true && 
        		noErrorexistsHTUNIT === true && noerrorexistsChild) {
            heightsty = $(".invldhghtvalidation").attr("style");
            weightsty = $(".invldwghtvalidation").attr("style");
            if (heightsty === "display: block;" || weightsty === "display: block;") {
                noErrorexists1 = false;
                $("#bio-save-msg").removeClass("show");
                $("#bio-save-msg").addClass("hide");
            } else {
                noErrorexists1 = true;
                var bioClassObj = new BioClass();
                bioClassObj.saveBio(page);
            }
        } else {
            noErrorexists1 = false;
            $("#bio-save-msg").removeClass("show");
            $("#bio-save-msg").addClass("hide");
        }
        return noErrorexists1;
    } catch (err) {
        loggerObj.logToServer(constants.logSeverityError, "validatesubmitForm1 method My Profile Account Tab " + err);
    }
};

var savevalidationbio = function () {
    try {
        $("#fullyear").removeClass("buttonfullyear");
        $("#fullyear").addClass("buttonfullyearactive");
        setTimeout(function () {
            $("#fullyear").removeClass("buttonfullyearactive");
            $("#fullyear").addClass("buttonfullyear");
        }, 1000);
        $(".currentpasswordvalidation").hide();
        $(".invalidpass").hide();
        $('.newpassvalidation').hide();
        $('.samepassvalidation').hide();
        $('.FixedPassword').hide();
        $('.profileconfirmvalidation').hide();
        $("#current").removeClass("pro-error-border");
        $("#newpassword").removeClass("pro-error-border");
        $("#confirm-pass").removeClass("pro-error-border");
        var passexpr = /^([a-zA-Z0-9.:!@#$%^&*()]{7,20})$/,
            isError = false,
            newpass = $('#newpassword').val(),
            currpassword = $('#current').val();
        if ($('#current').val() === "") {
            $('.currentpasswordvalidation').show();
            //$(".invalidpass").show();
            $("#current").addClass("pro-error-border");
            isError = true;
        } else {
            if(!passexpr.test(currpassword)) {
                $('.FixedPassword').show();
                $("#current").addClass("pro-error-border");
                isError = true;
            } else {
                isError = false;
                if (!passexpr.test(newpass)) {
                    $('.newpassvalidation').show();
                    $("#newpassword").addClass("pro-error-border");
                    isError = true;
                } else {
                    isError = false;
                     if ($('#confirm-pass').val() !== $('#newpassword').val()) {
                        $('.profileconfirmvalidation').show();
                        $("#confirm-pass").addClass("pro-error-border");
                        isError = true;
                    } else {
                        isError = false;
                    }
                }
            }
        }
       
        if(isError){
        	return false;
        }else {
            $('.newpassvalidation').hide();
            $("#newpassword").removeClass("pro-error-border");
            $('.profileconfirmvalidation').hide();
            $("#confirm-pass").removeClass("pro-error-border");
            savePassword();
        }
    } catch (err) {
        loggerObj.logToServer(constants.logSeverityError, "validatesubmitForm1 method My Profile Account Tab " + err);
    }
};

var replacebtn = function () {
    $('.replacevalidation').show();
    $('.choosevalidation').hide();
    $('.reg13-div').show();
};

var cancelvalidation = function () {
    try {
        $("#fullyear").removeClass("buttonfullyear");
        $("#fullyear").addClass("buttonfullyearactive");
        setTimeout(function () {
            $("#fullyear").removeClass("buttonfullyearactive");
            $("#fullyear").addClass("buttonfullyear");
        }, 1000);
        $("#current").val('');
        $("#newpassword").val('');
        $("#confirm-pass").val('');
        $('.currentpasswordvalidation').hide();
        $(".invalidpass").hide();
        $(".FixedPassword").hide();
        $('.newpassvalidation').hide();
        $('.samepassvalidation').hide();
        $('.profileconfirmvalidation').hide();
        $("#current").removeClass("pro-error-border");
        $("#newpassword").removeClass("pro-error-border");
        $("#confirm-pass").removeClass("pro-error-border");
    } catch (err) {
        loggerObj.logToServer(constants.logSeverityError, "cancelvalidation method My Profile Account Tab " + err);
    }
};

var profileTabSlicker = function () {
	$('.myprfile-subheaderslicker').slick({
		slide: 'li',
		dots: false,
		arrows: true,
		swipe: false,
		infinite: false,
		slidesToShow: 3,
		slidesToScroll: 1,
		autoplay: false
	});
};
/**
 * Ready Function
 */
var myAccount = function (params) {
    try {
        if(isApp){
            window.ga.trackView('MyAccount');
        }
        if (params && params.onBehalfPlayerId) {
            constants.onBehalfPlayerId = params.onBehalfPlayerId;
        } else {
            constants.onBehalfPlayerId =  "";
        }
        playerName = params.playerName;
        var otherBioClassObj = new OtherBioClass(),
            bioClassObj = new BioClass();
        receiveEmailNotifications = params.receiveEmailNotifications;
        startLoading();
        setTimeout(function () {
            subHeaderCarousel();
            headerMain();
            profileTabSlicker();
            $("#addsocia").click(function () {
                addSocialMedia();
            });
            $("a[data-tab-destination]").on('click', function () {
                var tab = $(this).attr('data-tab-destination');
                //alert(tab);
                $("#" + tab).click();
            });
            $("#current").keyup(function() {
            	$("#current").removeClass("pro-error-border");
            	$(".invalidpass").hide();
                $('.FixedPassword').hide();
                $('.currentpasswordvalidation').hide();
                
            });
            $("#newpassword").keyup(function() {
            	$("#newpassword").removeClass("pro-error-border");
            	$('.newpassvalidation').hide();
                $('.samepassvalidation').hide();
            });
            $("#confirm-pass").keyup(function() {
            	$("#confirm-pass").removeClass("pro-error-border");
            	$('.profileconfirmvalidation').hide();
            });

            $("#photoCropModal").on("shown.bs.modal", function () {
                setTimeout(function () {
                    if ($("#photoComponent").offset().top === 30 && device.platform.toLowerCase() === "ios") {
                        //document.body.style.webkitTransform = 'translate3d(0, 0, 0)';
                        var photoModal = $("#photoComponent"),
                            offset = photoModal.offset();
                        $("#photoComponent").offset({ top: 10, left: offset.left});
                    }
                }, 300);
            });

             /* bio click functions */

         /*   $("#validateAlumniClick").click(function () {
                changeButtonBackground(".save2");
                var otherBioClassObj = new OtherBioClass();
                otherBioClassObj.validatesubmitFormOther();
            });*/

       /*     $("#devalidatesubmitForm2Click").click(function () {
                var otherBioClassObject = new OtherBioClass();
                otherBioClassObject.checkBio2();
                otherBioClassObject.getBioOtherAlumni(applicationDataObj.getbindOtherbio());
                $("#otherbio-save-msg").removeClass("show");
                $("#otherbio-save-msg").addClass("hide");
                $("#otherbio-save-msg1").removeClass("show");
                $("#otherbio-save-msg1").addClass("hide");
                $("#otherbio-save-msg2").removeClass("show");
                $("#otherbio-save-msg2").addClass("hide");
                changeButtonBackground(".cancel2");
            });*/

     /*       $("#devalidateSubmitClick").click(function () {
                $(".place1").val("");
                $(".place2").val("");
                $(".place3").val("");
                $(".place4").val("");
                $("#errr").removeClass("error-border");
                $("#otherbio-save-msg").removeClass("show");
                $("#otherbio-save-msg").addClass("hide");
                $("#otherbio-save-msg1").removeClass("show");
                $("#otherbio-save-msg1").addClass("hide");
                $("#otherbio-save-msg2").removeClass("show");
                $("#otherbio-save-msg2").addClass("hide");
                changeButtonBackground(".canbtn2");
                var otherBioClassObject = new OtherBioClass();
                otherBioClassObject.getBioOther(applicationDataObj.getbindOtherbio());
            });*/

            /*$("#validatesubmitClick").click(function () {
                var otherBioClassObject = new OtherBioClass();
                changeButtonBackground(".alumniagent");
                otherBioClassObj.saveDataBio();
            });*/

         /*   $("#devalidatesubmitcoachClick").click(function () {
                var otherBioClassObject = new OtherBioClass();
                otherBioClassObj.devalidatesubmitcoach(); 
            });*/

         /*   $("#validatesubmitcoachClick").click(function () {
                otherBioClassObj.validatesubmitcoach();
            });*/

           /* $("#validateCoachAlumniClick").click(function () {
                otherBioClassObj.validateCoachAlumni();
            });*/

           /* $("#devalidatesubmitFormManageClick").click(function () {
                otherBioClassObj.devalidatesubmitFormManage();
            });*/

            $("#bio-heightunit1").change(function () {
                otherBioClassObj.validatehgtunit1();
            });
        
            $("#bio-weightunit1").change(function () {
                otherBioClassObj.validatewgtunit1();
            });

            $("#bio-weight1").keyup(function () {
                otherBioClassObj.isNumberWt1(); 
                otherBioClassObj.validateweight1(); 
            });

            $("#bio-height1").keyup(function () {
                otherBioClassObj.isNumber1();
                otherBioClassObj.validateheight1();
            });
            
           /* $("#validateAgentAlumniClick").click(function () {
              otherBioClassObj.validateAgentAlumni();
            });*/
            
            $("#bio-resdnc1").keyup(function () {
                otherBioClassObj.validateresidence1();
            });

            $("#bioplyr-bplay1").change(function () {
                otherBioClassObj.validateplay1();
            });

            $("#bioplyr-bcntry1").change(function () {
                otherBioClassObj.validatecountry1();
            });

            $("#bioplyr-bplc1").keyup(function () {
               otherBioClassObj.validatebplace1();
            });


            $("#myModalSocial").on("shown.bs.modal", function () {
                setTimeout(function () {
                    $("#MyApp").css("overflow", "hidden");
                }, 300);
            });

            $("#myModalSocial").on("hidden.bs.modal", function () {
                setTimeout(function () {
                    $("#MyApp").removeAttr("style");
                }, 300);
            });

            $("#contact").addClass("activeData");
            $(".data").siblings().addClass("notactiveData");
            $('.myaccount-nav-cntnr li').click(function () {
                $("#current").removeClass("pro-error-border");
                $("#newpassword").removeClass("pro-error-border");
                $("#confirm-pass").removeClass("pro-error-border");
                $(".invalidpass").hide();
                $('.currentpasswordvalidation').hide();
                $("#contact-save-msg").removeClass("show");
                $("#contact-save-msg").addClass("hide");
                $("#social-save-msg").removeClass("show");
                $("#social-save-msg").addClass("hide");
                $("#bio-save-msg").removeClass("show");
                $("#bio-save-msg").addClass("hide");
                $("#otherbio-save-msg").removeClass("show");
                $("#otherbio-save-msg").addClass("hide");
                $("#otherbio-save-msg1").removeClass("show");
                $("#otherbio-save-msg1").addClass("hide");
                $("#otherbio-save-msg2").removeClass("show");
                $("#otherbio-save-msg2").addClass("hide");
                $(this).siblings().removeClass('myaccnt-navactive');
                $(this).siblings().addClass('myacc-navdeactive');
                $(this).addClass('myaccnt-navactive');
                $(this).removeClass('myacc-navdeactive');
                var x = $(this).children().attr("href"),
                    clickedField = $(this).find('a').text(),
                    role;
                $(".data").siblings().removeClass("activeData");
                $(".data").siblings().removeClass("active");
                $(".data").siblings().addClass("notactiveData");
                $(x).addClass("activeData");
                $(x).removeClass("notactiveData");
                $(".trnmnthome-nav-cntnr").addClass("activeData");
                $('.reg13-div').hide();
                startLoading();
                setTimeout(function () {
                    if (clickedField === "Bio") {
                        $('#removescrolldiv').addClass('iosscrolldiv');
                        $("#bioplyr-bplc").removeClass("error-border");
                    	extendPlayerExpirationTime("profile");
                        if (constants.onBehalfPlayerId) {
                            otherBioClassObj.managebio(playerName);
                        } else {
                            if (applicationDataObj.getSessionResponse() && applicationDataObj.getSessionResponse().roles && applicationDataObj.getSessionResponse().roles.length !== 0) {
                                role = applicationDataObj.getSessionResponse().roles[0];
                            }
                            if ((role === "Other" || role === "ATP Staff")) {
                                $("#bioplayer").hide();
                                $("#bioagent").hide();
                                $("#biocoach").hide();
                                $("#bioalumni").hide();
                                endLoading();
                            } else {
                                bioClassObj.checkBio();
                                bio();
                            }
                        }
                    }
                    if (clickedField === "Photo" || clickedField === "Headshot") {
                    	extendPlayerExpirationTime("profile");
                        getPhotoUpload();
                    }
                    if (clickedField === "Social") {
                        $('#removescrolldiv').addClass('iosscrolldiv');
                    	var accountSocialClassObj = new AccountSocialClass();
                    	accountSocialClassObj.getSocialTabDatas();
                    	releasePlayerResources();
                    }
                    if (clickedField === "Notifications") {
                        $('#removescrolldiv').addClass('iosscrolldiv');
                        var parameters = {};
                        parameters.onBehalfPlayerId = constants.onBehalfPlayerId;
                        parameters.receiveEmailNotifications = receiveEmailNotifications;
                        parameters.playerName = playerName;
                        notificationReady(parameters);
                    }
                    if (clickedField === "Contact") {
                        $('#removescrolldiv').addClass('iosscrolldiv');
                    	extendPlayerExpirationTime("profile");
                        $("#mailadrs-street1").removeClass("error-border");
                        $(".streetvalidation").removeClass("show");
                        $("#mycntct-city").removeClass("error-border");
                        $(".cityvalidation").removeClass("show");
                        $("#countryselect").removeClass("error-border");
                        $(".cntryvalidation").removeClass("show");
                        $("#home-phn").removeClass("error-border");
                        $(".phnvalidation1").removeClass("show");
                        $("#email-prmryemail").removeClass("error-border");
                        $(".email-vldtn").removeClass("show");
                        $('#phnvalidation4').removeClass("show");
                        $("#mob-phn").removeClass("error-border");
                        $('#phnvalidation5').removeClass("show");
                        $("#fax-phn").removeClass("error-border");
                        $('.invldphnvalidation').removeClass("show");
                        $('.formatvalidation2').removeClass("show");
                    }
                    if (clickedField === "Password") {
                        $('#removescrolldiv').removeClass('iosscrolldiv');
                    	releasePlayerResources();
                        $(".currentpass").html("");
                        $("#current").removeClass("pro-error-border");
                        $("#newpassword").removeClass("pro-error-border");
                        $("#confirm-pass").removeClass("pro-error-border");
                        $(".reloadpass").val("");
                        $(".reloadpass1").val("");
                        $(".reloadpass2").val("");
                        passwordError();
                        resetPassword();
                    }
                    if (clickedField === "Contact") {
                        $('#removescrolldiv').addClass('iosscrolldiv');
                    	var accountContactClassObj = new accountContactClass();
                    	accountContactClassObj.getDataForContact();
                    }
            }, 500);
        });

        $(".account5").click(function () {
            $(".account5").addClass("selectedmenu");
            $(".account3").removeClass("selectedmenu");
        });
        $(".account3").click(function () {
            $(".account3").addClass("selectedmenu");
            $(".account5").removeClass("selectedmenu");
        });
        var role = applicationDataObj.getSessionResponse().roles[0];
        if (constants.onBehalfPlayerId) {
            $(".playerdiv").addClass("hide");
            $(".playerdivother").removeClass("hide");
            if (params.notfication) {
                $("#notifyli").click();
                $(".tab-bg").hide();
            } else {
                $(".bioli").click();
            }
        } else {
             role = applicationDataObj.getSessionResponse().roles[0];
            if (role && role.toLowerCase() === "other") {
                $("#bioli").parent().hide();
            } else {
                $("#bioli").parent().show();
            }
            $(".playerdivother").addClass("hide");
            $(".playerdiv").removeClass("hide");
            var accountContactClassObj = new accountContactClass();
        	accountContactClassObj.getDataForContact();
        	$(".playerdiv").find("button.slick-prev").hide();
        	initiateClickForSlick();
        }
        errorMsg();
        if ((applicationDataObj.getUserType() !== "Player")) {
            if (applicationDataObj.getSessionResponse() && applicationDataObj.getSessionResponse().roles && applicationDataObj.getSessionResponse().roles.length !== 0) {
                 role = applicationDataObj.getSessionResponse().roles[0];
                if (role) {
                    var lowerConvertedRole = role.toLowerCase();
                    if (lowerConvertedRole.indexOf("alumni") !== -1 || lowerConvertedRole.indexOf("staff") !== -1){
						$(".nonplayerclass").parent().hide();
						$(".alumini-prizemoney").parent().removeClass("hide");
						$("#rightarrow").hide();
					}else{
						$(".nonplayerclass").parent().hide();
						$("#rightarrow").hide();
						$(".alumini-prizemoney").parent().addClass("hide");
					}
                    if (lowerConvertedRole === "other" || lowerConvertedRole === "staff") {
                        $(".nonplayerclass").parent().hide();
                        $("#rightarrow").hide();
                        $(".nonplayerclass-other").parent().hide();
                    }
                }
            }
        }
    }, 500);
    } catch (err) {
        loggerObj.logToServer(constants.logSeverityError, "cancelvalidation method My Profile Account Tab " + err);
    }
};
var initiateClickForSlick = function(){
	$(".playerdiv").find("button.slick-prev").click(function(){
		activedeactiveArrows();
	});
	$(".playerdiv").find("button.slick-next").click(function(){
		activedeactiveArrows();
	});
};
var activedeactiveArrows = function () {
	var firstActive = $(".playerdiv").find("button.slick-next").parent().find("li").first().hasClass("slick-active");
	var lastActive = $(".playerdiv").find("button.slick-next").parent().find("li").last().hasClass("slick-active");
	if(firstActive){
		$(".playerdiv").find("button.slick-prev").hide();
	}else{
		$(".playerdiv").find("button.slick-prev").show();
	}
	if(lastActive){
		$(".playerdiv").find("button.slick-next").hide();
	}else{
		$(".playerdiv").find("button.slick-next").show();
	}
};

/*************************************REST PASSWORD START*******************************/
/* Function to get resetpassword tab datas  */
var resetPassword = function () {
    try {
        var apiservicecallsObj = new Apiservicecalls(),
            data = {},
            sessionData = applicationDataObj.getSessionResponse(),
            inputData = getResetParameters(sessionData);
        apiservicecallsObj.postData(constants.ajaxUrl, inputData, OnResetSuccess, OnResetError);
    } catch (err) {
        loggerObj.logToServer(constants.logSeverityError, "resetPassword method My Profile Account Tab " + err);
    }
};

var OnResetSuccess = function (data) {
    endLoading();
    if (data) {
        getResetPassword(data);
    }
};

var OnResetError = function (jqXHR, error) {
    endLoading();
    if (jqXHR.status && jqXHR.status === 401 && jqXHR.statusText === "Unauthorized") {
        logout();
    }
};

/* Function to bind the resetpassword tab UI*/
var getResetPassword = function (data) {
    try {
        desc = data.PasswordDetails.Description;
        curr = data.PasswordDetails.CurrentPassword;
        newpass = data.PasswordDetails.NewPassword;
        confirmpass = data.PasswordDetails.ConfirmNewPassword;
        conatp = data.PasswordDetails.ContactATP;
        cancel = data.PasswordDetails.Cancel;
        save = data.PasswordDetails.Save;
        cnf = data.PasswordDetails.PasswordValidation;
        cnfpasval = data.PasswordDetails.ConfirmPasswordValidation;
        $(".password-para").text(desc);
        $(".currentpass").append(curr);
        $(".newpass").text(newpass);
        $(".confirmpas").text(confirmpass);
        $(".cancelbt").text(cancel);
        $(".savebt").text(save);
        $(".contact-btn").text(conatp);
        $(".conpass").text(cnf);
        $(".cnfnew").text(cnfpasval);
        $(".contact-btn").click(function () {
            contactplayerRelations();
        });
    } catch (err) {
        loggerObj.logToServer(constants.logSeverityError, "getResetPassword method My Profile Account Tab " + err);
    }
};
/* Function for creating request for restpassword  data*/
var getResetParameters = function (sessionData) {
    try {
        var data = {},
            userSession = {};
        data.Userid = sessionData.userId;
        data.ServiceProvider = "MyProfileServiceProvider";
        data.ServiceMethod = "ResetPassword";
        data.Language = constants.englishLanguage;
        data.parametersArray =  ["79639071-359E-4D23-AEEB-8B5F98B7AD0C"];
        userSession.PlayerId = sessionData.playerId;
        userSession.UserId = sessionData.userId;
        userSession.FirstName = sessionData.firstName;
        userSession.LastName = sessionData.lastName;
        userSession.UserName = applicationDataObj.getUsername();
        userSession.Roles = sessionData.roles;
        userSession.Address1 = sessionData.address1;
        userSession.City = sessionData.city;
        userSession.EmailId = sessionData.emailId;
        userSession.Country = sessionData.country;
        userSession.TOKEN  = applicationDataObj.getToken();
        data.SessionData = userSession;
        data = JSON.stringify(data);
        return data;
    } catch (err) {
        loggerObj.logToServer(constants.logSeverityError, "getResetParameters method My Profile Account Tab " + err);
    }
};

/* Function to get savepassword tab datas  */
var savePassword = function () {
    try {
        document.activeElement.blur();
        var apiservicecallsObj = new Apiservicecalls(),
            sessionData = applicationDataObj.getSessionResponse(),
            inputData = getSavePasswordBio(sessionData);
        apiservicecallsObj.postData(constants.ajaxUrl, inputData, OnSavePasswordSuccess, OnSavePasswordError);
    } catch (err) {
        loggerObj.logToServer(constants.logSeverityError, "savePassword method My Profile Account Tab " + err);
    }
};

var  OnSavePasswordSuccess = function (data) {
    try {
        endLoading();
        passcheck(data);
    } catch (err) {
        loggerObj.logToServer(constants.logSeverityError, "savePassword method My Profile Account Tab " + err);
    }
};

var OnSavePasswordError = function (jqXHR, error) {
    try {
        endLoading();
        if (jqXHR.status && jqXHR.status === 401 && jqXHR.statusText === "Unauthorized") {
            logout();
        }
    } catch (err) {
        loggerObj.logToServer(constants.logSeverityError, "savePassword method My Profile Account Tab " + err);
    }
};

/* Function for creating request for getting password  data*/
var getSavePasswordBio = function (sessionData) {
    try {
        var data = {},
            userSession = {},
            parametersArray = [],
            saveObject = {};
        data.UserId = sessionData.userId;
        data.ServiceProvider = "MyProfileServiceProvider";
        data.ServiceMethod = "SaveResetPassword";
        data.Language = constants.englishLanguage;
        userSession.PlayerId = sessionData.playerId;
        userSession.UserId = sessionData.userId;
        userSession.FirstName = sessionData.firstName;
        userSession.LastName = sessionData.lastName;
        userSession.Roles = sessionData.roles;
        userSession.UserName = applicationDataObj.getUsername();
        userSession.EmailId = sessionData.emailId;
        userSession.Address1 = sessionData.address1;
        userSession.City = sessionData.city;
        userSession.Country = sessionData.country;
        userSession.TOKEN  = applicationDataObj.getToken();
        if ((applicationDataObj.getUserType() !== "Player")) {
        	if (sessionData.ManagementAgency) {
        		userSession.ManagementAgency = sessionData.ManagementAgency;
        	}
        	userSession.JoinedDate = sessionData.registeredDate;
        }
        data.SessionData = userSession;
        saveObject.OldPassword = $("#current").val();
        saveObject.NewPassword = $("#newpassword").val();
        saveObject.ConfirmNewPassword = $("#confirm-pass").val();
        parametersArray.push(saveObject);
        parametersArray.push("79639071-359E-4D23-AEEB-8B5F98B7AD0C");
        data.parametersArray = parametersArray;
        data = JSON.stringify(data);
        return data;
    } catch (err) {
        loggerObj.logToServer(constants.logSeverityError, "getSavePasswordBio method My Profile Account Tab " + err);
    }
};

var passcheck = function (data) {
    try {
        if (data === false) {
            $(".invalidpass").show();
            $('.currentpasswordvalidation').hide();
            $("#current").addClass("pro-error-border");
        } else {
            if ($('#current').val() === $('#newpassword').val()) {
                $('.samepassvalidation').show();
                $("#newpassword").addClass("pro-error-border");
            } else {
                $(".invalidpass").hide();
                $('.currentpasswordvalidation').hide();
                $("#current").removeClass("pro-error-border");
                window.location.href = "#/Home";
            }
         }
    } catch (err) {
        loggerObj.logToServer(constants.logSeverityError, "passcheck method My Profile Account Tab " + err);
    }
};

/*************************************RESET PASSWORD END*******************************/
/*--------------------------------BIO- START------------------------------------*/
/*Bio Webservice Calls*/
var BioClass = function () {
    
    this.bindBio = function (data) {
        try {
            if (applicationDataObj.getUserType() === "Player") {
                $("#coachfield").show();
                $("#bioplayer").show();
                $("#bioagent").hide();
                $("#biocoach").hide();
                $("#bioalumni").hide();
            }
            var bioDataContent = data.BioDataContent,
                countries = data.Countries,
                country = countries.length,
                backhandText = bioDataContent.BackhandText,
                biographicInformationText = bioDataContent.BiographicInformationText,
                birthPlaceCityText = bioDataContent.BirthPlaceCityText,
                birthPlaceCountryText = bioDataContent.BirthPlaceCountryText,
                cancelText = bioDataContent.CancelText,
                contactATPText = bioDataContent.ContactATPText,
                educationText = bioDataContent.EducationText,
                heightText = bioDataContent.HeightText,
                numberOfChildrenText = bioDataContent.NumberOfChildrenText,
                coachText = bioDataContent.CoachText,
                residenceText = bioDataContent.ResidenceText,
                saveText = bioDataContent.SaveText,
                skipText = bioDataContent.SkipText,
                spouseNameText = bioDataContent.SpouseNameText,
                unitText = bioDataContent.UnitText,
                weightText = bioDataContent.WeightText,
                playText = bioDataContent.PlayText,
                backhandTypes = bioDataContent.BackhandTypes,
                typelen = backhandTypes.length,
                playTypes = bioDataContent.PlayTypes,
                playlen = playTypes.length,
                heightUnits = bioDataContent.HeightUnits,
                heightlen = heightUnits.length,
                weightUnits = bioDataContent.WeightUnits,
                weightlen = weightUnits.length,
                qualifications = bioDataContent.Qualifications,
                qualify = qualifications.length;
            /*Binding values to input fields*/
            /*End*/
            $(".bioinfo").append(biographicInformationText);
            $(".city").append(birthPlaceCityText + '<span class="txtbx-rqrdfld"> *</span>');
            $(".country").append(birthPlaceCountryText + '<span class="txtbx-rqrdfld"> *</span>');
            $(".play").append(playText + '<span class="txtbx-rqrdfld"> *</span>');
            $(".residence").append(residenceText + '<span class="txtbx-rqrdfld"> *</span>');
            $(".backhand").append(backhandText);
            $(".height").append(heightText + '<span class="txtbx-rqrdfld"> *</span>');
            $(".units").append(unitText + '<span class="txtbx-rqrdfld">  *</span>');
            $(".weights").append(weightText + '<span class="txtbx-rqrdfld"> *</span>');
            $(".edu").append(educationText);
            $(".spouse").append(spouseNameText);
            $(".child").append(numberOfChildrenText);
            $(".coach").append(coachText);
            $(".canbtn").append(cancelText);
            $(".savebtn").append(saveText);
            $("#bio .contact-app-btn").append('<button class="button2">' + contactATPText + '</button>');
            $(".backhanddrop").append('<option value="">SELECT</option>');
            $(".countrydrop").append('<option value="">SELECT</option>');
            $(".playdrop").append('<option value="">SELECT</option>');
            $(".hgtdrop").append('<option value="">SELECT</option>');
            $('.wgtdrop').append('<option value="">SELECT</option>');
            for (i = 0; i < typelen; i++) {
                $(".backhanddrop").append('<option value="' + (i + 1) + '">' + backhandTypes[i].AccountType + '</option>');
            }
            for (j = 0; j < country; j++) {
                $(".countrydrop").append('<option value="' + countries[j].Code + '">' + countries[j].Name + '</option>');
            }
            for (k = 0; k < playlen; k++) {
                var playtxt = playTypes[k].AccountType;
                playtxt = playtxt.slice(0, 1);
                $(".playdrop").append('<option value="' + playtxt + '">' + playTypes[k].AccountType + '</option>');
            }
            for (l = 0; l < heightlen; l++) {
                $(".hgtdrop").append('<option value="' + heightUnits[l].AccountType + '">' + heightUnits[l].AccountType + '</option>');
            }
            for (m = 0; m < weightlen; m++) {
                $(".wgtdrop").append('<option value="' + weightUnits[m].AccountType + '">' + weightUnits[m].AccountType + '</option>');
            }
            for (n = 0; n < qualify; n++) {
                $(".edudrop").append('<option value="' + qualifications[n].AccountType + '">' + qualifications[n].AccountType + '</option>');
            }
            /*Binding values to input fields*/
            var playerBiodata = data.PlayerBiodata,
                birthplaceCity = playerBiodata.BirthplaceCity,
                birthplaceCountry = playerBiodata.BirthplaceCountry,
                childrenNumber = playerBiodata.ChildrenNumber,
                residence = playerBiodata.Residence,
                height = playerBiodata.Height,
                weight = playerBiodata.Weight,
                heightUnit = playerBiodata.HeightUnits,
                weightUnit = playerBiodata.WeightUnits,
                backhand = playerBiodata.Backhand,
                education = playerBiodata.Education,
                coach = playerBiodata.Coach,
                play = playerBiodata.Play;
            $(".cityval").val(birthplaceCity);
            if (birthplaceCountry) {
                $(".countrydrop").val(birthplaceCountry);
            } else {
                $(".countrydrop").val("");
            }
            var getBioCountry = $(".countrydrop").val();
            if (!getBioCountry) {
                $(".countrydrop").val("");
            }
            $(".childval").val(childrenNumber);
            $(".coachval").val(coach);
            $(".residytext").val(residence);
            $(".hgttxt").val(height);
            $(".wgttxt").val(weight);
            if (playerBiodata.HeightUnits !== null) {
                $(".hgtdrop").val(heightUnit);
            }
            if (playerBiodata.WeightUnits !== null) {
                $(".wgtdrop").val(weightUnit);
            }
            if (playerBiodata.Education !== null) {
                $(".edudrop").val(education);
            }
            $(".spouseval").val(playerBiodata.SpouseName);
            if (backhand === 0) {
                $(".backhanddrop option:selected").text("Unknown");
            } else {
                $(".backhanddrop").val(backhand);
            }
            if (play === "U") {
                $(".playdrop option:selected").text("Unknown");
            } else {
                $(".playdrop").val(play);
            }
        } catch (err) {
            loggerObj.logToServer(constants.logSeverityError, "bindBio method My Profile Account Tab " + err);
        }
    };
    
    this.getBioParameters = function (sessionData) {
        try {
            var data = {},
                bioSession = {};
            data.Userid = sessionData.userId;
            data.ServiceProvider = "MyProfileServiceProvider";
            data.ServiceMethod = "GetBioData";
            data.Language = constants.englishLanguage;
            data.parametersArray =  ["6D8CD88E-6E2F-43AD-BD65-4AC9EE276E34"];
            bioSession.PlayerId = sessionData.playerId;
            bioSession.UserId = sessionData.userId;
            bioSession.FirstName = sessionData.firstName;
            bioSession.LastName = sessionData.lastName;
            bioSession.Roles = sessionData.roles;
            bioSession.UserName = applicationDataObj.getUsername();
            bioSession.EmailId = sessionData.emailId;
            bioSession.Address1 = sessionData.address1;
            bioSession.City = sessionData.city;
            bioSession.Country = sessionData.country;
            bioSession.TOKEN  = applicationDataObj.getToken();
            if ((applicationDataObj.getUserType() !== "Player")) {
                if (constants.onBehalfPlayerId) {
                    bioSession.OnBehalfPlayerId = constants.onBehalfPlayerId;
                }
                if (sessionData.ManagementAgency) {
                    bioSession.ManagementAgency = sessionData.ManagementAgency;
                }
                bioSession.JoinedDate = sessionData.registeredDate;
            }
            data.SessionData = bioSession;
            data = JSON.stringify(data);
            return data;
        } catch (err) {
            loggerObj.logToServer(constants.logSeverityError, "getBioParameters method My Profile Account Tab " + err);
        }
    };
    
    this.checkBio = function () {
        $('#bioplyr-bplc').removeClass("error-border");
        $('#bio-resdnc').removeClass("error-border");
        $(".valdtnerror-message").hide();
        $("#bio-save-msg").removeClass("show");
        $("#bio-save-msg").addClass("hide");
        $(".bioinfo").html("");
        $(".city").html("");
        $(".country").html("");
        $(".play").html("");
        $(".residence").html("");
        $(".backhand").html("");
        $(".height").html("");
        $(".units").html("");
        $(".weights").html("");
        $(".edu").html("");
        $(".spouse").html("");
        $(".child").html("");
        $(".coach").html("");
        $(".canbtn").html("");
        $(".savebtn").html("");
        $("#bio .contact-app-btn").html("");
        $(".backhanddrop").html("");
        $(".countrydrop").html("");
        $(".playdrop").html("");
        $(".hgtdrop").html("");
        $(".wgtdrop").html("");
        $(".edudrop").html("");
        $(".cityval").val("");
        $(".childval").val("");
        $(".coachval").val("");
        $(".residytext").val("");
        $(".spouseval").val("");
        $(".hgttxt").val("");
        $(".wgttxt").val("");
        $(".wgtdrop").val("");
        $(".edudrop").val("");
        $(".hgtdrop").val("");
        $(".backhanddrop").val("");
        $(".playdrop").val("");
    };

    this.getSaveParameters = function (sessionData) {
        try {
            var data = {},
                saveSession = {},
                parametersArray = [],
                bioSaveObject = {};
            data.UserId = sessionData.userId;
            data.ServiceProvider = "MyProfileServiceProvider";
            data.ServiceMethod = "SaveBioData";
            data.Language = constants.englishLanguage;
            saveSession.PlayerId = sessionData.playerId;
            saveSession.UserId = sessionData.userId;
            saveSession.FirstName = sessionData.firstName;
            saveSession.LastName = sessionData.lastName;
            saveSession.Roles = sessionData.roles;
            saveSession.UserName = applicationDataObj.getUsername();
            saveSession.EmailId = sessionData.emailId;
            saveSession.Address1 = sessionData.address1;
            saveSession.City = sessionData.city;
            saveSession.Country = sessionData.country;
            if ((applicationDataObj.getUserType() !== "Player")) {
                if (constants.onBehalfPlayerId) {
                    saveSession.OnBehalfPlayerId = constants.onBehalfPlayerId;
                }
                if (sessionData.ManagementAgency) {
                    saveSession.ManagementAgency = sessionData.ManagementAgency;
                }
                saveSession.JoinedDate = sessionData.registeredDate;
            }
            saveSession.TOKEN  = applicationDataObj.getToken();
            data.SessionData = saveSession;
            bioSaveObject.PlayerBiodata = {};
            bioSaveObject.PlayerBiodata.BirthplaceCity = $(".cityval").val();
            bioSaveObject.PlayerBiodata.BirthplaceCountry = $(".countrydrop").val();
            bioSaveObject.PlayerBiodata.Play = $(".playdrop").val();
            bioSaveObject.PlayerBiodata.Residence = $(".residytext").val();
            bioSaveObject.PlayerBiodata.Backhand = $(".backhanddrop").val();
            bioSaveObject.PlayerBiodata.Height = $(".hgttxt").val();
            bioSaveObject.PlayerBiodata.HeightUnits = $(".hgtdrop").val();
            bioSaveObject.PlayerBiodata.Weight = $(".wgttxt").val();
            bioSaveObject.PlayerBiodata.WeightUnits = $(".wgtdrop").val();
            bioSaveObject.PlayerBiodata.Education = $(".edudrop").val();
            bioSaveObject.PlayerBiodata.SpouseName = $(".spouseval").val();
            bioSaveObject.PlayerBiodata.ChildrenNumber = $(".childval").val();
            bioSaveObject.PlayerBiodata.Coach= $(".coachval").val();
            bioSaveObject.IsBioUpdatedForFirstTime = false;
            parametersArray.push(bioSaveObject);
            parametersArray.push("6D8CD88E-6E2F-43AD-BD65-4AC9EE276E34");
            data.parametersArray = parametersArray;
            data = JSON.stringify(data);
            return data;
        } catch (err) {
            loggerObj.logToServer(constants.logSeverityError, "getSaveParameters method My Profile Account Tab " + err);
        }
    };
    
    this.saveBio = function (page) {
        try {
            var apiservicecallsObj = new apiservicecalls();
            var url = constants.ajaxUrl;
            var sessionData = applicationDataObj.getSessionResponse();
            var bioClassObj = new BioClass();
            var inputData = bioClassObj.getSaveParameters(sessionData);
            if (page == "account") {
                apiservicecallsObj.postData(url, inputData, onSaveBioSuccessFromAccount, onSaveBioError);
            }
            else if (page == "registration") {
                apiservicecallsObj.postData(url, inputData, onSaveBioSuccessFromRegistration, onSaveBioError);
            }
            else if (page == "registrationAccount") {
                apiservicecallsObj.postData(url, inputData, onSaveBioSuccessFromRegistrationAccount, onSaveBioError);
            }

        }
        catch (err) {
            loggerObj.logToServer(constants.logSeverityError, "saveBio method My Profile Account Tab " + err);
        }
    };
};
 
var onSaveBioSuccessFromAccount = function (data) {
    try {
        bindBioData = data;
        $("#bio-save-msg").removeClass("hide");
        $("#bio-save-msg").addClass("show");
        endLoading();
    }
    catch (err) {
        loggerObj.logToServer(constants.logSeverityError, "Error : onSaveBioSuccessFromAccount " + err);
    }
};

var onSaveBioSuccessFromRegistration = function(data){
    try {
        bindBioData = data;
        if(applicationDataObj.getSessionResponse().isHeadshotPhotoUploaded === true) {
            window.location.href = "#/Home";
        } else {
            window.location.href = "#/photoUpload";
        }
    }
    catch (err) {
        loggerObj.logToServer(constants.logSeverityError, "Error : onSaveBioSuccessFromRegistration " + err);
    }      

};

var onSaveBioSuccessFromRegistrationAccount = function(data){
    try {
        bindBioData = data;
        if(applicationDataObj.getSessionResponse().isHeadshotPhotoUploaded === true) {
            window.location.href = "#/Home";
        } else {
            window.location.href = "#/photoUpload";
        }
    }
    catch (err) {
        loggerObj.logToServer(constants.logSeverityError, "Error : onSaveBioSuccessFromRegistrationAccount " + err);
    }      

};
var onSaveBioError = function (jqXHR, exception) {
    try {
        endLoading();
        var errorMessage = jqXHR.statusText;
        if (jqXHR.responseJSON && jqXHR.responseJSON.Message) {
            errorMessage = errorMessage + " : " + jqXHR.responseJSON.Message;
        }
        loggerObj.logToServer(constants.logSeverityError, "Error : onSaveBioError " + errorMessage);
        if (jqXHR.status && jqXHR.status === constants.errorCode401 &&
                jqXHR.statusText === constants.unauthorizedError) {
            logout();
        }
    }
    catch (err) {
        loggerObj.logToServer(constants.logSeverityError, "Error : onSaveBioError " + err);
    }
};

var bio = function () {
    try {
        var apiservicecallsObj = new apiservicecalls(),
            sessionData = applicationDataObj.getSessionResponse(),
            bioClassObj = new BioClass(),
            inputData = bioClassObj.getBioParameters(sessionData);
        apiservicecallsObj.postData(constants.ajaxUrl, inputData, OnBioSuccess, OnBioError);
    } catch (err) {
        loggerObj.logToServer(constants.logSeverityError, "bio method My Profile Account Tab " + err);
    }
};

var OnBioSuccess = function (data) {
    try {
        endLoading();
        if (data) {
            bindBioData = data;
            if (applicationDataObj.getUserType() == "Player") {
                
                var bioClassObj = new BioClass();
                bioClassObj.bindBio(bindBioData);
            }
            else {
                otherBio();
            }
        }
    }
    catch (err) {
        loggerObj.logToServer(constants.logSeverityError, "Error : OnBioSuccess " + err);
    }
};

var OnBioError = function (jqXHR, error) {
    try {
        endLoading();
        var errorMessage = jqXHR.statusText;
        if (jqXHR.responseJSON && jqXHR.responseJSON.Message) {
            errorMessage = errorMessage + " : " + jqXHR.responseJSON.Message;
        }
        loggerObj.logToServer(constants.logSeverityError, "Error : OnBioError " + errorMessage);
        if (jqXHR.status && jqXHR.status === constants.errorCode401 &&
                jqXHR.statusText === constants.unauthorizedError) {
            logout();
        }
    }
    catch (err) {
        loggerObj.logToServer(constants.logSeverityError, "Error : OnBioError " + err);
    }
};

var validateCoachAlumniClick = function(page) {
    var otherBioClassObj = new OtherBioClass();
    otherBioClassObj.validateCoachAlumni(page);
};

var validateAgentAlumniClick = function(page) {
    var otherBioClassObj = new OtherBioClass();
    otherBioClassObj.validateAgentAlumni(page);
};

var validateAlumniClick = function(page) {
    changeButtonBackground(".save2");
    var otherBioClassObj = new OtherBioClass();
    otherBioClassObj.validatesubmitFormOther(page);
};

var validatesubmitcoachClick = function(page) {
    var otherBioClassObj = new OtherBioClass();
    otherBioClassObj.validatesubmitcoach(page);
};

var validatesubmitClick = function(page) {
    changeButtonBackground(".alumniagent");
    var otherBioClassObj = new OtherBioClass();
    otherBioClassObj.saveDataBio(page);
};

var devalidatesubmitcoachClick = function() {
    var otherBioClassObj = new OtherBioClass();
    otherBioClassObj.devalidatesubmitcoach();
};

var devalidateSubmitClick = function() {
    $(".place1").val("");
    $(".place2").val("");
    $(".place3").val("");
    $(".place4").val("");
    $("#errr").removeClass("error-border");
    $("#otherbio-save-msg").removeClass("show");
    $("#otherbio-save-msg").addClass("hide");
    $("#otherbio-save-msg1").removeClass("show");
    $("#otherbio-save-msg1").addClass("hide");
    $("#otherbio-save-msg2").removeClass("show");
    $("#otherbio-save-msg2").addClass("hide");
    changeButtonBackground(".canbtn2");
    var otherBioClassObj = new OtherBioClass();
    otherBioClassObj.getBioOther(applicationDataObj.getbindOtherbio());
};

var devalidatesubmitFormManageClick = function() {
    var otherBioClassObj = new OtherBioClass();
    otherBioClassObj.devalidatesubmitFormManage();
};

var devalidatesubmitForm2Click = function() {
    $("#otherbio-save-msg").removeClass("show");
    $("#otherbio-save-msg").addClass("hide");
    $("#otherbio-save-msg1").removeClass("show");
    $("#otherbio-save-msg1").addClass("hide");
    $("#otherbio-save-msg2").removeClass("show");
    $("#otherbio-save-msg2").addClass("hide");
    changeButtonBackground(".cancel2");
    var otherBioClassObject = new OtherBioClass();
    otherBioClassObject.checkBio2();
    otherBioClassObject.getBioOtherAlumni(applicationDataObj.getbindOtherbio());
};


/*--------------------------------BIO- END------------------------------------*/