/**
 * This software is the confidential and proprietary information of
 * ATP and may not be used, reproduced, modified, distributed,
 * publicly displayed or otherwise disclosed without the express written
 * consent of ATP. 
 */


/* My profile notification class */

var MyProfileNotifyClass = function () {
    
     /*Search functionality*/
    this.myProfileNotify = function () {
        try {
            $(".search-img-notification").show();
            $('.pro-close-img-notification').hide();

            /*search functionality implementation*/

            $(".searchtxt").keyup(function (event) {
                if (event.keyCode === 13 || event.charCode === 13) {
                    $('.searchtxt').blur();
                } else if ($(".searchtxt").val()) {
                    $(".search-img-notification").hide();
                    $('.pro-close-img-notification').show();
                    var expression = false,
                        value = $(".searchtxt").val(),
                        finder = "";
                    if (value.indexOf("\"") > -1 && value.lastIndexOf("\"") > 0) {
                        finder = value.substring(eval(value.indexOf("\"")) + 1, value.lastIndexOf("\""));
                        expression = true;
                    }
                    $("[data-type='accordion-section']").each(function () {
                        var title = $(this).find("[data-type='accordion-section-title']").text();
                        if (expression) {
                            if ($(this).text().toLowerCase().search(finder.toLowerCase()) === -1) {
                                $(this).hide();
                            } else {
                                $(this).show();
                            }
                        } else {
                            if (title.toLowerCase().indexOf(value.toLowerCase()) < 0) {
                                $(this).hide();
                            } else {
                                $(this).show();
                            }
                        }
                    });
                } else {
                    $(".search-img-notification").show();
                    $('.pro-close-img-notification').hide();
                    $(".panel-div").show();
                  }
            });

            /*search functionality implementation*/
            $('.pro-close-img-notification').click(function () {
                $(".search-img-notification").show();
                $('.pro-close-img-notification').hide();
                $(".pro-Notification-username-field").val("");
                $(".panel-div").show();
            });
            $(".notify2").click(function () {
                $(".notify2").addClass("selectedmenu");
                $(".notify4").removeClass("selectedmenu");
            });
            $(".notify4").click(function () {
                $(".notify4").addClass("selectedmenu");
                $(".notify2").removeClass("selectedmenu");
            });
        } catch (err) {
            loggerObj.logToServer(constants.logSeverityError, "Error : myProfileNotify " + err);
        }
    };
};




var changeStyle = function (val) {
    $("#accor" + val).addClass("pro-greycolor");
    $("#accor" + val).removeClass("text-acc");
    $("#Time" + val).css("color", "#777777 !important");
    $("#accor" + val + " >i").css("color", "#000");
    for (i = 1; i <= 7; i++) {
        if ($("#accor" + i).attr("data-isclicked") === "true") {
            $("#accor" + i).css("font-weight", "normal");
            $("#accor" + i).attr("data-isclicked", "false");
        }
    }
    $("#accor" + val).attr("data-isclicked", "true");

    if ($("#accorcollapse" + val).hasClass("in")) {

        $("#accor" + val).css("font-weight", "normal");
    }
};

var markasunread = function (j) {
    $("#accor" + j).removeClass('pro-greycolor');
    $("#Time" + j).css("color", "#00adf9 !important");
    for (j = 1; j < 7; j++) {
        if ($("#accor" + j).attr("data-isclicked") === "true") {
            $("#accor" + j).css("font-weight", "bold");
            $("#accor" + j).addClass("pro-bluecolor");
            $("#accor" + j).attr("data-isclicked", "false");
        }
    }
    $("#accor" + j).attr("data-isclicked", "true");

    if ($(".panel-collapse").hasClass("in")) {
        $('.panel-collapse').removeClass('in');
    }
};

var closeMessage = function (j) {
    for (j = 1; j < 7; j++) {
        if ($("#accor" + j).attr("data-isclicked") === "true") {
            $("#accor" + j).css("font-weight", "bold");
            $("#accor" + j).attr("data-isclicked", "false");
        }
    }
    $("#accor" + j).attr("data-isclicked", "true");

    if ($(".panel-collapse").hasClass("in")) {
        $('.panel-collapse').removeClass('in');
    }
};