/**
 * This software is the confidential and proprietary information of
 * ATP and may not be used, reproduced, modified, distributed,
 * publicly displayed or otherwise disclosed without the express written
 * consent of ATP. 
 */

/**
 * Window Scroll
 */
/*$(window).scroll(function (event) {
	try {
		var datePicker = $('.datepicker').datepicker(),
            datePicker1 = $('.datepicker1').datepicker();
		datePicker.datepicker('hide');
		$('.datepicker').blur();
		datePicker1.datepicker('hide');
		$('.datepicker1').blur();
	} catch (err) {
		loggerObj.logToServer(constants.logSeverityError, "Error : prizemoney window scroll " + err);
	}
});*/

/**
 * MyApp Scroll
 */
/*$("#MyApp").scroll(function (event) {
 	try {
		var datePicker = $('.datepicker').datepicker(),
            datePicker1 =   $('.datepicker1').datepicker();
		datePicker.datepicker('hide');
		$('.datepicker').blur();
		datePicker1.datepicker('hide');
		$('.datepicker1').blur();
	} catch (err) {
		loggerObj.logToServer(constants.logSeverityError, "Error : prizemoney myapp scroll " + err);
	}
});*/

var prizeMoneyMailingAddressDetails = {};
var financeDetails = {};
var PrizeMoneyBankClass = function () {
       var countryDataDetails = {},
        initialData = {},
        isBankUpdatedForFirstTime,
        contactId;
    /**
    * Request parameters for other profile bank details
    */
    this.getRequestParametersManagePlayerBankDetails = function (sessionData) {
        try {
            var data = {},
                userSession = {};
            data.Userid = sessionData.userId;
            data.ServiceProvider = "MyProfileServiceProvider";
            data.ServiceMethod = "GetBankDetails";
            data.Language = constants.englishLanguage;
            userSession.UserId = sessionData.userId;
            userSession.FirstName = sessionData.firstName;
            userSession.LastName = sessionData.lastName;
            userSession.UserName = applicationDataObj.getUsername();
            userSession.Roles = sessionData.roles;
            userSession.EmailId = sessionData.emailId;
            userSession.Address1 = sessionData.address1;
            userSession.City = sessionData.city;
            userSession.Country = sessionData.country;
            userSession.ManangementAgency = sessionData.ManangementAgency;
            userSession.OnBehalfPlayerId = constants.onBehalfPlayerId;
            data.parametersArray = ["CCBA4B3C-221E-4155-8ED7-6419306B53C4"];
            userSession.TOKEN = applicationDataObj.getToken();
            if (applicationDataObj.getUserType() !== "Player") {
                userSession.JoinedDate = moment(sessionData.registeredDate).format("YYYY-MM-DD");
            }
            data.SessionData = userSession;
            data = JSON.stringify(data);
            return data;
        } catch (err) {
            loggerObj.logToServer(constants.logSeverityError, "Error : getRequestParametersManagePlayerBankDetails " + err);
        }
    };
    /**
    * Get Manage bank details service call
    */
    this.manageGetBankDetails = function () {
        try {
            var prizeMoneyObj = new PrizeMoneyBankClass(),
                apiservicecallsObj = new Apiservicecalls(),
                sessionData = applicationDataObj.getSessionResponse(),
                inputData = prizeMoneyObj.getRequestParametersManagePlayerBankDetails(sessionData);
            apiservicecallsObj.postData(constants.ajaxUrl, inputData, onManageGetBankResponseSuccess, onManageGetBankResponseError);

        } catch (err) {
            loggerObj.logToServer(constants.logSeverityError, "Error : manageGetBankDetails " + err);
        }
    };

    /**
     * Creating save request parameters for managing player bank details
     */
    this.createSaveRequestManagePlayerBank = function () {
        try {
            var prizeMoneyObj = new PrizeMoneyBankClass(),
                data = {},
                sessionData = applicationDataObj.getSessionResponse(),
                parametersArray = [],
                paramArrayObj = {},
                userSession = {};
            data.Userid = sessionData.userId;
            data.ServiceProvider = "MyProfileServiceProvider";
            data.ServiceMethod = "PostBankDetails";
            data.Language = constants.englishLanguage;
            userSession.PlayerId = sessionData.playerId;
            userSession.UserId = sessionData.userId;
            userSession.FirstName = sessionData.firstName;
            userSession.LastName = sessionData.lastName;
            userSession.Roles = sessionData.roles;
            userSession.UserName = applicationDataObj.getUsername();
            userSession.EmailId = sessionData.emailId;
            userSession.Address1 = sessionData.address1;
            userSession.City = sessionData.city;
            userSession.Country = sessionData.country;
            userSession.ManangementAgency = sessionData.ManangementAgency;
            userSession.OnBehalfPlayerId = constants.onBehalfPlayerId;
            userSession.ReceiveEmailNotifications = constants.receiveEmailNotifications;
            if (applicationDataObj.getUserType() !== "Player") {
                userSession.JoinedDate = moment(sessionData.registeredDate).format("YYYY-MM-DD");
            }
            userSession.TOKEN = applicationDataObj.getToken();
            data.SessionData = userSession;
            //paramArrayObj.PassportInformation = getPassportInformationForSave();
            paramArrayObj.ContactInformation = this.getContactInformationForSave();
            paramArrayObj.FinancialInformation = this.getFinancialInformationForSave();
            parametersArray.push(paramArrayObj);
            parametersArray.push("CCBA4B3C-221E-4155-8ED7-6419306B53C4");
            data.parametersArray = parametersArray;
            data = JSON.stringify(data);
            return data;
        } catch (err) {
            loggerObj.logToServer(constants.logSeverityError, "Error : createSaveRequestManagePlayerBank " + err);
        }

    };

    /**
     * ManagePlayerSaveBankDetails
     */
    this.ManagePlayerSaveBankDetails = function (page) {
        try {
            var prizeMoneyObj = new PrizeMoneyBankClass(),
                error = prizeMoneyObj.checkForErrors();
            if (!error) {
                var apiservicecallsObj = new Apiservicecalls(),
                    saveReqInput = prizeMoneyObj.createSaveRequestManagePlayerBank();
                if (page === "account") {
                    apiservicecallsObj.postData(constants.ajaxUrl, saveReqInput, onManagePlayerPostBankResponseSuccess, onManagePlayerBankErrorRegistration);
                }
                if (page === "registration") {
                    apiservicecallsObj.postData(constants.ajaxUrl, saveReqInput, onManagePlayerBankSuccessRegistration, onManagePlayerBankErrorRegistration);
                }
                if (page === "registrationAccount") {
                    apiservicecallsObj.postData(constants.ajaxUrl, saveReqInput, onManagePlayerPostBankResponseSuccess, onManagePlayerBankErrorRegistration);
                } else {
                     apiservicecallsObj.postData(constants.ajaxUrl, saveReqInput, onManagePlayerPostBankResponseSuccess, onManagePlayerBankErrorRegistration);
                }

            } else {
                $('#myModal').modal('show');
                $("input").blur();
                $('#savebuttonfocus').focus();
            }
        } catch (err) {
            loggerObj.logToServer(constants.logSeverityError, "Error : ManagePlayerSaveBankDetails " + err);
        }

    };

    /**
    * Creating request parameters for getting bank details
    */
    this.getRequestParametersBankDetails = function (sessionData) {
	    try {
		    var data = { },
                userSession = { };
		    data.Userid = sessionData.userId;
		    data.ServiceProvider = "MyProfileServiceProvider";
		    data.ServiceMethod = "GetBankDetails";
		    data.Language = constants.englishLanguage;
		    userSession.UserId = sessionData.userId;
		    userSession.FirstName = sessionData.firstName;
		    userSession.LastName = sessionData.lastName;
		    userSession.TOKEN  = applicationDataObj.getToken();
		    userSession.Roles = sessionData.roles;
		    userSession.EmailId = sessionData.emailId;
		    userSession.Address1 = sessionData.address1;
            userSession.City = sessionData.city;
            userSession.Country = sessionData.country;
            userSession.UserName = applicationDataObj.getUsername();
            userSession.PlayerId = sessionData.playerId;
            data.parametersArray = ["CCBA4B3C-221E-4155-8ED7-6419306B53C4"];
            if (applicationDataObj.getUserType() !== "Player") {
                userSession.JoinedDate = moment(sessionData.registeredDate).format("YYYY-MM-DD");
            }
            data.SessionData = userSession;
		    data = JSON.stringify(data);
		    return data;
        } catch (err) {
            loggerObj.logToServer(constants.logSeverityError, "Error : getRequestParametersBankDetails " + err);
        }
    };
    
    /**
    * Get bank details service call
    */

    this.getBankDetails = function () {
        try {
            var prizeMoneyObj = new PrizeMoneyBankClass(),
                apiservicecallsObj = new Apiservicecalls(),
                sessionData = applicationDataObj.getSessionResponse(),
                inputData = prizeMoneyObj.getRequestParametersBankDetails(sessionData);
            apiservicecallsObj.postData(constants.ajaxUrl, inputData, onGetBankResponseSuccess, onGetBankResponseError);
            
             var addSwipeTo = function (selector) {
			$(selector).swipe("destroy");
           
			$(selector).swipe({
				//Generic swipe handler for all directions
				swipe: function (event, direction, distance, duration, fingerCount) {
                     var checkboxId = $(selector).prev().attr("id"); 
                     var checkbox = '#' + checkboxId;
					if (direction === "right") {
                        $(checkbox).prop('checked', true);
                        if(checkbox == "#entry-toggleswitch1"){
                            prizeMoneyObj.copyMailingAdderss("#mailadrs-street1", "#mailadrs-street2", "#mycntct-city", "#bnkdtls-state2", "#bnkdtls-zip2", "#mailCountry");
                        }
                        else if(checkbox == "#entry-toggleswitch2"){
                            prizeMoneyObj.copyMailingAdderss("#taxadrs-street1", "#taxadrs-street2", "#tax-citytext", "#taxdtls-state2", "#taxdtls-zip2", "#tax-country");
                        }
						
				    
                     // prizeMoneyObj.copyMailingAdderss("#mailadrs-street1", "#mailadrs-street2", "#mycntct-city", "#bnkdtls-state2", "#bnkdtls-zip2", "#mailCountry");
					
                       
					} else if (direction === 'left') {
						$(checkbox).prop('checked', false);
                        if(checkbox == "#entry-toggleswitch1"){
                            $("#mailadrs-street1").val(financeDetails.PrizeMoneyMailingStreet);
                            $("#mailadrs-street2").val(financeDetails.PrizeMoneyMailingStree2);
                            $("#mycntct-city").val(financeDetails.PrizeMoneyMailingCity);
                            $("#bnkdtls-state2").val(financeDetails.PrizeMoneyMailingState);
                            $("#bnkdtls-zip2").val(financeDetails.PrizeMoneyMailingZip);
                            $("#mailCountry").val(financeDetails.PrizeMoneyMailingCountry);      
                        }
                        else if(checkbox == "#entry-toggleswitch2"){
                            $("#taxadrs-street1").val(financeDetails.TaxResidenceStreet);
                            $("#taxadrs-street2").val(financeDetails.TaxResidenceStreet2);
                            $("#tax-citytext").val(financeDetails.TaxResidenceCity);
                            $("#taxdtls-state2").val(financeDetails.TaxResidenceState);
                            $("#taxdtls-zip2").val(financeDetails.TaxResidenceZip);
                            $("#tax-country").val(financeDetails.TaxResidenceCountry);
                        }
						
					} else {
						
							if ($(checkbox).is(':checked')) {
								$(checkbox).prop('checked', false);
                                  if(checkbox == "#entry-toggleswitch1"){
                                $("#mailadrs-street1").val(financeDetails.PrizeMoneyMailingStreet);
                                $("#mailadrs-street2").val(financeDetails.PrizeMoneyMailingStree2);
                                $("#mycntct-city").val(financeDetails.PrizeMoneyMailingCity);
                                $("#bnkdtls-state2").val(financeDetails.PrizeMoneyMailingState);
                                $("#bnkdtls-zip2").val(financeDetails.PrizeMoneyMailingZip);
                                $("#mailCountry").val(financeDetails.PrizeMoneyMailingCountry);      
                            }
                        else if(checkbox == "#entry-toggleswitch2"){
                                $("#taxadrs-street1").val(financeDetails.TaxResidenceStreet);
                                $("#taxadrs-street2").val(financeDetails.TaxResidenceStreet2);
                                $("#tax-citytext").val(financeDetails.TaxResidenceCity);
                                $("#taxdtls-state2").val(financeDetails.TaxResidenceState);
                                $("#taxdtls-zip2").val(financeDetails.TaxResidenceZip);
                                $("#tax-country").val(financeDetails.TaxResidenceCountry);
                            }
							} else {
								$(checkbox).prop('checked', true);
                                if(checkbox == "#entry-toggleswitch1"){
                                    prizeMoneyObj.copyMailingAdderss("#mailadrs-street1", "#mailadrs-street2", "#mycntct-city", "#bnkdtls-state2", "#bnkdtls-zip2", "#mailCountry");
                                }
                                else if(checkbox == "#entry-toggleswitch2"){
                                    prizeMoneyObj.copyMailingAdderss("#taxadrs-street1", "#taxadrs-street2", "#tax-citytext", "#taxdtls-state2", "#taxdtls-zip2", "#tax-country");
                                }
							}
					}

				},
				//Default is 75px, set to 0 for demo so any distance triggers swipe
				threshold: 0
			});
		};
    
    $(".slider").each(function(){
        var sliderId = $(this).attr('id');
        var slider= '#'+sliderId;
        addSwipeTo(slider);
    });

	    } catch (err) {
            loggerObj.logToServer(constants.logSeverityError, "Error : getBankDetails " + err);
	    }
    };
    /**
     *   Populate Fields in prize money bank page
    */
    this.populateBankInformationPage = function (responseData) {
        try {
            this.populateNationalityComboBox(responseData.Countries);
		    checkMandatory();
            this.populatePassportFields(responseData);
            this.populateCountryDropDownFields(responseData);
            this.setPrizeMoneyMailingDetails(responseData.ContactInformation);
            this.populateContactInformation(responseData.ContactInformation);
            this.populateBankInfoDetails(responseData.FinancialInformation);
            this.populateTaxResidenceAddress(responseData.FinancialInformation);
            financeDetails = responseData.FinancialInformation;
            endLoading();
	    } catch (err) {
		    endLoading();
            loggerObj.logToServer(constants.logSeverityError, "Error : populateBankInformationPage " + err);
	    }
    };

/**
 * Populate nationality country dropdwon
 */
    this.populateNationalityComboBox = function (countryNames) {
        try {
            this.countryDataDetails = countryNames;
            if (countryNames) {
                $.each(countryNames, function (key, value) {
                    $(".contactCountry").append('<option data-id = "' + value.Id + '" value = "' + value.Code + '">' + value.Name + '</option>');
                });
            }
        } catch (err) {
            loggerObj.logToServer(constants.logSeverityError, "Error : populateNationalityComboBox " + err);
        }
    };
    
    /**
 * Populating passport fields
 */
    this.populatePassportFields = function (data) {
        try {
            if (data.FinancialInformation) {
                data.FinancialInformation.PassportNumber ? $("#passportno").val(data.FinancialInformation.PassportNumber) : $("#passportno").val();
                data.FinancialInformation.PassportCity ? $("#passport-city").val(data.FinancialInformation.PassportCity) : $("#passport-city").val();
                data.FinancialInformation.PassportIssuedDate ? $("#issuedate").val(this.formatDate(data.FinancialInformation.PassportIssuedDate)) : $("#issuedate").val();
                data.FinancialInformation.PassportExpirationDate ? $("#expiredate").val(this.formatDate(data.FinancialInformation.PassportExpirationDate)) : $("#expiredate").val();
            }
        } catch (err) {
            loggerObj.logToServer(constants.logSeverityError, "Error : populatePassportFields " + err);
        }
    };
    
/**
 * Populating country dropdowns
 */
    this.populateCountryDropDownFields = function (countryData) {
        try {
            var nationalityCountry = countryData.FinancialInformation.TaxNationality,
                nationalityCountryValue;
            if (nationalityCountry) {
                nationalityCountryValue = this.getCountryKeyNameFromValue(countryData.Countries, nationalityCountry);
                $("#bankdtls-ntnlty1").val(nationalityCountryValue);
            }
            if (nationalityCountry === "USA" || nationalityCountry === "United States") {
                //$("#isAmerican").prop('disabled', false);
                $("#isAmerican").val(countryData.FinancialInformation.TaxIdSsn);
                $(".is-amer-reqd").removeClass('hide');
            } else {
                //$("#isAmerican").prop('disabled', true);
                $(".is-amer-reqd").addClass('hide');
            }
        } catch (err) {
            loggerObj.logToServer(constants.logSeverityError, "Error : populateCountryDropDownFields " + err);
        }
    };
    

/**
 * Setting proze money address 
 */
    this.setPrizeMoneyMailingDetails = function (mailingAddress) {
        try {
            prizeMoneyMailingAddressDetails.city = mailingAddress.MailingCity;
            prizeMoneyMailingAddressDetails.country = mailingAddress.MailingCountry;
            prizeMoneyMailingAddressDetails.state = mailingAddress.MailingState;
            prizeMoneyMailingAddressDetails.stree2 = mailingAddress.MailingStreet2;
            prizeMoneyMailingAddressDetails.street = mailingAddress.MailingStreet;
            prizeMoneyMailingAddressDetails.zip = mailingAddress.MailingZip;
        } catch (err) {
            loggerObj.logToServer(constants.logSeverityError, "Error : setPrizeMoneyMailingDetails " + err);
        }
    };
/**
 * Populating contact information
 */
    this.populateContactInformation = function (contactInformation) {
        try {
            if (contactInformation) {
                contactInformation.EmailAddressPrimary ? $("#bnkdtls-email1").val(contactInformation.EmailAddressPrimary) : $("#bnkdtls-email1").val();
                contactInformation.PhoneNumberMobile ? $("#bnkdtls-mobno").val(contactInformation.PhoneNumberMobile) : $("#bnkdtls-mobno").val();
                contactInformation.PhoneNumber ? $("#home-number").val(contactInformation.PhoneNumber) : $("#home-number").val();
                contactInformation.PhoneNumberFax ? $("#fax-number").val(contactInformation.PhoneNumberFax) : $("#fax-number").val();
                contactId = contactInformation.ContactId;
            }
        } catch (err) {
            loggerObj.logToServer(constants.logSeverityError, "Error : populateContactInformation " + err);
        }
    };
/**
 * Populating bank information
 */
    this.populateBankInfoDetails = function (bankDetails) {
        try {
            if (bankDetails) {
                bankDetails.EurBankAccountNumber ? $("#bank-accntiban2").val(bankDetails.EurBankAccountNumber) : $("#bank-accntiban2").val();
                bankDetails.EurBankAdditionalInfo ? $("#eur-add-info").val(bankDetails.EurBankAdditionalInfo) : $("#eur-add-info").val();
                bankDetails.EurBankCityCountry ? $("#bank-city2").val(bankDetails.EurBankCityCountry) : $("#bank-city2").val();
                bankDetails.EurBankName ? $("#bank-name2").val(bankDetails.EurBankName) : $("#bank-name2").val();
                bankDetails.EurBankNameOnAccount ? $("#bnkdtls-nmonacnt1").val(bankDetails.EurBankNameOnAccount) : $("#bnkdtls-nmonacnt1").val();
                bankDetails.EurBankSwiftCode ? $("#bank-swift2").val(bankDetails.EurBankSwiftCode) : $("#bank-swift2").val();
                bankDetails.UsdBankAccountNumber ? $("#bank-acciban1").val(bankDetails.UsdBankAccountNumber) : $("#bank-acciban1").val();
                bankDetails.UsdBankAdditionalInfo ? $("#usd-add-info").val(bankDetails.UsdBankAdditionalInfo) : $("#usd-add-info").val();
                bankDetails.UsdBankCityCountry ? $("#bank-city1").val(bankDetails.UsdBankCityCountry) : $("#bank-city1").val();
                bankDetails.UsdBankName ? $("#bank-name1").val(bankDetails.UsdBankName) : $("#bank-name1").val();
                bankDetails.UsdBankNameOnAccount ? $("#bnkdtls-nmonacnt2").val(bankDetails.UsdBankNameOnAccount) : $("#bnkdtls-nmonacnt2").val();
                bankDetails.UsdBankSwiftCode ? $("#bank-swift1").val(bankDetails.UsdBankSwiftCode) : $("#bank-swift1").val();
                if (bankDetails.PreferredEurAccount) {
                    if (bankDetails.PreferredEurAccount === "2") {
                        $("#bnkdtls-mthd2").val("eurwire");
                    } else {
                        $("#bnkdtls-mthd2").val("euradrs");
                        $('.przemnymladrs input').prop('disabled', false);
                        $('.przemnymladrs').css("opacity", "2");
                    }
                }
                if (bankDetails.PreferredUsdAccount) {
                    if (bankDetails.PreferredUsdAccount === "2") {
                        $("#bnkdtls-mthd1").val("usdwire");
                    } else {
                        $("#bnkdtls-mthd1").val("usdadrs");
                        $('.przemnymladrs input').prop('disabled', false);
                        $('.przemnymladrs').css("opacity", "2");
                    }
                }
                if (bankDetails.PreferredEurAccount === "2" && bankDetails.PreferredUsdAccount === "2") {
                    $('.przemnymladrs input').prop('disabled', true);
                    $('.przemnymladrs').css("opacity", "0.5");
                } else {
                    $('.przemnymladrs input').prop('disabled', false);
                    $('.przemnymladrs').css("opacity", "2");
                }
            
            }
        } catch (err) {
            loggerObj.logToServer(constants.logSeverityError, "Error : populateBankInfoDetails " + err);
        }
    };
/**
 * Populate Tax Residence Address
 */
    this.populateTaxResidenceAddress = function (taxAddress) {
        try {
            if (taxAddress) {
                taxAddress.TaxResidenceStreet ? $("#taxadrs-street1").val(taxAddress.TaxResidenceStreet) : $("#taxadrs-street1").val();
                taxAddress.TaxResidenceStree2 ? $("#taxadrs-street2").val(taxAddress.TaxResidenceStree2) : $("#taxadrs-street2").val();
                taxAddress.TaxResidenceZip ? $("#taxdtls-zip2").val(taxAddress.TaxResidenceZip) : $("#taxdtls-zip2").val();
                taxAddress.TaxResidenceState ? $("#taxdtls-state2").val(taxAddress.TaxResidenceState) : $("#taxdtls-state2").val();
                taxAddress.TaxResidenceCity ? $("#tax-citytext").val(taxAddress.TaxResidenceCity) : $("#tax-citytext").val();
                taxAddress.TaxResidenceCountry ? $("#tax-country").val(taxAddress.TaxResidenceCountry) : $("#tax-country").val();

                taxAddress.PrizeMoneyMailingStreet ? $("#mailadrs-street1").val(taxAddress.PrizeMoneyMailingStreet) : $("#mailadrs-street1").val();
                taxAddress.PrizeMoneyMailingStree2 ? $("#mailadrs-street2").val(taxAddress.PrizeMoneyMailingStree2) : $("#tmailadrs-street2").val();
                taxAddress.PrizeMoneyMailingZip ? $("#bnkdtls-zip2").val(taxAddress.PrizeMoneyMailingZip) : $("#bnkdtls-zip2").val();
                taxAddress.PrizeMoneyMailingState ? $("#bnkdtls-state2").val(taxAddress.PrizeMoneyMailingState) : $("#taxdtls-state2").val();
                taxAddress.PrizeMoneyMailingCity ? $("#mycntct-city").val(taxAddress.PrizeMoneyMailingCity) : $("#mycntct-city").val();
                taxAddress.PrizeMoneyMailingCountry ? $("#mailCountry").val(taxAddress.PrizeMoneyMailingCountry) : $("#mailCountry").val();

                if (taxAddress.SameAsMailingAddress) {
                    $("#entry-toggleswitch1").prop("checked", true);
                    $("#entry-toggleswitch2").prop("checked", true);
                } else {
                    $("#entry-toggleswitch1").prop("checked", false);
                    $("#entry-toggleswitch2").prop("checked", false);
                }
                $("#entry-toggleswitch1").click(function () {
                    toggleSwitch1 = $("#entry-toggleswitch1").is(':checked');
                    if (toggleSwitch1 === true) {
                        $("#mailadrs-street1").removeClass('error-border');
                        $("#mycntct-city").removeClass('error-border');
                        $("#removeMyContact-country").removeClass('error-border');
                        $("#mailAddressCountryValdn").hide();
                        $(".streetvalidation").removeClass('show');
                        $(".streetvalidation").addClass('hide');
                        $(".cityvalidation").removeClass('show');
                        $(".cityvalidation").addClass('hide');
                    } else {
                        $("#mailadrs-street1").removeClass('error-border');
                        $("#mycntct-city").removeClass('error-border');
                        $("#removeMyContact-country").removeClass('error-border');
                        $("#mailAddressCountryValdn").hide();
                        $(".streetvalidation").removeClass('show');
                        $(".streetvalidation").addClass('hide');
                        $(".cityvalidation").removeClass('show');
                        $(".cityvalidation").addClass('hide');
                        $(".mailinfo").val("");
                    }
                });
                $("#entry-toggleswitch2").click(function () {
                    toggleSwitch2 = $("#entry-toggleswitch2").is(':checked');
                    if (toggleSwitch2 === true) {
                        $("#taxadrs-street1").removeClass('error-border');
                        $("#tax-citytext").removeClass('error-border');
                        $("#removeTaxCountry").removeClass('error-border');
                        $("#taxCountryvaldn").hide();
                        $(".streetvalidation1").removeClass('show');
                        $(".streetvalidation1").addClass('hide');
                        $(".cityvalidation1").removeClass('show');
                        $(".cityvalidation1").addClass('hide');
                    } else {
                        $("#taxadrs-street1").removeClass('error-border');
                        $("#tax-citytext").removeClass('error-border');
                        $("#removeTaxCountry").removeClass('error-border');
                        $("#taxCountryvaldn").hide();
                        $(".streetvalidation1").removeClass('show');
                        $(".streetvalidation1").addClass('hide');
                        $(".cityvalidation1").removeClass('show');
                        $(".cityvalidation1").addClass('hide');
                        $(".mailinfo1").val("");
                    }
                });
            }
        } catch (err) {
            loggerObj.logToServer(constants.logSeverityError, "Error : populateTaxResidenceAddress " + err);
        }
    };

    /**
 * Date formating
 */
    this.formatDate = function (date) {
        try {
            //var formattedDate = new Date(date);
            //return((formattedDate.getMonth() + 1) + '/' + formattedDate.getDate() + '/' +  formattedDate.getFullYear());
            var formattedDate = moment(date).format('MM/DD/YYYY');
            return formattedDate;
        } catch (err) {
            loggerObj.logToServer(constants.logSeverityError, "Error : formatDate " + err);
        }
    };

    /**
     * checkIssuedAndExpiredDate for passport
     */
    this.checkIssuedAndExpiredDate = function () {
        try {
            var isError = false,
                issuedDate = moment($("#issuedate").val()).format('MM/DD/YYYY'),
                expiredDate = moment($("#expiredate").val()).format('MM/DD/YYYY'),
                dateDifference = new Date(expiredDate) - new Date(issuedDate);
            if (dateDifference < 0) {
                $(".formatvalidation").addClass('show');
                $(".expireformatvalidation").addClass('show');
                $(".formatvalidation").removeClass('hide');
                $(".expireformatvalidation").removeClass('hide');
                $(".issuedateinput").addClass("pro-error-border");
                $(".expiredateinput").addClass("pro-error-border");
                isError = true;
            } else {
                $(".formatvalidation").addClass('hide');
                $(".expireformatvalidation").addClass('hide');
                $(".formatvalidation").removeClass('show');
                $(".expireformatvalidation").removeClass('show');
                $(".issuedateinput").removeClass("pro-error-border");
                $(".expiredateinput").removeClass("pro-error-border");
                isError = false;
            }
            return isError;
        } catch (err) {
            loggerObj.logToServer(constants.logSeverityError, "Error : checkIssuedAndExpiredDate " + err);
        }
    };

        /**
     * Get Key name from value
     */
    this.getCountryKeyNameFromValue = function (countryObj, country) {
        try {
            var val = "";
            $.each(countryObj, function (key, value) {
                if (value.Name === country) {
                    val = value.Code;
                }
            });
            return val;
        } catch (err) {
            loggerObj.logToServer(constants.logSeverityError, "Error : getCountryKeyNameFromValue " + err);
        }
    };
        /**
     * removeBankErrorFields
     */
    this.removeBankErrorFields = function () {
        try {
            $(".bnkdtls-ntnlty").removeClass("error-border");
            $("#mailadrs-street1").removeClass("error-border");
            $("#mycntct-city").removeClass("error-border");
            $("#removeMyContact-country").removeClass("error-border");
            $("#taxadrs-street1").removeClass("error-border");
            $("#tax-citytext").removeClass("error-border");
            $("#removeTaxCountry").removeClass("error-border");
            $("#bank-name1").removeClass("error-border");
            $("#bank-city1").removeClass("error-border");
            $("#bank-acciban1").removeClass("error-border");
            $("#bank-swift1").removeClass("error-border");
            $("#bnkdtls-nmonacnt2").removeClass("error-border");
            $("#bank-name2").removeClass("error-border");
            $("#bank-city2").removeClass("error-border");
            $("#bank-accntiban2").removeClass("error-border");
            $("#bank-swift2").removeClass("error-border");
            $("#bnkdtls-nmonacnt1").removeClass("error-border");
            $("#bnkdtls-email1").removeClass("error-border");
            $("#bnkdtls-mobno").removeClass("error-border");
            $("#nationalityID").hide();
            $("#usdID").hide();
            $("#eurID").hide();
            $("#strval").hide();
            $("#taxCountryvaldn").hide();
            $(".cityvalidation").removeClass("show");
            $(".streetvalidation1").removeClass("show");
            $(".cityvalidation1").removeClass("show");
            $("#bnknmvldtnid1").removeClass("show");
            $("#bnkctyvldtnid1").removeClass("show");
            $("#accntcdvldtnid1").removeClass("show");
            $("#swiftvldtnid1").removeClass("show");
            $("#nmaccntvldtnID2").removeClass("show");
            $("#mailAddressCountryValdn").hide();
            $("#bnknmvldtnid2").removeClass("show");
            $("#bnkctyvldtnid2").removeClass("show");
            $("#accntcdvldtnid2").removeClass("show");
            $("#swiftvldtnid2").removeClass("show");
            $("#nmaccntvldtnID1").removeClass("show");
            $("#pemailvldtnID").hide();
            $("#mobnovldtnID").removeClass("show");
        } catch (err) {
            loggerObj.logToServer(constants.logSeverityError, "Error : removeBankErrorFields " + err);
        }
    };

        /**
     * Check for errors in page
     */
    this.checkForErrors = function () {
        try {
            var error = false,
                usdError = validateUsdBank(),
                euroError = validateeEuro(),
                nationalityError,
                selectedUsdMode,
                selectedeuroMode;
            if (usdError || euroError) {
                $("#bnkdtls-mthd1").focus();
                error = true;
                return error;
            }
            nationalityError = validateNationality();
            if (nationalityError) {
                $("#bankdtls-ntnlty1").focus();
                error = true;
                return error;
            }
            if (!usdError) {
                selectedUsdMode = $("#bnkdtls-mthd1").val();
                if (selectedUsdMode) {
                    if (selectedUsdMode === "usdwire") {
                        if (validateBankDetails("#bank-name1", "#bnknmvldtnid1") ||
                                validateBankDetails("#bank-city1", "#bnkctyvldtnid1") ||
                                validateBankDetails("#bank-acciban1", "#accntcdvldtnid1") ||
                                validateBankDetails("#bank-swift1", "#swiftvldtnid1") ||
                                validateBankDetails("#bnkdtls-nmonacnt2", "#nmaccntvldtnID2")
                                ) {
                            $("#bank-acciban1").focus();
                            error = true;
                            return error;
                        }

                    } else {
                        if (validateBankDetails("#mailadrs-street1", ".streetvalidation") ||
                                validateBankDetails("#mycntct-city", ".cityvalidation") ||
                                validateCountryAddess("#mailCountry", "#mailAddressCountryValdn", "#removeMyContact-country")) {
                            $("#mailadrs-street1").focus();
                            error = true;
                            return error;
                        }

                    }
                }
            }
            if (!euroError) {
                selectedeuroMode = $("#bnkdtls-mthd2").val();
                if (selectedeuroMode) {
                    if (selectedeuroMode === "eurwire") {
                        if (validateBankDetails("#bank-name2", "#bnknmvldtnid2") ||
                                validateBankDetails("#bank-city2", "#bnkctyvldtnid2") ||
                                validateBankDetails("#bank-accntiban2", "#accntcdvldtnid2") ||
                                validateBankDetails("#bank-swift2", "#swiftvldtnid2") ||
                                validateBankDetails("#bnkdtls-nmonacnt1", "#nmaccntvldtnID1")
                                ) {
                            $("#bank-acciban2").focus();
                            error = true;
                            return error;
                        }
                    } else {
                        if (validateBankDetails("#mailadrs-street1", ".streetvalidation") ||
                                validateBankDetails("#mycntct-city", ".cityvalidation") ||
                                validateCountryAddess("#mailCountry", "#mailAddressCountryValdn", "#removeMyContact-country")) {
                            $("#mailadrs-street1").focus();
                            error = true;
                            if (error) {
                                validateBankDetails("#mailadrs-street1", ".streetvalidation");
                                validateBankDetails("#mycntct-city", ".cityvalidation");
                                validateCountryAddess("#mailCountry", "#mailAddressCountryValdn", "#removeMyContact-country");
                                validateBankDetails("#taxadrs-street1", ".streetvalidation1");
                                validateBankDetails("#tax-citytext", ".cityvalidation1");
                                validateCountryAddess("#tax-country", "#taxCountryvaldn", "#removeTaxCountry");
                            }
                            return error;
                        }
                    }
                }
            }
            if (validateBankDetails("#taxadrs-street1", ".streetvalidation1") ||
                    validateBankDetails("#tax-citytext", ".cityvalidation1") ||
                    validateCountryAddess("#tax-country", "#taxCountryvaldn", "#removeTaxCountry")) {
                $("#taxadrs-street1").focus();
                error = true;
                if (error) {
                    validateBankDetails("#mailadrs-street1", ".streetvalidation");
                    validateBankDetails("#mycntct-city", ".cityvalidation");
                    validateCountryAddess("#mailCountry", "#mailAddressCountryValdn", "#removeMyContact-country");
                    validateBankDetails("#taxadrs-street1", ".streetvalidation1");
                    validateBankDetails("#tax-citytext", ".cityvalidation1");
                    validateCountryAddess("#tax-country", "#taxCountryvaldn", "#removeTaxCountry");
                }
                return error;

            }
            if (validateContactEmail() || validateCheckEmailFormat()) {
                //$("#taxadrs-street1").focus();
                error = true;
                return error;
            }
            if (validateMobileNumber() /*|| !validateMobileNumberFormat()*/) {
                //$("#taxadrs-street1").focus();
                error = true;
                return error;
            }
            if ($("#bankdtls-ntnlty1").val() === "USA" && checkMandatory()) {
                error = true;
                return error;
            }
            if (validateDate(".datevalidate", ".formatvalidation", ".issuedatediv .issuedateinput", "#issuedate") === true) {
                error = 'issuedate';
                return error;
            }
            if (validateDate(".expiredvalidate", ".expireformatvalidation", ".expiredvalidatediv .expiredateinput", "#expiredate") === true) {
                error = 'expiredate';
                return error;
            }
            return error;
        } catch (err) {
            loggerObj.logToServer(constants.logSeverityError, "Error : checkForErrors " + err);
        }
    };

        /**
         * create save request parameters
         */
    this.createSaveRequestForPrizeMoneyBank = function () {
        try {
            var data = {},
                sessionData = applicationDataObj.getSessionResponse(),
                userSession = {},
                parametersArray = [],
                paramArrayObj = {};
            data.Userid = sessionData.userId;
            data.ServiceProvider = "MyProfileServiceProvider";
            data.ServiceMethod = "PostBankDetails";
            data.Language = constants.englishLanguage;
            userSession.PlayerId = sessionData.playerId;
            userSession.UserId = sessionData.userId;
            userSession.FirstName = sessionData.firstName;
            userSession.LastName = sessionData.lastName;
            userSession.Roles = sessionData.roles;
            userSession.UserName = applicationDataObj.getUsername();
            userSession.EmailId = sessionData.emailId;
            userSession.Address1 = sessionData.address1;
            userSession.City = sessionData.city;
            userSession.Country = sessionData.country;
            if (applicationDataObj.getUserType() !== "Player") {
                userSession.JoinedDate = moment(sessionData.registeredDate).format("YYYY-MM-DD");
            }
            userSession.TOKEN = applicationDataObj.getToken();
            data.SessionData = userSession;
            //paramArrayObj.PassportInformation = getPassportInformationForSave();
            paramArrayObj.ContactInformation = this.getContactInformationForSave();
            paramArrayObj.FinancialInformation = this.getFinancialInformationForSave();
            parametersArray.push(paramArrayObj);
            parametersArray.push("CCBA4B3C-221E-4155-8ED7-6419306B53C4");
            data.parametersArray = parametersArray;
            data = JSON.stringify(data);
            return data;
        } catch (err) {
            loggerObj.logToServer(constants.logSeverityError, "Error : createSaveRequestForPrizeMoneyBank " + err);
        }
    };

        /**
    * Get passport information for save
    */
    this.getPassportInformationForSave = function () {
        try {
            var passportInformation = {};
            passportInformation.PassportNumber = $("#passportno").val();
            passportInformation.PassportCity = $("#passport-city").val();
            passportInformation.PassportIssuedDate = $("#issuedate").val();
            passportInformation.PassportExpirationDate = $("#expiredate").val();
            return passportInformation;
        } catch (err) {
            loggerObj.logToServer(constants.logSeverityError, "Error : getPassportInformationForSave " + err);
        }
    };


    /** 
     * Get Financial Information for save
     */
    this.getFinancialInformationForSave = function () {
        try {
            var selectedUsdMode = $("#bnkdtls-mthd1").val(),
                selectedeuroMode = $("#bnkdtls-mthd2").val(),
                financialInformation = {};
            financialInformation.TaxNationality = $("#bankdtls-ntnlty1 option:selected").text();
            financialInformation.TaxIdSsn = $("#isAmerican").val();
            if (selectedUsdMode) {
                if (selectedUsdMode === "usdwire") {
                    financialInformation.PreferredUsdAccount = constants.preferredUsdWire;
                } else {
                    financialInformation.PreferredUsdAccount = constants.preferredUsdAddress;
                }
            } else {
                financialInformation.PreferredUsdAccount = "";
            }
            if (selectedeuroMode) {
                if (selectedeuroMode === "eurwire") {
                    financialInformation.PreferredEurAccount = constants.preferredEurWire;
                } else {
                    financialInformation.PreferredEurAccount = constants.preferredEurAddress;
                }
            } else {
                financialInformation.PreferredEurAccount = "";
            }

            financialInformation.TaxResidenceStreet = $("#taxadrs-street1").val();
            financialInformation.TaxResidenceStreet2 = $("#taxadrs-street2").val();
            financialInformation.TaxResidenceCity = $("#tax-citytext").val();
            financialInformation.TaxResidenceState = $("#taxdtls-state2").val();
            financialInformation.TaxResidenceZip = $("#taxdtls-zip2").val();
            financialInformation.TaxResidenceCountry = $("#tax-country").val();

            financialInformation.PrizeMoneyMailingStreet = $("#mailadrs-street1").val();
            financialInformation.PrizeMoneyMailingStree2 = $("#mailadrs-street2").val();
            financialInformation.PrizeMoneyMailingCity = $("#mycntct-city").val();
            financialInformation.PrizeMoneyMailingState = $("#bnkdtls-state2").val();
            financialInformation.PrizeMoneyMailingZip = $("#bnkdtls-zip2").val();
            financialInformation.PrizeMoneyMailingCountry = $("#mailCountry").val();

            if ($("#entry-toggleswitch2").prop("checked")) {
                financialInformation.SameAsMailingAddress = true;
                /*financialInformation.TaxResidenceStreet= prizeMoneyMailingAddressDetails.street;
            financialInformation.TaxResidenceStreet2= prizeMoneyMailingAddressDetails.stree2;
            financialInformation.TaxResidenceCity= prizeMoneyMailingAddressDetails.city;
            financialInformation.TaxResidenceState= prizeMoneyMailingAddressDetails.state;
            financialInformation.TaxResidenceZip= prizeMoneyMailingAddressDetails.zip;
            financialInformation.TaxResidenceCountry= prizeMoneyMailingAddressDetails.country;*/
            }

            if ($("#entry-toggleswitch1").prop("checked")) {
                /*financialInformation.PrizeMoneyMailingStreet= prizeMoneyMailingAddressDetails.street;
            financialInformation.PrizeMoneyMailingStree2= prizeMoneyMailingAddressDetails.stree2;
            financialInformation.PrizeMoneyMailingCity= prizeMoneyMailingAddressDetails.city;
            financialInformation.PrizeMoneyMailingState= prizeMoneyMailingAddressDetails.state;
            financialInformation.PrizeMoneyMailingZip= prizeMoneyMailingAddressDetails.zip;
            financialInformation.PrizeMoneyMailingCountry= prizeMoneyMailingAddressDetails.country;*/
            }
            financialInformation.UsdBankName = $("#bank-name1").val();
            financialInformation.UsdBankCityCountry = $("#bank-city1").val();
            financialInformation.UsdBankAccountNumber = $("#bank-acciban1").val();
            financialInformation.UsdBankSwiftCode = $("#bank-swift1").val();
            financialInformation.UsdBankNameOnAccount = $("#bnkdtls-nmonacnt2").val();
            financialInformation.UsdBankAdditionalInfo = $("#usd-add-info").val();

            financialInformation.EurBankName = $("#bank-name2").val();
            financialInformation.EurBankCityCountry = $("#bank-city2").val();
            financialInformation.EurBankAccountNumber = $("#bank-acciban2").val();
            financialInformation.EurBankSwiftCode = $("#bank-swift2").val();
            financialInformation.EurBankNameOnAccount = $("#bnkdtls-nmonacnt1").val();
            financialInformation.EurBankAdditionalInfo = $("#eur-add-info").val();

            financialInformation.PassportNumber = $("#passportno").val();
            financialInformation.PassportCity = $("#passport-city").val();
            financialInformation.PassportIssuedDate = $("#issuedate").val();
            financialInformation.PassportExpirationDate = $("#expiredate").val();
            financeDetails = financialInformation;
            return financialInformation;
        } catch (err) {
            loggerObj.logToServer(constants.logSeverityError, "Error : getFinancialInformationForSave " + err);
        }
    };




    /**
     * Contact Information for save
     */
    this.getContactInformationForSave = function () {
        try {
            var contactInformation = {};
            contactInformation.EmailAddressPrimary = $("#bnkdtls-email1").val();
            contactInformation.ContactId = contactId;
            contactInformation.PhoneNumberMobile = $("#bnkdtls-mobno").val();
            contactInformation.PhoneNumberFax = $("#fax-number").val();
            contactInformation.PhoneNumber = $("#home-number").val();
            contactInformation.MailingStreet = prizeMoneyMailingAddressDetails.street;
            contactInformation.MailingStreet2 = prizeMoneyMailingAddressDetails.stree2;
            contactInformation.MailingCity = prizeMoneyMailingAddressDetails.city;
            contactInformation.MailingState = prizeMoneyMailingAddressDetails.state;
            contactInformation.MailingZip = prizeMoneyMailingAddressDetails.zip;
            contactInformation.MailingCountry = prizeMoneyMailingAddressDetails.country;
            return contactInformation;
        } catch (err) {
            loggerObj.logToServer(constants.logSeverityError, "Error : getContactInformationForSave " + err);
        }
    };

    /**
 * Mailing Address toggle button chnages
     */
    this.enableToggleButton = function () {
       console.log('');
    };

    /**
     * Copy Mailing Address
     */
    this.copyMailingAdderss = function (streetId, streetId2, cityId, stateId, zipId, counrtyId) {
        try {
            $(streetId).val(prizeMoneyMailingAddressDetails.street);
            $(streetId2).val(prizeMoneyMailingAddressDetails.street2);
            $(cityId).val(prizeMoneyMailingAddressDetails.city);
            $(stateId).val(prizeMoneyMailingAddressDetails.state);
            $(zipId).val(prizeMoneyMailingAddressDetails.zip);
            //var countryValue = getCountryKeyNameFromValue(countryDataDetails,prizeMoneyMailingAddressDetails.country);
            $(counrtyId).val(prizeMoneyMailingAddressDetails.country);
        } catch (err) {
            loggerObj.logToServer(constants.logSeverityError, "Error : copyMailingAdderss " + err);
        }
    };
};



/**
 * onManageGetBankResponseSuccess
 */
var onManageGetBankResponseSuccess = function (responseData) {
    try {
        var prizeMoneyObj = new PrizeMoneyBankClass();
		prizeMoneyObj.populateBankInformationPage(responseData);
		PrizeMoneyBankClass.initialData = responseData;
		prizeMoneyObj.isBankUpdatedForFirstTime = responseData.IsBankUpdatedForFirstTime;
	} catch (err) {
		loggerObj.logToServer(constants.logSeverityError, "Error : onManageGetBankResponseSuccess " + err);
	}
};
/**
 * onManageGetBankResponseError
 */
var onManageGetBankResponseError = function (jqXHR, exception) {
    try {
		var errMsg = "";
		if (jqXHR.status && jqXHR.status === 401 && jqXHR.statusText === "Unauthorized") {
            errMsg = "Error : onManageGetBankResponseError " + jqXHR.statusText;
		} else if (jqXHR.statusText === "timeout" && jqXHR.status === 0) {
			timoutErrorStatus = true;
			errMsg = "Error : onManageGetBankResponseError " + jqXHR.statusText;
		} else if (jqXHR.status === 0) {
			timoutErrorStatus = true;
			errMsg = "Error : onManageGetBankResponseError Unexpected Error with status Code 0";
		} else {
			timoutErrorStatus = true;
			errMsg = "Error : onManageGetBankResponseError Unexpected Error";
		}
		loggerObj.logToServer(constants.logSeverityError, errMsg);
		logout();
	} catch (err) {
		loggerObj.logToServer(constants.logSeverityError, "Error : onManageGetBankResponseError " + err);
	}
};

var onManagePlayerPostBankResponseSuccess = function (responseData) {
	try {
		$("#bank-save-msg").removeClass("hide");
		endLoading();
	} catch (err) {
		loggerObj.logToServer(constants.logSeverityError, "Error : onManagePlayerPostBankResponseSuccess " + err);
	}

};

var onManagePlayerBankSuccessRegistration = function (responseData) {
	try {
		$("#bank-save-msg").removeClass("hide");
        if(applicationDataObj.getSessionResponse().isHeadshotPhotoUploaded === true) {
            logintohomepage();
        } else {
            window.location.href = "#/photoUpload";
        }
		endLoading();
	} catch (err) {
		loggerObj.logToServer(constants.logSeverityError, "Error : onManagePlayerPostBankResponseSuccess " + err);
	}

};

var onManagePlayerBankErrorRegistration = function (jqXHR, exception) {
    try {
		endLoading();
		$("#bank-save-msg").addClass("hide");
		if (jqXHR.status && jqXHR.status === 401 && jqXHR.statusText === "Unauthorized") {
            errMsg = "Error : onManagePlayerBankErrorRegistration " + jqXHR.statusText;
		} else if (jqXHR.statusText === "timeout" && jqXHR.status === 0) {
			timoutErrorStatus = true;
			errMsg = "Error : onManagePlayerBankErrorRegistration " + jqXHR.statusText;
		} else if (jqXHR.status === 0) {
			timoutErrorStatus = true;
			errMsg = "Error : onManagePlayerBankErrorRegistration Unexpected Error with status Code 0";
		} else {
			timoutErrorStatus = true;
			errMsg = "Error : onManagePlayerBankErrorRegistration Unexpected Error";
		}
		loggerObj.logToServer(constants.logSeverityError, errMsg);
		logout();
	} catch (err) {
		loggerObj.logToServer(constants.logSeverityError, "Error : onManagePlayerBankErrorRegistration " + err);
	}

};


/**
 * onGetBankResponseSuccess
 */
var onGetBankResponseSuccess = function (responseData) {
    try {
        var prizeMoneyObj = new PrizeMoneyBankClass();
		prizeMoneyObj.populateBankInformationPage(responseData);
		PrizeMoneyBankClass.initialData = responseData;
		prizeMoneyObj.isBankUpdatedForFirstTime = responseData.IsBankUpdatedForFirstTime;
	} catch (err) {
		loggerObj.logToServer(constants.logSeverityError, "Error : onGetBankResponseSuccess " + err);
	}
};
/**
 * onGetBankResponseError
 */
var onGetBankResponseError = function (jqXHR, exception) {
    try {
		endLoading();
		if (jqXHR.status && jqXHR.status === 401 && jqXHR.statusText === "Unauthorized") {
			errMsg = "Error : onGetBankResponseError " + jqXHR.statusText;
		} else if (jqXHR.statusText === "timeout" && jqXHR.status === 0) {
			timoutErrorStatus = true;
			errMsg = "Error : onGetBankResponseError " + jqXHR.statusText;
		} else if (jqXHR.status === 0) {
			timoutErrorStatus = true;
			errMsg = "Error : onGetBankResponseError Unexpected Error with status Code 0";
		} else {
			timoutErrorStatus = true;
			errMsg = "Error : onGetBankResponseError Unexpected Error";
		}
		loggerObj.logToServer(constants.logSeverityError, errMsg);
		logout();
	} catch (err) {
		loggerObj.logToServer(constants.logSeverityError, "Error : onGetBankResponseError " + err);
	}
};





/**
 * Date picker initialization
 */
var initializeDatePicker = function () {
    
	try {
		var now = new Date(),
		    year = now.getFullYear();
		$('.datepicker').datepicker({
			showOn: "button",
			buttonImage: "images/datepicker_calander.png",
			buttonImageOnly: true,
			dateFormat: 'mm/dd/yy',
			yearRange: "-100:+50",
			changeMonth: true,
			changeYear: true,
			autoclose: true,
			onSelect: function () {
				removeErrorBorder(".datevalidate", ".formatvalidation", ".issuedatediv .issuedateinput");
				validateDate(".datevalidate", ".formatvalidation", ".issuedatediv .issuedateinput", "#issuedate");
			},
			beforeShow: function () {
				$(this).attr("disabled", true);
			},
			onClose: function () {
				$(this).attr("disabled", false);
			}
		});
		$('.datepicker1').datepicker({
			showOn: "button",
			buttonImage: "images/datepicker_calander.png",
			buttonImageOnly: true,
			dateFormat: 'mm/dd/yy',
			yearRange: "-100:+50",
			changeMonth: true,
			changeYear: true,
			autoclose: true,
			onSelect: function () {
				removeErrorBorder(".expireformatvalidation", ".expiredvalidate", ".expiredvalidatediv .expiredateinput");
				validateDate(".expiredvalidate", ".expireformatvalidation", ".expiredvalidatediv .expiredateinput", "#expiredate");
			},
			beforeShow: function () {
				$(this).attr("disabled", true);
			},
			onClose: function () {
				$(this).attr("disabled", false);
			}
		});
	} catch (err) {
		loggerObj.logToServer(constants.logSeverityError, "Error : initializeDatePicker " + err);
	}
};

/**
 * Validating selected nationality
 */
var validateCountryAddess = function (id, validnMessage, errorBorder) {
 	try {
		var error = false;
		if (!$(id).val()) {
			$(validnMessage).show();
			$(errorBorder).addClass("error-border");
			error = true;
		} else {
			$(validnMessage).hide();
			$(errorBorder).removeClass("error-border");
			error = false;
		}
		return error;
	} catch (err) {
		loggerObj.logToServer(constants.logSeverityError, "Error : validateCountryAddess " + err);
	}
};
/**
 * Checking if mandatory
 */
var checkMandatory = function () {
 	try {
		var error = false,
            socialSecurityNumber = $("#isAmerican").val(),
		    nationalityCountry = $("#bankdtls-ntnlty1").val();
		if (nationalityCountry === "USA") {
			$(".is-amer-reqd").removeClass('hide');
			if ($("#isAmerican").val() === "") {
				$('#ustaxvalidationid').show();
				$('#ustaxidlenvldtn').hide();
				$("#isAmerican").addClass("error-border");
				$("#isAmerican").focus();
				error = true;
			} else if ($("#isAmerican").val().length > 20) {
				$('#ustaxidlenvldtn').show();
				$('#ustaxvalidationid').hide();
				$("#isAmerican").addClass("error-border");
				$("#isAmerican").focus();
				error = true;
			} else {
				$('#ustaxvalidationid').hide();
				$('#ustaxidlenvldtn').hide();
				$("#isAmerican").removeClass("error-border");
				error = false;
			}
        } else {
			$(".is-amer-reqd").addClass('hide');
			error = false;
		}
		return error;
	} catch (err) {
		loggerObj.logToServer(constants.logSeverityError, "Error : checkMandatory " + err);
	}
};
/**
 * validatePassportNumber
 */
var validatePassportNumber = function () {
	try {
		var error = false,
		    pasportnum = $("#passportno").val(),
            regx;
		if (pasportnum && pasportnum.length <= 20) {
			regx = /^[A-Za-z0-9]+$/;
			if (!regx.test(pasportnum)) {
				$('#psprtnovldtnID').removeClass('hide');
				$('#psprtnovldtnID').addClass('show');
				$('#psprtlenvldtnID').addClass('hide');
				$('#psprtlenvldtnID').removeClass('show');
				$(".passportno .textbox-input1").addClass("error-border");
				error = true;
			}
		}
		if (pasportnum && pasportnum.length > 20) {
			$('#psprtlenvldtnID').removeClass('hide');
			$('#psprtlenvldtnID').addClass('show');
			$('#psprtnovldtnID').addClass('hide');
			$('#psprtnovldtnID').removeClass('show');
			$(".passportno .textbox-input1").addClass("error-border");
			error = true;
		}
		if (!error) {
			$('#psprtnovldtnID').addClass('hide');
			$('#psprtlenvldtnID').addClass('hide');
			$('#psprtnovldtnID').removeClass('show');
			$('#psprtlenvldtnID').removeClass('show');
			$(".passportno .textbox-input1").removeClass("error-border");
		}
	} catch (err) {
		loggerObj.logToServer(constants.logSeverityError, "Error : validatePassportNumber " + err);
	}
};
/**
 * Remove Error border
 */
var removeErrorBorder = function (validatnId, lengthValdnId, className) {
	try {
		$(validatnId).hide();
		$(validatnId).addClass("hide");
		$(validatnId).removeClass("show");
		$(lengthValdnId).hide();
		$(className).removeClass("error-border");
		$(className).removeClass("pro-error-border");
		$(className).removeClass("error-border");
		$(validatnId).parent().find(".swift-err").hide();
	} catch (err) {
		loggerObj.logToServer(constants.logSeverityError, "Error : removeErrorBorder " + err);
	}
};

/**
 * Date validation
 */
var validateDate = function (validateClass, formatValidationClass, borderClass, datePickerId) {
    try {
		$(formatValidationClass).hide();
		$(validateClass).hide();
		var isError = false,
            dateFormat;
		if ($(datePickerId).val()) {
			dateFormat = "MM/DD/YYYY";
			if (moment($(datePickerId).val(), dateFormat, true).isValid() === true) {
				$(validateClass).addClass('hide');
				$(validateClass).removeClass('show');
				$(borderClass).removeClass("pro-error-border");
				isError = false;
				$(formatValidationClass).addClass('hide');
				$(formatValidationClass).removeClass('show');
			} else {
				$(formatValidationClass).addClass('show');
				$(formatValidationClass).removeClass('hide');
				$(borderClass).addClass("pro-error-border");
				isError = true;
				$(validateClass).addClass('hide');
				$(validateClass).removeClass('show');
			}
		}
		return isError;
	} catch (err) {
		loggerObj.logToServer(constants.logSeverityError, "Error : validateDate " + err);
	}
};


/**
 * Validate USD Details
 */
var validateUsdBank = function () {
	try {
		var error = false;
		if ($("#bnkdtls-mthd1").val() === "") {
			if ($("#bnkdtls-mthd2").val() === "") {
				error = true;
				$('#usdID').show();
				$(".bnkdtls-usdmthd").addClass("error-border");
				$(".usd-acnt").show();
				$('#eurID').show();
				$(".bnkdtls-eurmthd").addClass("error-border");
				$(".eur-acnt").show();
			} else {
				$('#usdID').hide();
				if ($("#bnkdtls-mthd2").val() === "") {
					$(".eur-acnt").hide();
				} else {
					$(".eur-acnt").show();
				}
				$(".bnkdtls-usdmthd").removeClass("error-border");
				$(".usd-acnt").hide();
				error = false;
			}
		} else {
			if ($("#bnkdtls-mthd2").val() === "") {
				$(".eur-acnt").hide();
			}
			$('#usdID').hide();
			$(".bnkdtls-usdmthd").removeClass("error-border");
			$('#eurID').hide();
			$(".bnkdtls-eurmthd").removeClass("error-border");
			error = false;
		}
		return error;
	} catch (err) {
		loggerObj.logToServer(constants.logSeverityError, "Error : validateUsdBank " + err);
	}
};
/**
 * Validate Euro Details
 */
var validateeEuro = function () {
 	try {
		var error = false;
		if ($("#bnkdtls-mthd2").val() === "") {
			if ($("#bnkdtls-mthd1").val() === "") {
				$('#eurID').show();
				$(".bnkdtls-eurmthd").addClass("error-border");
				$(".eur-acnt").show();
				$('#usdID').show();
				$(".bnkdtls-usdmthd").addClass("error-border");
				$(".usd-acnt").show();
				error = true;
			} else {
				$('#eurID').hide();
				if ($("#bnkdtls-mthd1").val() === "") {
					$(".usd-acnt").hide();
				} else {
					$(".usd-acnt").show();
				}
				$(".bnkdtls-eurmthd").removeClass("error-border");
				$(".eur-acnt").hide();
				error = false;
			}
		} else {
			if ($("#bnkdtls-mthd1").val() === "") {
				$(".usd-acnt").hide();
			}
			$('#eurID').hide();
			$(".bnkdtls-eurmthd").removeClass("error-border");
			$('#usdID').hide();
			$(".bnkdtls-usdmthd").removeClass("error-border");
			error = false;
		}
		return error;
	} catch (err) {
		loggerObj.logToServer(constants.logSeverityError, "Error : validateeEuro " + err);
	}
};
/**
 * Enable/Diasble Prizemoney Bank Section
 */
var enableprizemoneybankaddress = function (id) {
 	try {
		var currentValue = $(id).val(),
		    usdBankValue = $("#bnkdtls-mthd1").val(),
		    euroBankValue = $("#bnkdtls-mthd2").val();
		if (currentValue) {
			if (currentValue === "euradrs" || currentValue === "usdadrs") {
				$('.przemnymladrs input').prop('disabled', false);
				$('.przemnymladrs').css("opacity", "2");
				$('.bnkdtls-usdtxtsctn input').prop('disabled', true);
				$('.bnkdtls-usdtxtsctn').css("opacity", "0.5");
				$('.bnkdtls-eurtxtsctn input').prop('disabled', true);
				$('.bnkdtls-eurtxtsctn').css("opacity", "0.5");
				$('.przemnymladrs input').focus();
				$('.przemnymladrs input').prop('disabled', false);
				$('.przemnymladrs').css("opacity", "2");
			}
			if (currentValue === "usdwire") {
				$('.eurbnknm input').blur();
				$('.usdbnknm input').focus();
				$('.bnkdtls-usdtxtsctn input').prop('disabled', false);
				$('.bnkdtls-usdtxtsctn').css("opacity", "2");
				$('.przemnymladrs input').prop('disabled', true);
				$('.przemnymladrs').css("opacity", "0.5");
				$('#bank-name1').focus();
			}
			if (currentValue === "eurwire") {
				$('.usdbnknm input').blur();
				$('.eurbnknm input').focus();
				$('.bnkdtls-eurtxtsctn input').prop('disabled', false);
				$('.bnkdtls-eurtxtsctn').css("opacity", "2");
				$('.przemnymladrs input').prop('disabled', true);
				$('.przemnymladrs').css("opacity", "0.5");
				$('#bank-name2').focus();
			}
		}
		if (usdBankValue === "usdadrs" || euroBankValue === "euradrs") {
			$('.przemnymladrs input').prop('disabled', false);
			$('.przemnymladrs').css("opacity", "2");
		} else {
			$('.przemnymladrs input').prop('disabled', true);
			$('.przemnymladrs').css("opacity", "0.5");
			removeErrorBorder(".streetvalidation", ".streetvalidation", "#mailadrs-street1");
			removeErrorBorder(".cityvalidation", ".cityvalidation", "#mycntct-city");
			$("#removeMyContact-country").removeClass("error-border");
			$("#mailAddressCountryValdn").hide();
		}
		if (usdBankValue !== "usdwire") {
			$('.bnkdtls-usdtxtsctn input').prop('disabled', true);
			$('.bnkdtls-usdtxtsctn').css("opacity", "0.5");
			removeErrorBorder("#bnknmvldtnid1", "#bnknmvldtnid1", "#bank-name1");
			removeErrorBorder("#bnkctyvldtnid1", "#bnkctyvldtnid1", "#bank-city1");
			removeErrorBorder("#accntcdvldtnid1", "#accntcdvldtnid1", "#bank-acciban1");
			removeErrorBorder("#swiftvldtnid1", "#swiftvldtnid1", "#bank-swift1");
			removeErrorBorder("#nmaccntvldtnID2", "#nmaccntvldtnID2", "#bnkdtls-nmonacnt2");

		} else {
			$('.bnkdtls-usdtxtsctn input').prop('disabled', false);
			$('.bnkdtls-usdtxtsctn').css("opacity", "2");
			removeErrorBorder("#bnknmvldtnid2", "#bnknmvldtnid2", "#bank-name2");
			removeErrorBorder("#bnkctyvldtnid2", "#bnkctyvldtnid2", "#bank-city2");
			removeErrorBorder("#accntcdvldtnid2", "#accntcdvldtnid2", "#bank-accntiban2");
			removeErrorBorder("#swiftvldtnid2", "#swiftvldtnid2", "#bank-swift2");
			removeErrorBorder("#nmaccntvldtnID1", "#nmaccntvldtnID1", "#bnkdtls-nmonacnt1");
		}
		if (euroBankValue !== "eurwire") {
			$('.bnkdtls-eurtxtsctn input').prop('disabled', true);
			$('.bnkdtls-eurtxtsctn').css("opacity", "0.5");
		} else {
			$('.bnkdtls-eurtxtsctn input').prop('disabled', false);
			$('.bnkdtls-eurtxtsctn').css("opacity", "2");
		}
	} catch (err) {
		loggerObj.logToServer(constants.logSeverityError, "Error : enableprizemoneybankaddress " + err);
	}
};
/**
 * ClearErrorFields
 */
var clearErrorFields = function (formatId, borderId){
	$(formatId).removeClass('show');
	$(formatId).addClass('hide');
	$(formatId).removeAttr("style");
	$(borderId).removeClass("error-border");
};
/**
 * Validate Phone number
 */
var validateMobileNumberFormat = function (validationId,validationFormatId,borderID) {
	try {
		var isValidPhoneNumber = true;
		var toCheckValue = $(borderID).val();
		if (toCheckValue) {
			var regexPhoneCheck = /[0-9]{1,30}$/;
			if (regexPhoneCheck.test(toCheckValue)) {
				$(validationId).removeClass('show');
				$(validationId).addClass('hide');
				$(validationFormatId).removeClass('show');
				$(validationFormatId).addClass('hide');
				isValidPhoneNumber =  true;
			}else{
				isValidPhoneNumber = false;
				$(validationFormatId).addClass('show');
				$(validationFormatId).removeClass('hide');
				$(validationFormatId).removeAttr("style");
				$(borderID).addClass("error-border");
                if(validationFormatId != validationId){
				  $(validationId).removeClass('show');
				  $(validationId).addClass('hide');
                }
			}
			if(isValidPhoneNumber){
				if (isNaN(toCheckValue)){
					isValidPhoneNumber = false;
					$(validationFormatId).addClass('show');
					$(validationFormatId).removeClass('hide');
					$(borderID).addClass("error-border");
				}
                else{
                    $(validationFormatId).addClass('hide');
					$(validationFormatId).removeClass('show');
                    $(borderID).removeClass("error-border");
                }
			}
			return isValidPhoneNumber;
		}
		
	} catch (err) {
		loggerObj.logToServer(constants.logSeverityError, "Error : validatePhoneNumber " + err);
	}
};
/**
 * Validate Mobile Number
 */
var validateMobileNumber = function () {
    try {
    	$('#mobnovldtnIDFormat').removeClass('show');
		$('#mobnovldtnIDFormat').addClass('hide');
		var error = false;
		if (!$("#bnkdtls-mobno").val()) {
			$('#mobnovldtnID').addClass('show');
			$('#mobnovldtnID').removeClass('hide');
			$('#mobnovldtnIDFormat').addClass('hide');
			$('#mobnovldtnIDFormat').removeClass('show');
			$('#mobnovldtnIDFormat').addClass('hide');
			$(".bnkdtls-mobnum .textbox-input1").addClass("error-border");
			error = true;
		} else {
			$('#mobnovldtnID').addClass('hide');
			$('#mobnovldtnID').removeClass('show');
			$(".bnkdtls-mobnum .textbox-input1").removeClass("error-border");
			error = false;
		}
       /* if(!$("#home-number").val()){
            $('#homenovldtnIDFormat').addClass('hide');
            $('#homenovldtnIDFormat').removeClass('show');
            $('#homenovldtnIDFormat').addClass('hide');
            $(".bnkdtls-homnum .textbox-input1").addClass("error-border");
            error = true;
        }
        else{
            $(".bnkdtls-homnum .textbox-input1").removeClass("error-border");
            error = false;
        }
        
         if(!$("#fax-number").val()){
            $('#faxnovldtnIDFormat').addClass('hide');
            $('#faxnovldtnIDFormat').removeClass('show');
            $('#faxnovldtnIDFormat').addClass('hide');
            $(".bnkdtls-faxnum .textbox-input1").addClass("error-border");
            error = true;
        }
        else{
            $(".bnkdtls-faxnum .textbox-input1").removeClass("error-border");
            error = false;
        }*/
		return error;
	} catch (err) {
		loggerObj.logToServer(constants.logSeverityError, "Error : validateMobileNumber " + err);
	}
};
/**
 * Validate Contact Email
 */
var validateContactEmail = function () {
	try {
		var error = true;
		$('.formatvalidation').hide();
		if (!$("#bnkdtls-email1").val()) {
			$('#pemailvldtnID').show();
			$('#pemailvldtnID').removeClass("hide");
			$('.formatvalidation').hide();
			$(".bnkdtls-pemail .textbox-input1").addClass("error-border");
			error = true;
		} else {
			$('#pemailvldtnID').hide();
			$(".bnkdtls-pemail .textbox-input1").removeClass("error-border");
			error = false;
		}
		return error;
	} catch (err) {
		loggerObj.logToServer(constants.logSeverityError, "Error : validateContactEmail " + err);
	}
};
/**
 * Check Email Format
 */
var validateCheckEmailFormat = function () {
	var error = false;
    try {
		var email = $("#bnkdtls-email1").val(),
		    //regMail = /^([_a-zA-Z0-9-]+)(\.[_a-zA-Z0-9-]+)*@([a-zA-Z0-9-]+\.)+([a-zA-Z]{2,3})$/;
		    regMail = /^([a-zA-Z0-9_.+-])+\@(([a-zA-Z0-9-])+\.)+([a-zA-Z0-9]{2,4})+$/;
		if (email) {
		    if (regMail.test(email) === false) {
		        $('.formatvalidation').show();
		        $('.pemailvldtnID').hide();
		        $(".bnkdtls-pemail .textbox-input1").addClass("error-border");
		        error = true;
		    } else {
				$('.formatvalidation').hide();
				$(".bnkdtls-pemail .textbox-input1").removeClass("error-border");
				error = false;
			}
		}
		return error;
	} catch (err) {
		loggerObj.logToServer(constants.logSeverityError, "Error : validateCheckEmailFormat " + err);
	}
};
/**
 * Validate Bank Details
 */
var validateBankDetails = function (textinputId, validationCtrlID) {
    try {
		var error = false;
		if ($(textinputId).val()) {
			$(validationCtrlID).removeClass("show");
			$(validationCtrlID).addClass("hide");
			$(textinputId).removeClass("error-border");
			$(textinputId).parent().find(".swift-err").hide();
			error = false;
		} else {
			$(validationCtrlID).addClass("show");
			$(validationCtrlID).removeClass("hide");
			$(textinputId).addClass("error-border");
			$(textinputId).focus();
			error = true;
		}
		if (!error && (textinputId === "#bank-swift1" || textinputId === "#bank-swift2")){
			var value = $(textinputId).val();
			if (!(value.length === 8 || value.length === 11)){
				$(textinputId).parent().find(".swift-err").show();
				$(textinputId).addClass("error-border");
				error = true;
			}
		}
		return error;
	} catch (err) {
		loggerObj.logToServer(constants.logSeverityError, "Error : validateBankDetails " + err);
	}
};
/**
 * Save Bank Details
 */
var saveBankDetails = function (page) {
     try {
        var prizeMoneyObj = new PrizeMoneyBankClass(),
            error = prizeMoneyObj.checkForErrors();
		if (error !== true && error !== false) {
			$('#' + error).focus();
		} else if (!error) {
			var apiservicecallsObj = new Apiservicecalls(),
			    saveReqInput = prizeMoneyObj.createSaveRequestForPrizeMoneyBank();
            if (page === "account") {
                apiservicecallsObj.postData(constants.ajaxUrl, saveReqInput, onPostBankResponseSuccess, onPostBankResponseError);
            }
            if (page === "registration") {
                apiservicecallsObj.postData(constants.ajaxUrl, saveReqInput, onPostBankSuccessRegistration, onPostBankErrorRegistration);
            }
            if (page === "registrationAccount") {
                apiservicecallsObj.postData(constants.ajaxUrl, saveReqInput, onPostBankResponseSuccess, onPostBankResponseError);
            } else {
                apiservicecallsObj.postData(constants.ajaxUrl, saveReqInput, onPostBankResponseSuccess, onPostBankResponseError);
            }
        } else {
			$('#myModal').modal('show');
			$("input").blur();
			$('#savebuttonfocus').focus();
		}
	} catch (err) {
		loggerObj.logToServer(constants.logSeverityError, "Error : saveBankDetails " + err);
	}
};
/**
 * onPostBankResponseSuccess
 */
var onPostBankResponseSuccess = function (responseData) {
 	try {
		$("#bank-save-msg").removeClass("hide");
		endLoading();
	} catch (err) {
		loggerObj.logToServer(constants.logSeverityError, "Error : onPostBankResponseSuccess " + err);
	}

};

var onPostBankSuccessRegistration = function (responseData) {
 	try {
		$("#bank-save-msg").removeClass("hide");
        if(applicationDataObj.getSessionResponse().isHeadshotPhotoUploaded === true) {
            logintohomepage();
        } else {
            window.location.href = "#/photoUpload";
        }
		endLoading();
	} catch (err) {
		loggerObj.logToServer(constants.logSeverityError, "Error : onPostBankSuccessRegistration " + err);
	}

};

var onPostBankErrorRegistration = function (jqXHR, exception) {
    try {
		endLoading();
		$("#bank-save-msg").addClass("hide");
		if (jqXHR.status && jqXHR.status === 401 && jqXHR.statusText === "Unauthorized") {
			errMsg = "Error : onPostBankErrorRegistration " + jqXHR.statusText;
		} else if (jqXHR.statusText === "timeout" && jqXHR.status === 0) {
			timoutErrorStatus = true;
			errMsg = "Error : onPostBankErrorRegistration " + jqXHR.statusText;
		} else if (jqXHR.status === 0) {
			timoutErrorStatus = true;
			errMsg = "Error : onPostBankErrorRegistration Unexpected Error with status Code 0";
		} else {
			timoutErrorStatus = true;
			errMsg = "Error : onPostBankErrorRegistration Unexpected Error";
		}
		loggerObj.logToServer(constants.logSeverityError, errMsg);
		logout();
	} catch (err) {
		loggerObj.logToServer(constants.logSeverityError, "Error : onPostBankErrorRegistration " + err);
	}
};
/**
 * onPostBankResponseError
 */
var onPostBankResponseError = function (jqXHR, exception) {
    try {
		endLoading();
		$("#bank-save-msg").addClass("hide");
		if (jqXHR.status && jqXHR.status === 401 && jqXHR.statusText === "Unauthorized") {
			errMsg = "Error : onPostBankResponseError " + jqXHR.statusText;
		} else if (jqXHR.statusText === "timeout" && jqXHR.status === 0) {
			timoutErrorStatus = true;
			errMsg = "Error : onPostBankResponseError " + jqXHR.statusText;
		} else if (jqXHR.status === 0) {
			timoutErrorStatus = true;
			errMsg = "Error : onPostBankResponseError Unexpected Error with status Code 0";
		} else {
			timoutErrorStatus = true;
			errMsg = "Error : onPostBankResponseError Unexpected Error";
		}
		loggerObj.logToServer(constants.logSeverityError, errMsg);
		logout();
	} catch (err) {
		loggerObj.logToServer(constants.logSeverityError, "Error : onPostBankResponseError " + err);
	}
};


/**
 * cancel the edits made
 */
var cancelSaveDetails = function () {
    try {
        var prizeMoneyObj = new PrizeMoneyBankClass();
		$("#bank-save-msg").addClass("hide");
		$("input[type='text']").val("");
		$("select").val("");
		$(".errormsg").hide();
		$("div").removeClass("show");
		$("div").removeClass("error-border");
		$("input[type='text']").removeClass("error-border");
        $("#homenovldtnIDFormat").hide();
        $("#mobnovldtnIDFormat").hide(); 
        $("#mobnovldtnID").hide();
        $("#faxnovldtnIDFormat").hide();
        
		prizeMoneyObj.populateBankInformationPage(PrizeMoneyBankClass.initialData);
	} catch (err) {
		loggerObj.logToServer(constants.logSeverityError, "Error : cancelSaveDetails " + err);
	}
};
/**
 * contact Atp button click
 */
var contactAtp = function () {
	try {
		contactplayerRelations();
	} catch (err) {
		loggerObj.logToServer(constants.logSeverityError, "Error : contactAtp " + err);
	}
};
/**
 * function to bind bankDetails
 */
var bankDetails = function (playerName) {
    try {
        var prizeMoneyObj = new PrizeMoneyBankClass();
		startLoading();
		prizeMoneyObj.removeBankErrorFields();
		if (constants.onBehalfPlayerId) {
			$(".tab-bg").hide();
			$(".headercontent").hide();
			$(".mngplyhdr-plyrnm").text("");
			$(".mngplyhdr-plyrnm").text(playerName);
			$(".manageplyr-header").show();
			$(".mngingplyr-img").attr('src', constants.headShotImage);
			prizeMoneyObj.manageGetBankDetails();
		} else {
            prizeMoneyObj.getBankDetails();
        }
		$(".errormsg").hide();
		$(".formatvalidation").hide();
	} catch (err) {
		loggerObj.logToServer(constants.logSeverityError, "Error : bankDetails " + err);
	}
};
/**
 * posting bankDetails
 */
var postBankDetails = function (page) {
    try {
        var prizeMoneyObj = new PrizeMoneyBankClass();
		if (constants.onBehalfPlayerId) {
		    prizeMoneyObj.ManagePlayerSaveBankDetails(page);
		} else {
            saveBankDetails(page);
        }
	} catch (err) {
		loggerObj.logToServer(constants.logSeverityError, "Error : postBankDetails " + err);
	}
};

/**
 * closeMangingLabel
 */
function closeMangingLabel() {
	try {
		var otherProfileDataClassObj = new otherProfileDataClass();
		var otherProfileDetails = applicationDataObj.getOtherProfileDetailObj();
		otherProfileDataClassObj.releaseLockedResources(otherProfileDetails.type,otherProfileDetails.onBehalfPlayerId,otherProfileDetails.playerName);
		
	} catch (err) {
		loggerObj.logToServer(constants.logSeverityError, "Error : closeMangingLabel " + err);
	}

}

/**
 * Validating selected nationality
 */

var validateNationality = function () {
	try {
		var error = false,
		    nationalityCountry = $("#bankdtls-ntnlty1").val();
		if (!nationalityCountry) {
			$('#nationalityID').show();
			$(".bnkdtls-ntnlty").addClass("error-border");
			error = true;
		} else {
            if (nationalityCountry === "USA" || nationalityCountry === "United States") {
                $(".is-amer-reqd").removeClass('hide');
            } else {
                $(".is-amer-reqd").addClass('hide');
            }
            $('#ustaxvalidationid').hide();
            $('#ustaxidlenvldtn').hide();
            $("#isAmerican").removeClass("error-border");
            $('#nationalityID').hide();
            $(".bnkdtls-ntnlty").removeClass("error-border");
            error = false;
        }
		return error;
	} catch (err) {
		loggerObj.logToServer(constants.logSeverityError, "Error : validateNationality " + err);
	}
};